angular.module("fossa").config(["dataProvider", function(n) {
    n.addQsParamMappings({
        loan_type: "loanType",
        "loan-type": "loanType",
        "homeloan-product-type": "loanType",
        "property-type": "propertyType",
        "property-use": "propertyUse",
        "current-realestate-agent": "currentRealestateAgent",
        "estproperty-value": "estPropertyValue",
        "purchase-price": "purchasePrice",
        "est-mortgage-balance": "estMortgageBalance",
        "down-payment-amt": "downPaymentAmt",
        "property-zip": "propertyZip",
        "home-buying-status": "homeBuyingStatus",
        "new-home": "newHome",
        "have-multiple-mortgages": "haveMultipleMortgages",
        "property-state": "propertyState",
        "property-state-name": "propertyStateName",
        "property-city": "propertyCity",
        "second-mortgage-balance": "secondMortgageBalance",
        "realtor-optin": "realtorOptin",
        "cash-out": "cashOut",
        "declared-bankruptcy": "declaredBankruptcy",
        "bankruptcy-discharged": "bankruptcyDischarged",
        "foreclosure-text": "foreclosureText",
        "stated-credit-history": "statedCreditHistory",
        statedcredithistory: "statedCreditHistory",
        "is-veteran": "isVeteran",
        "current-loan-va": "currentLoanVA",
        "first-name": "firstName",
        firstname: "firstName",
        "last-name": "lastName",
        lastname: "lastName",
        "zip-code": "zipCode",
        zipcode: "zipCode",
        street1: "streetAddress",
        "street-address": "streetAddress",
        streetaddress: "streetAddress",
        state: "stateCode",
        "state-name": "stateName",
        "home-phone": "homePhone",
        homephone: "homePhone",
        "rm-lead": "originating-QF",
        "home-services-optin": "homeServicesOptin",
        "home-services-category": "homeServicesCategory",
        "home-services-schedule": "homeServicesSchedule",
        "hear-about-us": "hearAboutUs",
        "self-employed": "selfEmployed"
    })
}]), angular.module("fossa").controller("WarnOnAttemptedLeaveController", ["$scope", "promoInfo", function(n, t) {
    n.aprPromoNum = "00302";
    var i = "3";
    t.lookup(n.aprPromoNum).then(function(t) {
        n.promoObj = t;
        var r = /\((.+?)\%/.exec(t.header);
        n.promoObj.apr = r && r[1] || i
    })
}]), angular.module("fossa").run(["variation", function(n) {
    function t(t, i) {
        n.getVariationByName("warnOnAttemptedLeave") === t && $("body").attr("warn-on-attempted-leave", i)
    }
    t("1", "warn-on-attempted-leave"), t("2", "warn-on-attempted-leave-green")
}]), angular.module("fossa").run(["$q", "data", "step", "navigation", "fossaModal", "mortgage", "pixelManager", function(n, t, i, r, u, f, e) {
    i.hookBeforeAdvancing(function() {
        var o = t.getData(),
            s, h;
        return o.loanType === "PURCHASE" ? (s = "ig-down-payment-amt", h = f.getPurchLoanAmount()) : o.loanType === "REFINANCE" && (s = "ig-cash-out", h = f.getRefiLoanAmount()), i.isGroupVisible(s) && h < 4e4 ? (e.fireFormEvent("low-loan-amount-pl-redirect", o), u.create(undefined, "personal-loan-modal", undefined, function(n) {
            n.goToPla = function() {
                var n = _.omit({
                    "loan-purpose": "HOMEBUYING",
                    "first-name": o.firstName,
                    "last-name": o.lastName,
                    "home-phone": o.homePhone,
                    state: o.stateCode,
                    "street-address": o.streetAddress,
                    "zip-code": o.zipCode,
                    "stated-credit-history": o.statedCreditHistory
                }, function(n) {
                    return angular.isUndefined(n)
                });
                r.toFossaForm("personal", n)
            }
        }), n.reject({
            reason: "LOWLOANAMOUNT"
        })) : void 0
    })
}]), angular.module("fossa").run(["$rootScope", "data", "lists", function(n, t, i) {
    function f(n) {
        _.forEach(n, function(n, t) {
            n.id = t
        })
    }
    var e = [{
            name: "Bathroom Remodeling",
            value: "71",
            group: ""
        }, {
            name: "Kitchen Remodeling",
            value: "72",
            group: ""
        }, {
            name: "Handyman",
            value: "34",
            group: ""
        }, {
            name: "Decks",
            value: "317",
            group: ""
        }, {
            name: "Install 1 Window",
            value: "247",
            group: "Window Installation"
        }, {
            name: "Install 2 Windows",
            value: "91",
            group: "Window Installation"
        }, {
            name: "Install 3-5 Windows",
            value: "89",
            group: "Window Installation"
        }, {
            name: "Install 6-9 Windows",
            value: "88",
            group: "Window Installation"
        }, {
            name: "Install 10+ Windows",
            value: "216",
            group: "Window Installation"
        }, {
            name: "Repair Window",
            value: "243",
            group: "Window Installation"
        }, {
            name: "Install Asphalt Shingle Roofing",
            value: "212",
            group: "Roofer"
        }, {
            name: "Install Wood Shake or Composite Roofing",
            value: "75",
            group: "Roofer"
        }, {
            name: "Install Metal Roofing",
            value: "300",
            group: "Roofer"
        }, {
            name: "Install Traditional Tile Roofing",
            value: "301",
            group: "Roofer"
        }, {
            name: "Roofing Repair",
            value: "76",
            group: "Roofer"
        }, {
            name: "Install Central HVAC System",
            value: "246",
            group: "Heating & Cooling"
        }, {
            name: "Install Gas or Electric Furnace",
            value: "202",
            group: "Heating & Cooling"
        }, {
            name: "Install Heat Pump",
            value: "246",
            group: "Heating & Cooling"
        }, {
            name: "Repair or Service Central HVAC System",
            value: "230",
            group: "Heating & Cooling"
        }, {
            name: "Install Vinyl Siding",
            value: "92",
            group: "Siding"
        }, {
            name: "Install Wood Siding",
            value: "305",
            group: "Siding"
        }, {
            name: "Install Fiber Siding",
            value: "306",
            group: "Siding"
        }, {
            name: "Solar Electric",
            value: "253",
            group: "Solar"
        }, {
            name: "Solar Thermal",
            value: "249",
            group: "Solar"
        }, {
            name: "1-2 Rooms",
            value: "55",
            group: "Painting"
        }, {
            name: "2-3 Rooms",
            value: "312",
            group: "Painting"
        }, {
            name: "3-4 Rooms",
            value: "207",
            group: "Painting"
        }, {
            name: "5-6 Rooms",
            value: "313",
            group: "Painting"
        }, {
            name: "7-8 Rooms",
            value: "314",
            group: "Painting"
        }, {
            name: "9+ Rooms",
            value: "315",
            group: "Painting"
        }, {
            name: "Exterior Project",
            value: "56",
            group: "Painting"
        }],
        u = [{
            name: "Handyman",
            value: "34",
            group: ""
        }, {
            name: "Home Inspectors",
            value: "106",
            group: ""
        }, {
            name: "Maids & Cleaning Services",
            value: "98",
            group: ""
        }, {
            name: "Bathroom Remodeling",
            value: "71",
            group: ""
        }, {
            name: "Home Security-Existing System",
            value: "318",
            group: ""
        }, {
            name: "Home Security-New Install",
            value: "319",
            group: ""
        }, {
            name: "Full Service Movers - In State",
            value: "206",
            group: "Movers"
        }, {
            name: "Full Service Movers - Out of State",
            value: "53",
            group: "Movers"
        }, {
            name: "Rent A Truck (Uhaul, Ryder, etc.)",
            value: "",
            group: "Movers"
        }, {
            name: "Self-Storage Facilities",
            value: "400",
            group: "Movers"
        }, {
            name: "1-2 Rooms",
            value: "55",
            group: "Painting"
        }, {
            name: "2-3 Rooms",
            value: "312",
            group: "Painting"
        }, {
            name: "3-4 Rooms",
            value: "207",
            group: "Painting"
        }, {
            name: "5-6 Rooms",
            value: "313",
            group: "Painting"
        }, {
            name: "7-8 Rooms",
            value: "314",
            group: "Painting"
        }, {
            name: "9+ Rooms",
            value: "315",
            group: "Painting"
        }, {
            name: "Exterior Project",
            value: "56",
            group: "Painting"
        }, {
            name: "Install Asphalt Shingle Roofing",
            value: "212",
            group: "Roofer"
        }, {
            name: "Install Wood Shake or Composite Roofing",
            value: "75",
            group: "Roofer"
        }, {
            name: "Install Metal Roofing",
            value: "300",
            group: "Roofer"
        }, {
            name: "Install Traditional Tile Roofing",
            value: "301",
            group: "Roofer"
        }, {
            name: "Roofing Repair",
            value: "76",
            group: "Roofer"
        }, {
            name: "Install Central HVAC System",
            value: "246",
            group: "Heating & Cooling"
        }, {
            name: "Install Gas or Electric Furnace",
            value: "202",
            group: "Heating & Cooling"
        }, {
            name: "Install Heat Pump",
            value: "246",
            group: "Heating & Cooling"
        }, {
            name: "Repair or Service Central HVAC System",
            value: "230",
            group: "Heating & Cooling"
        }],
        o = [{
            name: "Timing is flexible",
            value: "Timing is flexible"
        }, {
            name: "1-2 weeks",
            value: "Within 1 week"
        }, {
            name: "2+ weeks",
            value: "More than 2 weeks"
        }, {
            name: "I'm ready when my {{inputs.product | lowercase}} loan closes",
            value: "More than 2 weeks"
        }],
        r;
    f(e), f(u), f(o), r = t.getData(), n.$watch(function() {
        return r.loanType
    }, function(n) {
        i.homeServicesCategories = n === "REFINANCE" ? e : u
    }), n.$watch(function() {
        return [r.loanType, r.newHome]
    }, function(n) {
        var t = n[0],
            r = n[1];
        t === "PURCHASE" && (i.homeServicesCategories = u, r !== "YES" && (i.homeServicesCategories = _.reject(u, {
            value: "106"
        })))
    }, !0), n.$watch(function() {
        return r.homeServicesCategoryObj
    }, function(n) {
        n && n.value && (r.homeServicesCategory = n.value)
    }), i.homeServicesSchedule = o, n.$watch(function() {
        return r.homeServicesScheduleObj
    }, function(n) {
        n && n.value && (r.homeServicesSchedule = n.value)
    })
}]), angular.module("fossa").run(["lists", function(n) {
    angular.extend(n, {
        estPropertyValue: [{
            name: "$60,000 or less",
            value: 6e4,
            min: 0,
            max: 6e4
        }, {
            name: "$60,001 - $65,000",
            value: 65e3,
            min: 60001,
            max: 65e3
        }, {
            name: "$65,001 - $70,000",
            value: 7e4,
            min: 65001,
            max: 7e4
        }, {
            name: "$70,001 - $75,000",
            value: 75e3,
            min: 70001,
            max: 75e3
        }, {
            name: "$75,001 - $80,000",
            value: 8e4,
            min: 75001,
            max: 8e4
        }, {
            name: "$80,001 - $85,000",
            value: 85e3,
            min: 80001,
            max: 85e3
        }, {
            name: "$85,001 - $90,000",
            value: 9e4,
            min: 85001,
            max: 9e4
        }, {
            name: "$90,001 - $95,000",
            value: 95e3,
            min: 90001,
            max: 95e3
        }, {
            name: "$95,001 - $100,000",
            value: 1e5,
            min: 95001,
            max: 1e5
        }, {
            name: "$100,001 - $105,000",
            value: 105e3,
            min: 100001,
            max: 105e3
        }, {
            name: "$105,001 - $110,000",
            value: 11e4,
            min: 105001,
            max: 11e4
        }, {
            name: "$110,001 - $115,000",
            value: 115e3,
            min: 110001,
            max: 115e3
        }, {
            name: "$115,001 - $120,000",
            value: 12e4,
            min: 115001,
            max: 12e4
        }, {
            name: "$120,001 - $125,000",
            value: 125e3,
            min: 120001,
            max: 125e3
        }, {
            name: "$125,001 - $130,000",
            value: 13e4,
            min: 125001,
            max: 13e4
        }, {
            name: "$130,001 - $135,000",
            value: 135e3,
            min: 130001,
            max: 135e3
        }, {
            name: "$135,001 - $140,000",
            value: 14e4,
            min: 135001,
            max: 14e4
        }, {
            name: "$140,001 - $150,000",
            value: 15e4,
            min: 140001,
            max: 15e4
        }, {
            name: "$150,001 - $160,000",
            value: 16e4,
            min: 150001,
            max: 16e4
        }, {
            name: "$160,001 - $170,000",
            value: 17e4,
            min: 160001,
            max: 17e4
        }, {
            name: "$170,001 - $180,000",
            value: 18e4,
            min: 170001,
            max: 18e4
        }, {
            name: "$180,001 - $190,000",
            value: 19e4,
            min: 180001,
            max: 19e4
        }, {
            name: "$190,001 - $200,000",
            value: 2e5,
            min: 190001,
            max: 2e5
        }, {
            name: "$200,001 - $225,000",
            value: 225e3,
            min: 200001,
            max: 225e3
        }, {
            name: "$225,001 - $250,000",
            value: 25e4,
            min: 225001,
            max: 25e4
        }, {
            name: "$250,001 - $275,000",
            value: 275e3,
            min: 250001,
            max: 275e3
        }, {
            name: "$275,001 - $300,000",
            value: 3e5,
            min: 275001,
            max: 3e5
        }, {
            name: "$300,001 - $325,000",
            value: 325e3,
            min: 300001,
            max: 325e3
        }, {
            name: "$325,001 - $350,000",
            value: 35e4,
            min: 325001,
            max: 35e4
        }, {
            name: "$350,001 - $375,000",
            value: 375e3,
            min: 350001,
            max: 375e3
        }, {
            name: "$375,001 - $400,000",
            value: 4e5,
            min: 375001,
            max: 4e5
        }, {
            name: "$400,001 - $425,000",
            value: 425e3,
            min: 400001,
            max: 425e3
        }, {
            name: "$425,001 - $450,000",
            value: 45e4,
            min: 425001,
            max: 45e4
        }, {
            name: "$450,001 - $475,000",
            value: 475e3,
            min: 450001,
            max: 475e3
        }, {
            name: "$475,001 - $500,000",
            value: 5e5,
            min: 475001,
            max: 5e5
        }, {
            name: "$500,001 - $550,000",
            value: 55e4,
            min: 500001,
            max: 55e4
        }, {
            name: "$550,001 - $600,000",
            value: 6e5,
            min: 550001,
            max: 6e5
        }, {
            name: "$600,001 - $650,000",
            value: 65e4,
            min: 600001,
            max: 65e4
        }, {
            name: "$650,001 - $700,000",
            value: 7e5,
            min: 650001,
            max: 7e5
        }, {
            name: "$700,001 - $750,000",
            value: 75e4,
            min: 700001,
            max: 75e4
        }, {
            name: "$750,001 - $800,000",
            value: 8e5,
            min: 750001,
            max: 8e5
        }, {
            name: "$800,001 - $850,000",
            value: 85e4,
            min: 800001,
            max: 85e4
        }, {
            name: "$850,001 - $900,000",
            value: 9e5,
            min: 850001,
            max: 9e5
        }, {
            name: "$900,001 - $950,000",
            value: 95e4,
            min: 900001,
            max: 95e4
        }, {
            name: "$950,001 - $1,000,000",
            value: 1e6,
            min: 950001,
            max: 1e6
        }, {
            name: "$1,000,001 - $1,500,000",
            value: 15e5,
            min: 1000001,
            max: 15e5
        }, {
            name: "$1,500,001 - $2,000,000",
            value: 2e6,
            min: 1500001,
            max: 2e6
        }, {
            name: "Over $2,000,000",
            value: 2000001,
            min: 2000001
        }],
        cashOut: [{
            name: "$0 (No Cash)",
            value: 0,
            min: 0,
            max: 0
        }, {
            name: "$1 - $5,000",
            value: 5e3,
            min: 1,
            max: 5e3
        }, {
            name: "$5,001 - $10,000",
            value: 1e4,
            min: 5001,
            max: 1e4
        }, {
            name: "$10,001 - $15,000",
            value: 15e3,
            min: 10001,
            max: 15e3
        }, {
            name: "$15,001 - $20,000",
            value: 2e4,
            min: 15001,
            max: 2e4
        }, {
            name: "$20,001 - $25,000",
            value: 25e3,
            min: 20001,
            max: 25e3
        }, {
            name: "$25,001 - $30,000",
            value: 3e4,
            min: 25001,
            max: 3e4
        }, {
            name: "$30,001 - $35,000",
            value: 35e3,
            min: 30001,
            max: 35e3
        }, {
            name: "$35,001 - $40,000",
            value: 4e4,
            min: 35001,
            max: 4e4
        }, {
            name: "$40,001 - $45,000",
            value: 45e3,
            min: 40001,
            max: 45e3
        }, {
            name: "$45,001 - $50,000",
            value: 5e4,
            min: 45001,
            max: 5e4
        }, {
            name: "$50,001 - $55,000",
            value: 55e3,
            min: 50001,
            max: 55e3
        }, {
            name: "$55,001 - $60,000",
            value: 6e4,
            min: 55001,
            max: 6e4
        }, {
            name: "$60,001 - $65,000",
            value: 65e3,
            min: 60001,
            max: 65e3
        }, {
            name: "$65,001 - $70,000",
            value: 7e4,
            min: 65001,
            max: 7e4
        }, {
            name: "$70,001 - $75,000",
            value: 75e3,
            min: 70001,
            max: 75e3
        }, {
            name: "$75,001 - $80,000",
            value: 8e4,
            min: 75001,
            max: 8e4
        }, {
            name: "$80,001 - $85,000",
            value: 85e3,
            min: 80001,
            max: 85e3
        }, {
            name: "$85,001 - $90,000",
            value: 9e4,
            min: 85001,
            max: 9e4
        }, {
            name: "$90,001 - $95,000",
            value: 95e3,
            min: 90001,
            max: 95e3
        }, {
            name: "$95,001 - $100,000",
            value: 1e5,
            min: 95001,
            max: 1e5
        }, {
            name: "$100,001 - $105,000",
            value: 105e3,
            min: 100001,
            max: 105e3
        }, {
            name: "$105,001 - $110,000",
            value: 11e4,
            min: 105001,
            max: 11e4
        }, {
            name: "$110,001 - $115,000",
            value: 115e3,
            min: 110001,
            max: 115e3
        }, {
            name: "$115,001 - $120,000",
            value: 12e4,
            min: 115001,
            max: 12e4
        }, {
            name: "$120,001 - $125,000",
            value: 125e3,
            min: 120001,
            max: 125e3
        }, {
            name: "$125,001 - $130,000",
            value: 13e4,
            min: 125001,
            max: 13e4
        }, {
            name: "$130,001 - $140,000",
            value: 14e4,
            min: 130001,
            max: 14e4
        }, {
            name: "$140,001 - $150,000",
            value: 15e4,
            min: 140001,
            max: 15e4
        }, {
            name: "$150,001 - $160,000",
            value: 16e4,
            min: 150001,
            max: 16e4
        }, {
            name: "$160,001 - $170,000",
            value: 17e4,
            min: 160001,
            max: 17e4
        }, {
            name: "$170,001 - $180,000",
            value: 18e4,
            min: 170001,
            max: 18e4
        }, {
            name: "$180,001 - $190,000",
            value: 19e4,
            min: 180001,
            max: 19e4
        }, {
            name: "$190,001 - $200,000",
            value: 2e5,
            min: 190001,
            max: 2e5
        }, {
            name: "$200,001 - $220,000",
            value: 22e4,
            min: 200001,
            max: 22e4
        }, {
            name: "$220,001 - $240,000",
            value: 24e4,
            min: 220001,
            max: 24e4
        }, {
            name: "$240,001 - $260,000",
            value: 26e4,
            min: 240001,
            max: 26e4
        }, {
            name: "$260,001 - $280,000",
            value: 28e4,
            min: 260001,
            max: 28e4
        }, {
            name: "$280,001 - $300,000",
            value: 3e5,
            min: 280001,
            max: 3e5
        }, {
            name: "$300,001 - $320,000",
            value: 32e4,
            min: 300001,
            max: 32e4
        }, {
            name: "$320,001 - $340,000",
            value: 34e4,
            min: 320001,
            max: 34e4
        }, {
            name: "$340,001 - $360,000",
            value: 36e4,
            min: 340001,
            max: 36e4
        }, {
            name: "$360,001 - $380,000",
            value: 38e4,
            min: 360001,
            max: 38e4
        }, {
            name: "$380,001 - $400,000",
            value: 4e5,
            min: 380001,
            max: 4e5
        }, {
            name: "Over $400,000",
            value: 400001,
            min: 400001
        }]
    })
}]), angular.module("fossa").run(["lists", function(n) {
    angular.extend(n, {
        downPaymentAmt: [{
            name: "0-5%",
            value: .05,
            min: 0,
            max: .05
        }, {
            name: "6-10%",
            value: .1,
            min: .06,
            max: .1
        }, {
            name: "11-15%",
            value: .15,
            min: .11,
            max: .15
        }, {
            name: "16-20%",
            value: .2,
            min: .16,
            max: .2
        }, {
            name: "21-30%",
            value: .3,
            min: .21,
            max: .3
        }, {
            name: "31-40%",
            value: .4,
            min: .31,
            max: .4
        }, {
            name: "41-50%",
            value: .5,
            min: .41,
            max: .5
        }, {
            name: "51-60%",
            value: .6,
            min: .51,
            max: .6
        }, {
            name: "61-70%",
            value: .7,
            min: .61,
            max: .7
        }, {
            name: "71-80%",
            value: .8,
            min: .71,
            max: .8
        }, {
            name: "81-90%",
            value: .9,
            min: .81,
            max: .9
        }, {
            name: "Greater than 90%",
            value: .91,
            min: .91,
            max: 1
        }]
    })
}]), angular.module("fossa").run(["lists", function(n) {
    angular.extend(n, {
        propertyType: [{
            name: "Single family home",
            value: "SINGLEFAMDET"
        }, {
            name: "Townhome",
            value: "SINGLEFAMATT"
        }, {
            name: "Condo",
            value: "LOWRISECONDO"
        }, {
            name: "Multi family dwelling",
            value: "2TO4UNITFAM"
        }, {
            name: "Mobile/Manufactured home",
            value: "MOBILEPERMANENT"
        }]
    })
}]), angular.module("fossa").run(["lists", function(n) {
    angular.extend(n, {
        firstMortgageBalance: [{
            name: "$10,000 or less",
            value: 1e4,
            min: 0,
            max: 1e4
        }, {
            name: "$10,001 - $20,000",
            value: 10001,
            min: 10001,
            max: 2e4
        }, {
            name: "$20,001 - $30,000",
            value: 20001,
            min: 20001,
            max: 3e4
        }, {
            name: "$30,001 - $40,000",
            value: 30001,
            min: 30001,
            max: 4e4
        }, {
            name: "$40,001 - $50,000",
            value: 40001,
            min: 40001,
            max: 5e4
        }, {
            name: "$50,001 - $60,000",
            value: 50001,
            min: 50001,
            max: 6e4
        }, {
            name: "$60,001 - $70,000",
            value: 60001,
            min: 60001,
            max: 7e4
        }, {
            name: "$70,001 - $80,000",
            value: 70001,
            min: 70001,
            max: 8e4
        }, {
            name: "$80,001 - $85,000",
            value: 80001,
            min: 80001,
            max: 85e3
        }, {
            name: "$85,001 - $90,000",
            value: 85001,
            min: 85001,
            max: 9e4
        }, {
            name: "$90,001 - $95,000",
            value: 90001,
            min: 90001,
            max: 95e3
        }, {
            name: "$95,001 - $100,000",
            value: 95001,
            min: 95001,
            max: 1e5
        }, {
            name: "$100,001 - $105,000",
            value: 100001,
            min: 100001,
            max: 105e3
        }, {
            name: "$105,001 - $110,000",
            value: 105001,
            min: 105001,
            max: 11e4
        }, {
            name: "$110,001 - $115,000",
            value: 110001,
            min: 110001,
            max: 115e3
        }, {
            name: "$115,001 - $120,000",
            value: 115001,
            min: 115001,
            max: 12e4
        }, {
            name: "$120,001 - $125,000",
            value: 120001,
            min: 120001,
            max: 125e3
        }, {
            name: "$125,001 - $130,000",
            value: 125001,
            min: 125001,
            max: 13e4
        }, {
            name: "$130,001 - $140,000",
            value: 130001,
            min: 130001,
            max: 14e4
        }, {
            name: "$140,001 - $150,000",
            value: 140001,
            min: 140001,
            max: 15e4
        }, {
            name: "$150,001 - $160,000",
            value: 150001,
            min: 150001,
            max: 16e4
        }, {
            name: "$160,001 - $170,000",
            value: 160001,
            min: 160001,
            max: 17e4
        }, {
            name: "$170,001 - $180,000",
            value: 170001,
            min: 170001,
            max: 18e4
        }, {
            name: "$180,001 - $190,000",
            value: 180001,
            min: 180001,
            max: 19e4
        }, {
            name: "$190,001 - $200,000",
            value: 190001,
            min: 190001,
            max: 2e5
        }, {
            name: "$200,001 - $225,000",
            value: 200001,
            min: 200001,
            max: 225e3
        }, {
            name: "$225,001 - $250,000",
            value: 225001,
            min: 225001,
            max: 25e4
        }, {
            name: "$250,001 - $275,000",
            value: 250001,
            min: 250001,
            max: 275e3
        }, {
            name: "$275,001 - $300,000",
            value: 275001,
            min: 275001,
            max: 3e5
        }, {
            name: "$300,001 - $325,000",
            value: 300001,
            min: 300001,
            max: 325e3
        }, {
            name: "$325,001 - $350,000",
            value: 325001,
            min: 325001,
            max: 35e4
        }, {
            name: "$350,001 - $375,000",
            value: 350001,
            min: 350001,
            max: 375e3
        }, {
            name: "$375,001 - $400,000",
            value: 375001,
            min: 375001,
            max: 4e5
        }, {
            name: "$400,001 - $425,000",
            value: 400001,
            min: 400001,
            max: 425e3
        }, {
            name: "$425,001 - $450,000",
            value: 425001,
            min: 425001,
            max: 45e4
        }, {
            name: "$450,001 - $475,000",
            value: 450001,
            min: 450001,
            max: 475e3
        }, {
            name: "$475,001 - $500,000",
            value: 475001,
            min: 475001,
            max: 5e5
        }, {
            name: "$500,001 - $550,000",
            value: 500001,
            min: 500001,
            max: 55e4
        }, {
            name: "$550,001 - $600,000",
            value: 550001,
            min: 550001,
            max: 6e5
        }, {
            name: "$600,001 - $650,000",
            value: 600001,
            min: 600001,
            max: 65e4
        }, {
            name: "$650,001 - $700,000",
            value: 650001,
            min: 650001,
            max: 7e5
        }, {
            name: "$700,001 - $750,000",
            value: 700001,
            min: 700001,
            max: 75e4
        }, {
            name: "$750,001 - $800,000",
            value: 750001,
            min: 750001,
            max: 8e5
        }, {
            name: "$800,001 - $850,000",
            value: 800001,
            min: 800001,
            max: 85e4
        }, {
            name: "$850,001 - $900,000",
            value: 850001,
            min: 850001,
            max: 9e5
        }, {
            name: "$900,001 - $950,000",
            value: 900001,
            min: 900001,
            max: 95e4
        }, {
            name: "$950,001 - $1,000,000",
            value: 950001,
            min: 950001,
            max: 1e6
        }, {
            name: "$1,000,001 - $1,500,000",
            value: 1000001,
            min: 1000001,
            max: 15e5
        }, {
            name: "$1,500,001 - $2,000,000",
            value: 1500001,
            min: 1500001,
            max: 2e6
        }, {
            name: "Over $2,000,000",
            value: 2000001,
            min: 2000001
        }]
    })
}]), angular.module("fossa").run(["lists", function(n) {
    angular.extend(n, {
        secondMortgageBalance: [{
            name: "$10,000 or less",
            value: 1e4,
            min: 0,
            max: 1e4
        }, {
            name: "$10,001 - $20,000",
            value: 10001,
            min: 10001,
            max: 2e4
        }, {
            name: "$20,001 - $30,000",
            value: 20001,
            min: 20001,
            max: 3e4
        }, {
            name: "$30,001 - $40,000",
            value: 30001,
            min: 30001,
            max: 4e4
        }, {
            name: "$40,001 - $50,000",
            value: 40001,
            min: 40001,
            max: 5e4
        }, {
            name: "$50,001 - $60,000",
            value: 50001,
            min: 50001,
            max: 6e4
        }, {
            name: "$60,001 - $70,000",
            value: 60001,
            min: 60001,
            max: 7e4
        }, {
            name: "$70,001 - $80,000",
            value: 70001,
            min: 70001,
            max: 8e4
        }, {
            name: "$80,001 - $90,000",
            value: 80001,
            min: 80001,
            max: 9e4
        }, {
            name: "$90,001 - $100,000",
            value: 90001,
            min: 90001,
            max: 1e5
        }, {
            name: "$100,001 - $110,000",
            value: 100001,
            min: 100001,
            max: 11e4
        }, {
            name: "$110,001 - $120,000",
            value: 110001,
            min: 110001,
            max: 12e4
        }, {
            name: "$120,001 - $130,000",
            value: 120001,
            min: 120001,
            max: 13e4
        }, {
            name: "$130,001 - $140,000",
            value: 130001,
            min: 130001,
            max: 14e4
        }, {
            name: "$140,001 - $150,000",
            value: 140001,
            min: 140001,
            max: 15e4
        }, {
            name: "$150,001 - $160,000",
            value: 150001,
            min: 150001,
            max: 16e4
        }, {
            name: "$160,001 - $170,000",
            value: 160001,
            min: 160001,
            max: 17e4
        }, {
            name: "$170,001 - $180,000",
            value: 170001,
            min: 170001,
            max: 18e4
        }, {
            name: "$180,001 - $190,000",
            value: 180001,
            min: 180001,
            max: 19e4
        }, {
            name: "$190,001 - $200,000",
            value: 190001,
            min: 190001,
            max: 2e5
        }, {
            name: "$200,001 - $225,000",
            value: 200001,
            min: 200001,
            max: 225e3
        }, {
            name: "$225,001 - $250,000",
            value: 225001,
            min: 225001,
            max: 25e4
        }, {
            name: "$250,001 - $275,000",
            value: 250001,
            min: 250001,
            max: 275e3
        }, {
            name: "$275,001 - $300,000",
            value: 275001,
            min: 275001,
            max: 3e5
        }, {
            name: "$300,001 - $325,000",
            value: 300001,
            min: 300001,
            max: 325e3
        }, {
            name: "$325,001 - $350,000",
            value: 325001,
            min: 325001,
            max: 35e4
        }, {
            name: "$350,001 - $375,000",
            value: 350001,
            min: 350001,
            max: 375e3
        }, {
            name: "$375,001 - $400,000",
            value: 375001,
            min: 375001,
            max: 4e5
        }, {
            name: "$400,001 - $425,000",
            value: 400001,
            min: 400001,
            max: 425e3
        }, {
            name: "$425,001 - $450,000",
            value: 425001,
            min: 425001,
            max: 45e4
        }, {
            name: "$450,001 - $475,000",
            value: 450001,
            min: 450001,
            max: 475e3
        }]
    })
}]), angular.module("fossa").run(["lists", function(n) {
    angular.extend(n, {
        purchasePrice: [{
            name: "$1 - $10,000",
            value: 5e3,
            min: 1,
            max: 1e4
        }, {
            name: "$10,001 - $20,000",
            value: 15e3,
            min: 10001,
            max: 2e4
        }, {
            name: "$20,001 - $30,000",
            value: 25e3,
            min: 20001,
            max: 3e4
        }, {
            name: "$30,001 - $40,000",
            value: 35e3,
            min: 30001,
            max: 4e4
        }, {
            name: "$40,001 - $50,000",
            value: 45e3,
            min: 40001,
            max: 5e4
        }, {
            name: "$50,001 - $60,000",
            value: 55e3,
            min: 50001,
            max: 6e4
        }, {
            name: "$60,001 - $70,000",
            value: 65e3,
            min: 60001,
            max: 7e4
        }, {
            name: "$70,001 - $80,000",
            value: 75e3,
            min: 70001,
            max: 8e4
        }, {
            name: "$80,001 - $90,000",
            value: 85e3,
            min: 80001,
            max: 9e4
        }, {
            name: "$90,001 - $100,000",
            value: 95e3,
            min: 90001,
            max: 1e5
        }, {
            name: "$100,001 - $120,000",
            value: 11e4,
            min: 100001,
            max: 12e4
        }, {
            name: "$120,001 - $140,000",
            value: 13e4,
            min: 120001,
            max: 14e4
        }, {
            name: "$140,001 - $160,000",
            value: 15e4,
            min: 140001,
            max: 16e4
        }, {
            name: "$160,001 - $180,000",
            value: 17e4,
            min: 160001,
            max: 18e4
        }, {
            name: "$180,001 - $200,000",
            value: 19e4,
            min: 180001,
            max: 2e5
        }, {
            name: "$200,001 - $250,000",
            value: 225e3,
            min: 200001,
            max: 25e4
        }, {
            name: "$250,001 - $300,000",
            value: 275e3,
            min: 250001,
            max: 3e5
        }, {
            name: "$300,001 - $350,000",
            value: 325e3,
            min: 300001,
            max: 35e4
        }, {
            name: "$350,001 - $400,000",
            value: 375e3,
            min: 350001,
            max: 4e5
        }, {
            name: "$400,001 - $450,000",
            value: 425e3,
            min: 400001,
            max: 45e4
        }, {
            name: "$450,001 - $500,000",
            value: 475e3,
            min: 450001,
            max: 5e5
        }, {
            name: "$500,001 - $550,000",
            value: 525e3,
            min: 500001,
            max: 55e4
        }, {
            name: "$550,001 - $600,000",
            value: 575e3,
            min: 550001,
            max: 6e5
        }, {
            name: "$600,001 - $650,000",
            value: 625e3,
            min: 600001,
            max: 65e4
        }, {
            name: "$650,001 - $700,000",
            value: 675e3,
            min: 650001,
            max: 7e5
        }, {
            name: "$700,001 - $750,000",
            value: 725e3,
            min: 700001,
            max: 75e4
        }, {
            name: "$750,001 - $800,000",
            value: 775e3,
            min: 750001,
            max: 8e5
        }, {
            name: "$800,001 - $850,000",
            value: 825e3,
            min: 800001,
            max: 85e4
        }, {
            name: "$850,001 - $900,000",
            value: 875e3,
            min: 850001,
            max: 9e5
        }, {
            name: "$900,001 - $950,000",
            value: 925e3,
            min: 900001,
            max: 95e4
        }, {
            name: "$950,001 - $1,000,000",
            value: 975e3,
            min: 950001,
            max: 1e6
        }, {
            name: "$1,000,001 - $1,500,000",
            value: 125e4,
            min: 1000001,
            max: 15e5
        }, {
            name: "$1,500,001 - $2,000,000",
            value: 175e4,
            min: 1500001,
            max: 2e6
        }, {
            name: "Over $2 million",
            value: 2000001,
            min: 2000001
        }]
    })
}]), angular.module("fossa").run(["lists", function(n) {
    angular.extend(n, {
        propertyUse: [{
            name: "Primary residence",
            value: "OWNEROCCUPIED"
        }, {
            name: "Secondary home",
            value: "SECONDHOME"
        }, {
            name: "Investment property",
            value: "INVESTMENTPROPERTY"
        }]
    })
}]), angular.module("fossa").run(["lists", function(n) {
    angular.extend(n, {
        annualIncome: [{
            name: "Under $15,000",
            value: 15e3,
            min: 0,
            max: 15e3
        }, {
            name: "$15,001 - $20,000",
            value: 2e4,
            min: 15001,
            max: 2e4
        }, {
            name: "$20,001 - $40,000",
            value: 4e4,
            min: 20001,
            max: 4e4
        }, {
            name: "$40,001 - $60,000",
            value: 6e4,
            min: 40001,
            max: 6e4
        }, {
            name: "$60,001- $80,000",
            value: 8e4,
            min: 60001,
            max: 8e4
        }, {
            name: "Over $80,000",
            value: 80001,
            min: 80001
        }]
    })
}]), angular.module("fossa").run(["mortgage", function(n) {
    n.init()
}]).run(["$rootScope", "data", function(n, t) {
    var i = t.getData();
    n.$watch(function() {
        return i.loanType
    }, function(n) {
        i["homeloan-product-type"] = n, i.product = n
    })
}]).run(["watchZip", function(n) {
    n.watch("inputs.propertyZip", {
        city: "propertyCity",
        stateCode: "propertyState",
        stateName: "propertyStateName"
    }), n.watch("inputs.zipCode", {
        city: "city",
        stateCode: "stateCode",
        stateName: "stateName"
    })
}]).run(["$rootScope", "data", function(n, t) {
    var i = t.getData();
    n.$watch(function() {
        return i.propertyZip
    }, function(n, t) {
        i.zipCode === t && (i.zipCode = n)
    }, !0)
}]).run(["marketplace", function(n) {
    n.add("90000")
}]).run(["inputGroup", function(n) {
    n.addMetadata("refinance-field", ["ig-all-loan-types", "ig-loan-type", "ig-property-type", "ig-property-use", "ig-estproperty-value", "ig-first-mortgage-balance", "ig-property-zip", "ig-have-multiple-mortgages", "ig-second-mortgage-balance", "ig-harp-prescreened", "ig-cash-out", "ig-home-services-optin", "ig-home-services-category", "ig-home-services-schedule", "ig-bankruptcy-or-foreclosure", "ig-declared-bankruptcy", "ig-bankruptcy-discharged", "ig-foreclosure-text", "ig-stated-credit-history", "ig-dob", "ig-self-employed", "ig-veteran", "ig-current-loan-va", "ig-name", "ig-street1", "ig-zip-code", "ig-city", "ig-email", "ig-password", "ig-email-password", "ig-bank", "ig-home-phone", "ig-ssn", "ig-ssn-four", "submitted-modal-page", "submitted-modal-page-hearaboutus"]), n.addMetadata("purchase-field", ["ig-all-loan-types", "ig-loan-type", "ig-property-type", "ig-property-use", "ig-home-buying-status", "ig-new-home", "ig-purchase-price", "ig-down-payment-amt", "ig-property-city-state", "ig-property-state", "ig-property-city", "ig-current-realestate-agent", "ig-realtor-optin", "ig-time-to-purchase", "ig-home-services-optin", "ig-home-services-category", "ig-home-services-schedule", "ig-bankruptcy-or-foreclosure", "ig-declared-bankruptcy", "ig-bankruptcy-discharged", "ig-foreclosure-text", "ig-stated-credit-history", "ig-dob", "ig-self-employed", "ig-veteran", "ig-name", "ig-street1", "ig-zip-code", "ig-city", "ig-email", "ig-password", "ig-email-password", "ig-bank", "ig-home-phone", "ig-ssn", "ig-ssn-four", "submitted-modal-page", "submitted-modal-page-hearaboutus", "ig-property-street", "ig-income"]), n.addMetadata("pii-field", ["ig-dob", "ig-name", "ig-street1", "ig-zip-code", "ig-city", "ig-home-phone", "ig-ssn", "ig-ssn-four"])
}]).run(["$rootScope", "data", "variation", "inputGroup", function(n, t, i, r) {
    var u = t.getData();
    n.$watch(function() {
        return u.loanType
    }, function(n) {
        n === "PURCHASE" ? (r.removeFilters("refinance-field"), r.applyFilters("purchase-field")) : (r.removeFilters("purchase-field"), r.applyFilters("refinance-field"))
    })
}]), angular.module("fossa.directives").directive("progressBar", ["variation", "step", function(n, t) {
    return {
        restrict: "A",
        scope: {},
        template: '<div class="progress-wrapper" ng-if="show()"><div class="progress"><div class="progress-bar" role="progressbar" ng-style="{ width: width() + \'%\' }"></div></div><p class="progress-label">Progress</p></div>',
        link: function(i) {
            i.show = function() {
                return n.getVariationByName("progressBar") === "full" || n.getVariationByName("progressBar") === "step3" && t.getCurrentStep() >= 3
            }, i.width = function() {
                return t.getCurrentStep() / t.getDisplayableSteps().length * 100
            }
        }
    }
}]), angular.module("fossa.directives").directive("videoBackgroundOne", ["variation", "step", function(n, t) {
    return {
        scope: {},
        template: '<div ng-if="show()" ng-include="\'video-background-one\'"></div>',
        link: function(i) {
            i.show = function() {
                return t.getCurrentStep() == 1 && n.getVariationByName("style") === "bg-video1"
            }
        }
    }
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("video-background-one", '<video auto-resize relative-to="#footer-wrapper" aspect-ratio="16/9" autoplay loop="loop" preload="auto" class="video-background" poster="/assets/cfimg/assets/themes/mobile2/images/bg/Video_Screenshot_image1.jpg"><source src="/assets/themes/mobile2/images/bg/video1.mp4"></video>')
}]), angular.module("fossa.directives").directive("videoBackgroundTwo", ["variation", "step", function(n, t) {
    return {
        scope: {},
        template: '<div ng-if="show()" ng-include="\'video-background-two\'"></div>',
        link: function(i) {
            i.show = function() {
                return t.getCurrentStep() == 1 && n.getVariationByName("style") === "bg-video2"
            }
        }
    }
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("video-background-two", '<video auto-resize relative-to="#footer-wrapper" aspect-ratio="16/9" autoplay loop="loop" preload="auto" class="video-background" poster="/assets/cfimg/assets/themes/mobile2/images/bg/Video_Screenshot_image2.jpg"><source src="/assets/themes/mobile2/images/bg/video2.mp4"></video>')
}]), angular.module("fossa.directives").directive("body", ["variation", "step", function(n) {
    return {
        restrict: "E",
        link: function() {
            n.getVariationByName("streetAutoComplete") === "yes" && (window.googleMapsInit = angular.noop, $.getScript("https://maps.googleapis.com/maps/api/js?libraries=places&callback=googleMapsInit"))
        }
    }
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("echoarea", '<div id="echoarea" ng-hide="formData.isSubmitted"><div lt-promo-text lt-promo-num="inputs.promoNum" ng-show="step.getCurrentStep() == 1"></div><h3 class="step-title" ng-include="step.getProp(\'title\')"></h3><div class="step-label" ng-include="step.getProp(\'label\')"></div><div class="line"></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("title-validate-id", "Help us validate your identity!"), n.put("title-almost-there", "You're almost there!"), n.put("title-oops-info", "Oops. Some of your info didn't add up."), n.put("title-oops-credit-info", "Oops. Please confirm the following information is correct."), n.put("title-oops-targus-info", "Oops. Please confirm the following information is correct."), n.put("title-oops-ssn-four", "Oops. Please enter your SSN.")
}]), angular.module("fossa.directives").directive("submitOnUnload", ["ltUnload", "fossaSubmit", function(n, t) {
    return {
        restrict: "EA",
        scope: {},
        link: function(i) {
            var f = n.init({
                onUnload: function() {
                    t.syncSubmitOnly({
                        useLastAttemptedData: !0
                    })
                }
            });
            i.$on("$destroy", function() {
                f()
            })
        }
    }
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("submit-on-unload", "<div submit-on-unload></div>")
}]), angular.module("fossa.directives").directive("unsupportedBrowserNotification", [function() {
    return {
        restrict: "EA",
        scope: {},
        template: '<div one-time-notification show-when="isUnsupportedBrowser()" class="unsupported-browser-notification-wrapper"><div class="unsupported-browser-notification"><div class="unsupported-browser-notification-body"><button type="button" class="close" ng-click="close()" aria-hidden="true">&times;</button><div>The browser you are using will give you a less than optimal experience on SuccessMember. We recommend upgrading to the latest version of one of these browsers - <a href="http://windows.microsoft.com/en-US/internet-explorer/downloads/ie" target="_blank">Internet Explorer</a>, <a href="https://www.google.com/chrome" target="_blank">Google Chrome</a> or <a href="http://getfirefox.com/" target="_blank">Firefox</a> so you can have the best experience possible.</div></div></div></div>',
        link: function(n) {
            n.isUnsupportedBrowser = function() {
                return $("html").hasClass("lte9")
            }
        }
    }
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("warn-on-attempted-leave", '<div class="exit-warning am-slide-top" ng-show="slideDown" ng-controller="WarnOnAttemptedLeaveController" ng-click="warn.keepShown($event)"><a href="" class="exit-warning-disable" ng-click="warn.close()">&times;</a><div class="warn-contain"><div class="big"><strong>Wait!</strong> Don\'t miss out on <strong>{{promoObj.apr}}%</strong> APR* offers<div class="small right"><div class="pull-left">*5/1 ARM | </div> <div class="pull-right" lt-promo-disclosure-link lt-promo-num="aprPromoNum"></div></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("warn-on-attempted-leave-green", '<div class="exit-warning exit-warning-green am-slide-top" ng-show="slideDown && inputs.telNum != \'hide\'" ng-click="warn.keepShown($event)"><a href="" class="exit-warning-disable" ng-click="warn.close()">&times;</a><div class="warn-contain"><div class="small">Wait, if you prefer talking to SuccessMember,</div><div class="big">Please call us at <strong>{{inputs.telNum}}</strong></div></div><div class="black-bar">Before you leave</div></div>')
}]), angular.module("fossa").run(["formData", "fossaModal", function(n, t) {
    t.create(undefined, "searching-network-modal", function() {
        return n.isSubmitting
    })
}]).run(["$timeout", "timeoutModal", function(n, t) {
    t.create("step-timeout-modal", {
        timeoutInMs: Modernizr.smalldevice ? 3e4 : 12e4,
        modalTimeoutInMs: 3e4,
        timeoutYes: function(t) {
            return t.showMoreTime = !0, n(angular.noop, 2e3)
        }
    })
}]).run(["inputGroup", function(n) {
    n.addData("ig-bankruptcy", {
        label: "Any Bankruptcy In The Past 7 Years?",
        values: [{
            id: "declared-bankruptcy-yes",
            label: "Yes",
            value: "Y"
        }, {
            id: "declared-bankruptcy-no",
            label: "No",
            value: "N"
        }],
        model: "declaredBankruptcy"
    }), n.addData("ig-employment-status", {
        label: "What's Your Employment Status",
        values: [{
            id: "employment-status-fulltime",
            label: "Full Time",
            value: "FULLTIME"
        }, {
            id: "employment-status-parttime",
            label: "Part Time",
            value: "PARTTIME"
        }, {
            id: "employment-status-student",
            label: "Student",
            value: "STUDENT"
        }, {
            id: "employment-status-homemaker",
            label: "Homemaker",
            value: "HOMEMAKER"
        }, {
            id: "employment-status-self",
            label: "Self-employed",
            value: "SELFEMPLOYED"
        }, {
            id: "employment-status-retired",
            label: "Retired",
            value: "RETIRED"
        }],
        model: "employmentStatus"
    }), n.addData("ig-product-type", {
        label: "Type Of Loan",
        values: [{
            id: "loan-type-purchase",
            label: "New Purchase",
            value: "NewCarPurchase"
        }, {
            id: "loan-type-usedcar",
            label: "Used Purchase",
            value: "UsedCarPurchase"
        }, {
            id: "loan-type-refi",
            label: "Refinance",
            value: "REFINANCE"
        }],
        model: "loanType"
    }), n.addData("ig-vehicle-body-type", {
        label: "Type Of RV",
        values: [{
            id: "vehicle-body-type-5thWheel",
            label: "5th Wheel/Travel Trailer",
            value: "5THWHEELTRAVELTRAILER"
        }, {
            id: "vehicle-body-type-motorhome",
            label: "Motor Home",
            value: "MOTORHOME"
        }, {
            id: "vehicle-body-type-campingtrailers",
            label: "Camping Trailers",
            value: "CAMPINGTRAILERS"
        }, {
            id: "vehicle-body-type-truckcampers",
            label: "Truck Campers",
            value: "TRUCKCAMPERS"
        }, {
            id: "vehicle-body-type-horsetrailer",
            label: "Horse Trailer",
            value: "HORSETRAILER"
        }, {
            id: "vehicle-body-type-parkmodel",
            label: "Park Model",
            value: "PARKMODEL"
        }],
        model: "vehicleBodyType"
    }), n.addData("ig-vehicle-found", {
        label: "Have You Found Your RV?",
        values: [{
            id: "vehicle-found-yes",
            label: "Yes",
            value: "Y"
        }, {
            id: "vehicle-found-no",
            label: "No",
            value: "N"
        }],
        model: "vehicleFound"
    }), n.addData("ig-vehicle-use", {
        label: "Vehicle Use",
        values: [{
            id: "vehicle-found-yes",
            label: "Yes",
            value: "Y"
        }, {
            id: "vehicle-found-no",
            label: "No",
            value: "N"
        }],
        model: "vehicleUse"
    }), n.addData("ig-all-loan-types", {
        label: "Compare the best rates from hundreds of lenders",
        values: [{
            id: "all-loan-types-home",
            label: "Home Loans",
            value: "HOME"
        }],
        model: "allLoanTypes"
    }), n.addData("ig-bankruptcy-or-foreclosure", {
        label: "Bankruptcy Or Foreclosure In The Last 7 Years?",
        values: [{
            id: "bankruptcy-or-foreclosure-no",
            label: "No",
            value: "NO"
        }, {
            id: "bankruptcy-or-foreclosure-bankruptcy",
            label: "Bankruptcy",
            value: "BANKRUPTCY"
        }, {
            id: "bankruptcy-or-foreclosure-foreclosure",
            label: "Foreclosure",
            value: "FORECLOSURE"
        }, {
            id: "bankruptcy-or-foreclosure-both",
            label: "Both",
            value: "BOTH"
        }],
        model: "bankruptcyOrForeclosure"
    }), n.addData("ig-current-loan-va", {
        label: "Do You Currently Have A VA Loan?",
        values: [{
            id: "current-loan-va-yes",
            label: "Yes",
            value: "YES"
        }, {
            id: "current-loan-va-no",
            label: "No",
            value: "NO"
        }],
        model: "currentLoanVA"
    }), n.addData("ig-current-realestate-agent", {
        label: "Are You Currently Working With A Real Estate Agent?",
        values: [{
            id: "current-realestate-agent-yes",
            label: "Yes",
            value: "Y"
        }, {
            id: "current-realestate-agent-no",
            label: "No",
            value: "N"
        }],
        model: "currentRealestateAgent"
    }), n.addData("ig-harp-prescreened", {
        label: "Did You Close On Your Mortgage On Or Before May 31, 2009?",
        values: [{
            id: "harp-prescreened-yes",
            label: "Yes",
            value: "1"
        }, {
            id: "harp-prescreened-no",
            label: "No",
            value: "0"
        }],
        model: "harpPrescreened"
    }), n.addData("ig-have-multiple-mortgages", {
        label: "Is There a 2<sup>nd</sup> Mortgage?",
        values: [{
            id: "have-multiple-mortgages-yes",
            label: "Yes",
            value: "YES"
        }, {
            id: "have-multiple-mortgages-no",
            label: "No",
            value: "NO"
        }],
        model: "haveMultipleMortgages"
    }), n.addData("ig-home-services-optin", {
        label: "Do You Need A Trusted Pro For A Major Home Improvement?",
        values: [{
            id: "home-services-optin-yes",
            label: "Yes",
            value: "YES"
        }, {
            id: "home-services-optin-no",
            label: "No",
            value: "NO"
        }],
        model: "homeServicesOptin"
    }), n.addData("ig-home-services-schedule", {
        label: "When Would You Like This Request To Be Completed?",
        values: [{
            id: "home-services-schedule-flexible",
            label: "Timing Is Flexible",
            value: "Timing is flexible"
        }, {
            id: "home-services-schedule-few-weeks",
            label: "1-2 Weeks",
            value: "Within 1 week"
        }, {
            id: "home-services-schedule-more-2-weeks",
            label: "2+ Weeks",
            value: "More than 2 weeks"
        }, {
            id: "home-services-schedule-closes",
            label: "When My {{inputs.loanType | titlecase }} Loan Closes",
            value: "More than 2 weeks"
        }],
        model: "homeServicesSchedule"
    }), n.addData("ig-loan-type", {
        label: "Compare Mortgage Offers",
        values: [{
            id: "loan-type-purchase",
            label: "Purchase",
            value: "PURCHASE"
        }, {
            id: "loan-type-refinance",
            label: "Refinance",
            value: "REFINANCE"
        }],
        model: "loanType"
    }), n.addData("ig-new-home", {
        label: "Have You Found Your New Home Already?",
        values: [{
            id: "new-home-yes",
            label: "Yes",
            value: "YES"
        }, {
            id: "new-home-no",
            label: "No",
            value: "NO"
        }],
        model: "newHome"
    }), n.addData("ig-property-type", {
        label: "What Type Of Property?",
        values: [{
            id: "property-type-single-fam",
            label: "Single Family Home",
            value: "SINGLEFAMDET"
        }, {
            id: "property-type-townhome",
            label: "Townhome",
            value: "SINGLEFAMATT"
        }, {
            id: "property-type-condo",
            label: "Condominium",
            value: "LOWRISECONDO"
        }, {
            id: "property-type-multi",
            label: "Multi Family Home",
            value: "2TO4UNITFAM"
        }, {
            id: "property-type-mobile",
            label: "Manufactured / Mobile",
            value: "MOBILEPERMANENT"
        }],
        model: "propertyType"
    }), n.addData("ig-property-use", {
        label: "How Will This Property Be Used?",
        values: [{
            id: "property-use-primary",
            label: "Primary Home",
            value: "OWNEROCCUPIED"
        }, {
            id: "property-use-secondary",
            label: "Secondary Home",
            value: "SECONDHOME"
        }, {
            id: "property-use-rental",
            label: "Rental Property",
            value: "INVESTMENTPROPERTY"
        }],
        model: "propertyUse"
    }), n.addData("ig-realtor-optin", {
        label: "Would You Like A No Obligation Consultation From A Local Real Estate Professional?",
        values: [{
            id: "realtor-optin-yes",
            label: "Yes",
            value: "YES"
        }, {
            id: "realtor-optin-no",
            label: "No",
            value: "NO"
        }],
        model: "realtorOptin"
    }), n.addData("ig-self-employed", {
        label: "Are you self-employed?",
        values: [{
            id: "self-employed-yes",
            label: "Yes",
            value: "YES"
        }, {
            id: "self-employed-no",
            label: "No",
            value: "NO"
        }],
        model: "selfEmployed"
    }), n.addData("ig-stated-credit-history", {
        label: "Estimate Your Credit",
        values: [{
            id: "stated-credit-history-excellent",
            label: 'Excellent <span class="smaller">&#8805;720</span>',
            value: "EXCELLENT"
        }, {
            id: "stated-credit-history-good",
            label: 'Good <span class="smaller">680-719</span>',
            value: "SOMECREDITPROBLEMS"
        }, {
            id: "stated-credit-history-fair",
            label: 'Fair <span class="smaller">640-679</span>',
            value: "MAJORCREDITPROBLEMS"
        }, {
            id: "stated-credit-history-poor",
            label: 'Poor <span class="smaller">&#8804;639</span>',
            value: "LITTLEORNOCREDITHISTORY"
        }],
        model: "statedCreditHistory"
    }), n.addData("ig-time-to-purchase", {
        label: "When Do You Plan to Purchase A Home?",
        values: [{
            id: "time-to-purchase-30",
            label: "30 Days",
            value: "30DAYS"
        }, {
            id: "time-to-purchase-60",
            label: "60 Days",
            value: "60DAYS"
        }, {
            id: "time-to-purchase-90",
            label: "90 Days",
            value: "90DAYS"
        }, {
            id: "time-to-purchase-more-than-90",
            label: "More Than 90 Days",
            value: "MORETHAN90DAYS"
        }, {
            id: "time-to-purchase-getting-started",
            label: "Not Sure, I'm Just Getting Started",
            value: "NOTIMECONSTRAINT"
        }],
        model: "timeToPurchase"
    }), n.addData("ig-veteran", {
        label: "Have You Or Your Spouse Served In The Military?",
        values: [{
            id: "is-veteran-yes",
            label: "Yes",
            value: "YES"
        }, {
            id: "is-veteran-no",
            label: "No",
            value: "NO"
        }],
        subtext: "(By you or your spouse)",
        model: "isVeteran"
    })
}]), angular.module("fossa.directives").directive("body", ["variation", "step", function(n, t) {
    return {
        restrict: "E",
        link: function(i, r) {
            if (n.getVariationByName("styleChange") === "removeOnAdvance") var f = t.hookBeforeAdvancing(function(t) {
                t.userInitiated && (r.removeClass(n.getVariationByName("style")).addClass(n.getDefaults().style), f())
            })
        }
    }
}]), angular.module("fossa.directives").directive("lexLawRedirect", ["$q", "step", "data", "formData", "navigation", "variation", "mortgage", function(n, t, i, r, u, f, e) {
    return {
        restrict: "EA",
        scope: !0,
        template: ['<div class="step-message-bottom" ng-if="showMessage">', "We currently don't have a lender available to assist you, <br>but one of our non-mortgage lenders may be able to help you.", "</div>"].join(""),
        link: function(r) {
            r.showMessage = !1;
            var s = t.hookBeforeAdvancing(function() {
                var f = i.getData(),
                    o = f.bankruptcyDischarged === "01-12_MONTHS" || f.bankruptcyDischarged === "13-24_MONTHS",
                    s = f.foreclosureText === "01-12_MONTHS" || f.foreclosureText === "13-24_MONTHS";
                if (t.isGroupVisible(["ig-stated-credit-history", "ig-foreclosure-text", "ig-bankruptcy-discharged", "ig-veteran"]) && e.getLTV() > .9 && f.isVeteran === "NO" && (o || s) && f.statedCreditHistory === "LITTLEORNOCREDITHISTORY") return r.showMessage && u.toUrl("https://www.lexingtonlaw.com/?tid=1547.0.1"), r.showMessage = !0, n.reject()
            });
            r.$on("$destroy", function() {
                s()
            })
        }
    }
}]), angular.module("fossa.directives").directive("radioGroup", function() {
    return {
        scope: !0,
        templateUrl: function(n, t) {
            return t.template
        }
    }
}), angular.module("fossa.directives").directive("randomHearAboutUsLinks", function() {
    var n = _.shuffle([{
        id: "hear-about-us-tv",
        label: "TV Commercial",
        value: "TV"
    }, {
        id: "hear-about-us-radio",
        label: "Radio Commercial",
        value: "RADIO"
    }, {
        id: "hear-about-us-newspaper",
        label: "Magazine/Newspaper Ad",
        value: "NEWSPAPER"
    }, {
        id: "hear-about-us-banner",
        label: "Online Banner Ad",
        value: "BANNER"
    }, {
        id: "hear-about-us-search",
        label: "Search Result Ad",
        value: "SEARCH"
    }, {
        id: "hear-about-us-billboard",
        label: "Billboard",
        value: "BILLBOARD"
    }, {
        id: "hear-about-us-socialmedia",
        label: "Social Media",
        value: "SOCIALMEDIA"
    }, {
        id: "hear-about-us-referral",
        label: "Word of Mouth/Referral",
        value: "REFERRAL"
    }, {
        id: "hear-about-us-other",
        label: "Other",
        value: ""
    }]);
    return {
        scope: !0,
        template: '<div radio-group template="hear-about-us-radio-group" class="row hear-about-us"></div>',
        link: function(t) {
            t.name = "hear-about-us", t.radiogroup = n
        }
    }
}), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("hear-about-us-radio-group", '<div class="radio col-sm-6" ng-repeat="item in radiogroup"><div ng-if="item.label != \'Other\'"><label for="{{item.id}}"><div class="label-text">{{item.label}}</div><input type="radio" name="{{name}}" id="{{item.id}}" value="{{item.value}}" ng-model="inputs.hearAboutUs" ng-click="handleNext(stepForm, $event)" /></label></div><div ng-if="item.label == \'Other\'" ng-include="\'hear-about-us-other-link\'" class="clearfix"></div></div>'), n.put("hear-about-us-other-link", '<label for="{{item.id}}" ng-class="{\'hidden\': showInput }"><div class="label-text">{{item.label}}</div><input type="radio" name="{{name}}" id="{{item.id}}" ng-click="showInput=true" /></label><div class="other" ng-class="{\'hidden\': !showInput }"><div class="input-box"><input type="text" name="other" id="hear-about-us-other" class="form-control" ng-model="inputs.hearAboutUs" ng-pattern="/^[a-zA-Z]{1}[a-zA-Z \'\\-\\.]{1,49}$/" minlength="2" maxlength="16" placeholder="Enter Other" required/></div><div class="input-button"><a id="next" class="next" ng-class="{disabled: isValidationPending(stepForm)}" ng-click="handleNext(stepForm, $event)">{{step.getNextLabel()}}</a></div><div input-error-resp assoc-input="stepForm" show-error-when="isInvalid(stepForm)" error-msg="Please enter a valid reason to continue."></div></div>')
}]), angular.module("fossa.directives").directive("disclosureTextSmallDeviceScroll", ["variation", function(n) {
    return {
        restrict: "A",
        link: function(t, i) {
            if (Modernizr.smalldevice && n.getVariationByName("showDisclosureAboveButton") === "on") i.on("click", function() {
                $("body").animate({
                    scrollTop: i.offset().top
                }, "slow")
            })
        }
    }
}]), angular.module("fossa.directives").directive("buttonGroup", ["inputGroup", "groupUtilFactory", function(n, t) {
    return {
        template: '<div class="control-label" ng-if="!!groupUtil.getProp(\'label\')" ng-bind-html="groupUtil.getProp(\'label\')"></div><div class="row"><div class="radio col-ms-6 col-sm-12" ng-class="{ \'radio-selected\': inputs[groupUtil.getProp(\'model\')] === value.value}" ng-repeat="value in groupUtil.getProp(\'values\', [])"><label ng-attr-for="{{ value.id }}"><span class="label-container"><span class="label-background"></span><span class="label-success"></span></span><span class="continueIcon sprites" ng-class="{ \'sprites-{{ value.id }}\': value.id}"></span><input type="radio"ng-attr-id="{{ value.id }}" name="{{ groupUtil.getProp(\'name\') }}" value="{{ value.value }}" ng-model="inputs[groupUtil.getProp(\'model\')]" ng-click="handleNext(stepForm, $event)" ng-attr-required="{{ groupUtil.getProp(\'required\', true) }}" /><div class="label-text" ng-bind-html="value.label | interpolate:this" /></label></div><div class="subtext" ng-if="!!groupUtil.getProp(\'subtext\')">{{ groupUtil.getProp(\'subtext\') }}</div></div>',
        link: function(i, r, u) {
            i.groupUtil = t(n.getData(u.buttonGroup))
        }
    }
}]), angular.module("fossa.directives").directive("downArrow", ["variation", function(n) {
    return {
        restrict: "A",
        scope: {},
        template: '<div ng-if="show()" class="row row-centered down-arrow"><div class="col-sm-2 col-xs-6 col-center-block"></div></div>',
        link: function(t) {
            t.show = function() {
                return n.getVariationByName("showDownArrow") === "yes"
            }
        }
    }
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("wizardStepWrapper", '<div class="form-container"><div down-arrow></div><div class="wizard-wrapper" ng-include="\'wizard\'"></div><div class="disclosures-wrapper" ng-include="\'disclosures\'"></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("wizard", '<div class="wizard"><span class="explain"><a ng-show="step.getProp(\'sidebars\')" ng-click="formData.showSidebar=true; $event.stopPropagation();"><span class="explain-icon glyphicon glyphicon-info-sign"></span></a></span><div ng-class="sidebar.class" ng-repeat="sidebar in step.getProp(\'sidebars\')" ng-include="sidebar.template || sidebar.name"></div><div ng-include="\'step-header\'"></div><div wizard-step="lt-step" step-scroll-top></div><div progress-bar></div><div phone-call-out-link></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("disclosures", '<div class="disclosures clearfix" ng-show="step.getProp(\'disclosures\')"><div ng-repeat="disclosure in step.getProp(\'disclosures\')" ng-include="disclosure.template || disclosure.name"></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("xsellWrapper", '<div id="xSells"><a id="demoBtn" href="" ng-click="handleNext()">Next>></a><div id="xsellContainer" lt-xsell></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("form-header", '<div class="form-header"><div class="form-container"><div class="row"><div class="col-sm-6"><div class="logo"></div></div><div class="col-sm-6 phone text-right" ng-hide="inputs.telNum == \'hide\'">Call us <span class="num-large">{{inputs.telNum | tel:"without-bracket":"short"}}</span></div></div><div class="row"><div class="col-sm-10 promo text-left">{{text.get(\'promoText\')}}</div><div class="col-sm-2 text-right"><div lt-promo-disclosure-link lt-promo-num="inputs.promoNum"></div></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("lt-step", '<fieldset class="step {{ step.getCurrentStepClassesAsString() }} {{ step.getStepTransition() }}" id="step-{{step.getProp(\'num\')}}" js-animate="step.getStepTransition()" ng-form="stepForm" ng-enter="handleNext(stepForm, $event)" step-skip auto-focus auto-advance auto-advance-fn="handleNext(stepForm, $event)" prevent-invalid-next><div ng-repeat="template in step.getProp(\'templates\')"><div ng-include="template.name"></div></div><div feature-detect="iemobile"><input type="button" id="back" class="back" ng-click="handlePrevious()" ng-hide="step.isFirstStep() || step.getProp(\'disallowBack\') || step.isLastStep()" value="<" /></div><div ng-repeat="group in step.getCurrentStepGroups()"><div input-group="group"></div></div><div ng-repeat="template in step.getProp(\'bottomTemplates\')"><div ng-include="template.name"></div></div><div ng-include="\'navigation\'"></div></fieldset>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("navigation", '<div class="navigation"><a id="next" class="next" ng-class="{disabled: isValidationPending(stepForm), hide: step.getProp(\'showNextButton\')==false}" ng-click="handleNext(stepForm, $event)"><span class="label-container"><span class="label-background"></span><span class="label-success"></span></span><span class="continueIcon sprites"></span><div class="label-text" ng-bind-html="step.getNextLabel()" /></a></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("input-error-resp", '<span class="error-resp" ng-show="showErrorWhen(assocInput)" ng-bind-html="errorMsg"></span>'), n.put("input-note-resp", '<span class="note-resp" ng-show="showNoteWhen(assocInputForm)" ng-bind-html="inputNoteResp"></span>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("lt-promo-text", '<div class="lt-promo-text"><div ng-include="\'promo-header\'"></div><div ng-include="\'promo-sub-header\'"></div></div>'), n.put("promo-header", '<div class="promo-header" ng-bind-html="promoObj.header"></div>'), n.put("promo-sub-header", '<div class="promo-subheader" ng-bind-html="promoObj.subHeader"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("step-timeout-modal", '<div class="modal timeout"><div class="modal-dialog modal-1" ng-class="[showMoreTime && \'success\' || \'prompt\']"><div class="modal-content"><div class="modal-body"><div class="question"><h5>Are you still interested in seeing your free loan offers?<br />You\'re almost there!</h5></div><div class="answer"><h5>You have some more time. Go for it!</h5></div></div><div class="modal-footer"><button class="btn btn-primary" ng-click="timeoutYes(\'ok\')">OK</button></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("step-processing-modal", '<div class="modal"><div class="modal-dialog modal-1 prompt"><div class="modal-content"><div class="modal-body"><h5>Please wait while your request is processing.</h5></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("submitted-modal-page", '<label for="submitted-modal-page" class="control-label" ng-bind-html="groupUtil.getProp(&quot;label&quot;, &quot;What\'s Next&quot;)"></label><div class="submitted-modal-page" id="submitted-modal-page"><div class="row"><div class="col-xs-10 col-xs-offset-1 col-sm-6 col-sm-offset-3"><div class="icon-row"><span class="sprites2 offers"></span></div><div class="content">We will be contacting you to put best offers in front of you.</div></div></div><div class="row"><div class="col-xs-10 col-xs-offset-1 col-sm-6 col-sm-offset-3"><div class="icon-row"><span class="sprites2 lenders"></span></div></div></div><div class="row"><div class="col-xs-10 col-xs-offset-1 col-sm-6 col-sm-offset-3"><div class="icon-row"><span class="sprites2 saved"></span></div><div class="content">Sit back and relax. We\'ve done this over 30 million times, and have saved consumers a LOT. It\'s your turn.</div></div></div></div><div class="navigation"><a id="next" class="next" ng-class="{disabled: isValidationPending(stepForm)}" ng-click="handleNext(stepForm, $event)">{{step.getNextLabel()}}<span class="continueIcon sprites"></span></a></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("submitted-modal-page-hearaboutus", '<label for="submitted-modal-page-hearaboutus" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Where did you hear about us?\')"></label><div class="submitted-modal-page-hearaboutus" id="submitted-modal-page-hearaboutus"><div random-hear-about-us-links></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("lt-promo-disclosure-link", '<div class="disclosure"><a href="https://www.successmember.com/legal/advertising-disclosures" ng-href="{{promoObj.disclosureLink}}" target="_blank">Disclosures</a></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("lex-law-message", "<div lex-law-redirect></div>")
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("personal-loan-modal", '<div class="modal timeout"><div class="modal-dialog modal-1 prompt"><div class="modal-content"><div class="modal-header"><div class="modal-title">Oops<span class="close" ng-click="$hide()">&times;</span></div></div><div class="modal-body">Sorry, but the loan amount you requested doesn\'t qualify you for our mortgage lender partners. However, we do have personal loan lenders who could provide you with a competitive loan. Please click the button below to take you to complete a personal loan request.</div><div class="modal-footer"><button class="btn btn-primary" ng-click="goToPla()">Continue</button></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("address-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="address-sidebar"><div class="content">This is your property address of your primary residence.<br/><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("dob-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="dob-sidebar"><div class="content">Don\'t sweat it, your date of birth is secure with us. We use it to verify your identity.<br/><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("dont-sweat-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="dont-sweat-sidebar"><div class="content">Don\'t sweat. This is just one of the many things we take into account when we match you with the best rates available.<br/><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("email-password-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="email-sidebar"><div class="content">We use your email to create your SuccessMember account.<br/>Your email address and password allow you to sign in to your SuccessMember account and view your offers.<br /><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("email-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="email-sidebar"><div class="content">We use your email to create your SuccessMember account.<br/><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("home-phone-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="home-phone-sidebar"><div class="content">By providing a phone number, you are agreeing that SuccessMember, its <a href="https://www.successmember.com/legal/partner-list" target="_blank">Network Lenders</a>, and/or partners may contact you at this number, or another number that you later provide. You also agree to receive calls and messages from automated dialing systems and/or by pre-recorded message, and text messages (where applicable) at these numbers. Normal cell phone charges may apply if you provide a cellular number. You may continue with our services without providing a phone number by calling <a href="tel:+888-272-1355">1-888-272-1355</a>.<br/><a class="next" ng-click="formData.showSidebar=false;" scroll-top>OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("password-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="password-sidebar"><div class="content">Your email address and password allow you to sign in to your SuccessMember account and view your offers.<br/><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    var t = "<p>Don\\'t sweat it, your SSN is secure with us. We use it to verify your identity and do a &quot;soft pull&quot; of credit that in no way affects your credit score.</p><p>You are providing Express Written Consent under the Fair Credit Reporting Act for SuccessMember, LLC, selected dealer(s), and/or up to five (5) lender partners with whom you are matched to obtain your consumer credit report from your credit profile or other information from contracted Credit Bureau(s) associated with your prequalification for credit inquiry.</p>";
    n.put("ssn-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="ssn-sidebar"><div class="content"><div lt-bind-html-compile="text.get(\'ssnSidebarText\', \'' + t + '\')"></div><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    var t = "<p>Don\\'t sweat it, your SSN is secure with us. We use it to verify your identity and do a &quot;soft pull&quot; of credit that in no way affects your credit score.</p><p>By providing the last 4 digits of your Social Security Number, you are providing express written consent under the Fair Credit Reporting Act for SuccessMember, LLC and its partners to verify your information and perform a soft pull of your credit profile from our contracted Credit Bureau. SuccessMember, LLC will provide your full Social Security Number, as verified by the soft pull of credit, as well as other information provided by you, to up to 5 Network partners</p>";
    n.put("ssn-four-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="ssn-four-sidebar"><div class="content"><div lt-bind-html-compile="text.get(\'ssn4SidebarText\', \'' + t + '\')"></div><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("bank-sidebar", '<aside class="sidebar sprites" ng-class="{ showSidebar: formData.showSidebar }" sidebar id="bank-sidebar"><div class="content">Accounts can include mortgage, checking, savings, loan, and/or credit card.<br/><a class="next" ng-click="formData.showSidebar=false;">OK</a></div></aside>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("disclosure-text-above-button", '<div class="disclosure-text-above-button">By clicking the "{{step.getNextLabel()}}" button below, you consent and agree to our <a href="https://www.successmember.com/legal/terms-of-use" lt-popup>Terms of Use Agreement</a>, <a href="https://www.successmember.com/legal/privacy-policy" lt-popup>Privacy Policy</a>, and to receive important notices and <a href="https://www.successmember.com/legal/network-lenders-consent" lt-popup>other communication electronically</a>. You also agree to being contacted by autodialed calls and/or text messages at the number you provided, in accordance with the above agreements. For further information, please see below.</div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-all-loan-types", '<div button-group="ig-all-loan-types"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-radio", '<div class="control-label input-group-legend" ng-if="!!groupUtil.getProp(\'label\')" ng-bind-html="groupUtil.getProp(\'label\')"></div><div class="row"><div class="radio col-ms-6 col-sm-12" ng-class="{ \'radio-selected\': radioSelected && inputs[groupUtil.getProp(\'id\')] === value.value}" ng-repeat="value in groupUtil.getProp(\'values\', [])"><label ng-attr-for="{{ value.id }}" class="label" ng-click="radioSelected = true" ng-init="radioSelected=false"><div class="label-text" ng-bind-html="value.label" /><span class="continueIcon sprites" ng-class="{ \'sprites-{{ value.id }}\': value.id}"></span><span class="radio-title" ng-if="!!value.title" ng-bind-html="value.title" /><input type="radio"ng-attr-id="{{ value.id }}" name="{{ groupUtil.getProp(\'id\') }}" value="{{ value.value }}" ng-model="inputs[groupUtil.getProp(\'id\')]" ng-click="(groupUtil.getProp(\'handleNext\') || handleNext)(stepForm, group, handleNext)" ng-attr-required="{{ groupUtil.getProp(\'required\', true) }}" /></label></div><div class="subtext input-group-subtext" ng-if="!!groupUtil.getProp(\'subtext\')">{{ groupUtil.getProp(\'subtext\') }}</div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-loan-type", '<div button-group="ig-loan-type"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-property-type", '<div button-group="ig-property-type"></div>')
}]), angular.module("fossa").run(["$templateCache", "variation", function(n, t) {
    t.getVariationByName("style") === "comment" && n.put("ig-property-type-dropdown", '<label for="property-type" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'What Type Of Property?\')"></label><div class="row"><div class="col-sm-6 col-sm-offset-3"><select id="property-type" name="propertyType" class="form-control" ng-model="inputs.propertyType" ng-options="item.value as item.name for item in lists.propertyType" required></select></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-property-use", '<div button-group="ig-property-use"></div>')
}]), angular.module("fossa").run(["$templateCache", "variation", function(n) {
    n.put("ig-property-use-dropdown", '<label for="property-use" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'How Will This Property Be Used?\')"></label><div class="row"><div class="col-sm-6 col-sm-offset-3"><select id="property-use" name="propertyUse" class="form-control" ng-model="inputs.propertyUse" ng-options="item.value as item.name for item in lists.propertyUse" required></select></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-home-buying-status", '<label for="home-buying-status" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Where Are You In The Home-Buying Process?\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select id="home-buying-status" name="homeBuyingStatus" class="form-control" ng-model="inputs.homeBuyingStatus" required><option value="">Select an option</option><option value="HOWMUCHICANAFFORD">I&#39;m curious how much I can afford.</option><option value="NEEDPREQUALIFICATION">I&#39;m just getting started and need a prequalification letter.</option><option value="SHOPPINGWITHREALTOR">I&#39;m actively shopping for a house with a real estate agent.</option><option value="MAKEANOFFER">I&#39;ve found a home want to make an offer.</option><option value="ACCEPTEDCONTRACT">I have an accepted contract on a home and want to get a good deal on my mortgage.</option></select><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please select one option."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-new-home", '<div button-group="ig-new-home"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-estproperty-value", '<label for="estproperty-value" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Estimated Property Value\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="ui-slider-value-text dollar-range" ng-bind="sliderLabel "/><div slider ng-model="inputs.estPropertyValue" label-min="${{mortgageConfig.minPropertyValue | numberAbbr:0}}" label-max="$2M+" slider-options="option.value as option.name for option in estPropertyValueOptions" /><span>{{groupUtil.getProp("footnote")}}</span></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-estproperty-value-dropdown", '<label for="estproperty-value" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Estimated Property Value\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select id="estproperty-value" name="estproperty-value" ng-model="inputs.estPropertyValue" class="form-control" style ng-options="option.value as option.name for option in estPropertyValueOptions"></select></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-purchase-price", '<label for="purchase-price" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Estimated Purchase Price\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="ui-slider-value-text dollar-range" ng-bind="sliderLabel" /><div slider ng-model="inputs.purchasePrice" label-min="$0" label-max="$2M+" slider-options="option.value as option.name for option in lists.purchasePrice" /><span>{{groupUtil.getProp("footnote")}}</span></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-purchase-price-dropdown", '<label for="purchase-price" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Estimated Purchase Price\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select ng-model="inputs.purchasePrice" class="form-control" ng-options="option.value as option.name for option in lists.purchasePrice"></select></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-first-mortgage-balance", '<label for="est-mortgage-balance" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Remaining Balance\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="ui-slider-value-text dollar-range" ng-bind="sliderLabel "/><div slider ng-model="inputs.estMortgageBalance" label-min="0%" label-max="{{mortgageConfig.maxLtvPercentage * 100}}%" slider-options="option.value as option.name for option in estMortgageBalanceOptions" /><span>{{groupUtil.getProp("footnote")}}</span></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-first-mortgage-balance-dropdown", '<label for="est-mortgage-balance" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Remaining Balance\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select ng-model="inputs.estMortgageBalance" class="form-control" ng-options="option.value as option.name for option in estMortgageBalanceOptions"><option value="">Select balance</option></select></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-down-payment-amt", '<label for="down-payment" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Down Payment\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="ui-slider-value-text dollar-range" ng-bind="sliderLabel"/><div class="subtext" ng-hide="true" ng-bind="(inputs.purchasePrice * inputs.downPaymentAmt | accounting:USD:0)" /><br/><div slider ng-model="inputs.downPaymentAmt" label-min="0%" label-max="90%" show-label-max-plus slider-options="option.value as option.name for option in lists.downPaymentAmt" /><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="inputs.downPaymentAmt <= .05" error-msg="Lenders tend to want a down payment of at least 6-20%. The larger your down payment amount, the more loan offers you\'re likely to get."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-down-payment-amt-dropdown", '<label for="down-payment" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Down Payment\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="subtext" ng-hide="true" ng-bind="(inputs.purchasePrice * inputs.downPaymentAmt | accounting:USD:0)" /><br/><select ng-model="inputs.downPaymentAmt" class="form-control" ng-options="option.value as option.name for option in lists.downPaymentAmt"></select><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="inputs.downPaymentAmt <= .05" error-msg="Lenders tend to want a down payment of at least 6-20%. The larger your down payment amount, the more loan offers you\'re likely to get."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-down-payment-amt-dollars", '<label for="down-payment-amt-dollars" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Down Payment\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="ui-slider-value-text dollar-range" ng-bind="sliderLabel"/><div class="subtext" ng-bind="\'(\' + downPaymentAmtRange + \')\'" /><br/><div slider ng-model="inputs.downPaymentAmt" label-min="$0" label-max="{{inputs.purchasePrice | accounting:USD:0}}" slider-options="option.value as option.name for option in downPaymentAmtDollarsOptions" /><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="inputs.downPaymentAmt <= .05" error-msg="Lenders tend to want a down payment of at least 6-20%. The larger your down payment amount, the more loan offers you\'re likely to get."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-down-payment-amt-dollars-dropdown", '<label for="down-payment" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Down Payment\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="subtext" ng-bind="\'(\' + downPaymentAmtRange + \')\'" /><br/><select ng-model="inputs.downPaymentAmt" class="form-control" ng-options="option.value as option.name for option in downPaymentAmtDollarsOptions"></select><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="inputs.downPaymentAmt <= .05" error-msg="Lenders tend to want a down payment of at least 6-20%. The larger your down payment amount, the more loan offers you\'re likely to get."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-property-zip", '<label for="property-zip-code-input" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Property ZIP Code\')"></label><div class="row"><div class="col-xs-8 col-xs-offset-2"><input zip-code type="tel" id="property-zip-code-input" name="propertyZipCodeInput" class="form-control" ng-model="inputs.propertyZip" maxlength="5" ng-blur="startValidationFor(groupForm);" number number-precision="0" placeholder="{{groupUtil.getProp(\'placeholder\', \'Enter Zip\')}}" required  /><div class="help-block large" input-note-resp="{{inputs.propertyCity}},&nbsp;{{inputs.propertyState}}" assoc-input="groupForm" show-note-when="!isInvalid(groupForm) && inputs.propertyCity"></div><div class="help-block pending" input-note-resp="Validating..." assoc-input="groupForm" show-note-when="isValidationPending(groupForm)"></div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid property zip code."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-have-multiple-mortgages", '<div button-group="ig-have-multiple-mortgages"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-property-city-state", '<label for="property-geo-search" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'In What City Will The Property Be Located?\')"></label><div class="row"><div class="col-xs-12 input"><input type="text" id="property-geo-search" ng-model="inputs.propertyCity" placeholder="City, State" class="form-control" ng-required="inputs.hasFoundHome==\'NO\'"></div><div class="col-xs-12 messages"><span class="help-block" input-note-resp="(Please provide a valid value (ex. New York, NY)"></span><span class="help-block"></span></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-property-state", '<label for="property-state" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'In What State Will The Property Be Located In?\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select id="property-state" name="propertyState" class="form-control" ng-model="inputs.propertyState" required><option selected="selected" value="">Select state</option><option value="AL">Alabama</option><option value="AK">Alaska</option><option value="AZ">Arizona</option><option value="AR">Arkansas</option><option value="CA">California</option><option value="CO">Colorado</option><option value="CT">Connecticut</option><option value="DE">Delaware</option><option value="DC">District of Columbia</option><option value="FL">Florida</option><option value="GA">Georgia</option><option value="HI">Hawaii</option><option value="ID">Idaho</option><option value="IL">Illinois</option><option value="IN">Indiana</option><option value="IA">Iowa</option><option value="KS">Kansas</option><option value="KY">Kentucky</option><option value="LA">Louisiana</option><option value="ME">Maine</option><option value="MD">Maryland</option><option value="MA">Massachusetts</option><option value="MI">Michigan</option><option value="MN">Minnesota</option><option value="MS">Mississippi</option><option value="MO">Missouri</option><option value="MT">Montana</option><option value="NE">Nebraska</option><option value="NV">Nevada</option><option value="NH">New Hampshire</option><option value="NJ">New Jersey</option><option value="NM">New Mexico</option><option value="NY">New York</option><option value="NC">North Carolina</option><option value="ND">North Dakota</option><option value="OH">Ohio</option><option value="OK">Oklahoma</option><option value="OR">Oregon</option><option value="PA">Pennsylvania</option><option value="RI">Rhode Island</option><option value="SC">South Carolina</option><option value="SD">South Dakota</option><option value="TN">Tennessee</option><option value="TX">Texas</option><option value="UT">Utah</option><option value="VT">Vermont</option><option value="VA">Virginia</option><option value="WA">Washington</option><option value="WV">West Virginia</option><option value="WI">Wisconsin</option><option value="WY">Wyoming</option></select><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please select the state for this property."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-property-city", '<label for="property-city" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'In What City Will The Property Be Located In?\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="text" class="form-control" ng-model="inputs.propertyCity" placeholder="City"  class="form-control" cities-for-state="inputs.propertyState" required></div><div class="col-xs-12 messages"><span class="help-block" input-note-resp="(Please provide a a city value (ex. New York, NY)"></span></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-second-mortgage-balance", '<label for="second-mortgage-balance" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'2<sup>nd</sup> Mortgage Balance\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="ui-slider-value-text dollar-range" ng-bind="sliderLabel "/><div slider ng-model="inputs.secondMortgageBalance" label-min="$0" label-max="${{mortgageConfig.maxSecondMortgageBalance | numberAbbr:0}}" slider-options="option.value as option.name for option in secondMortgageBalanceOptions" /><span>{{groupUtil.getProp("footnote")}}</span></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-second-mortgage-balance-dropdown", '<label for="est-mortgage-balance" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Remaining Balance\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select ng-model="inputs.secondMortgageBalance" class="form-control" ng-options="option.value as option.name for option in secondMortgageBalanceOptions"></select></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-current-realestate-agent", '<div button-group="ig-current-realestate-agent"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-realtor-optin", '<div button-group="ig-realtor-optin"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-time-to-purchase", '<div button-group="ig-time-to-purchase"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-harp-prescreened", '<div button-group="ig-harp-prescreened"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-cash-out", '<label for="cash-out" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Would You Like To Borrow Additional Cash?\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="ui-slider-value-text dollar-range" ng-bind="sliderLabel "/><div slider ng-model="inputs.cashOut" label-min="$0" label-max="${{mortgageConfig.maxCashOut | numberAbbr:0}}" slider-options="option.value as option.name for option in cashOutOptions" /></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-cash-out-dropdown", '<label for="cash-out" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Would You Like To Borrow Additional Cash?\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select ng-model="inputs.cashOut" class="form-control" ng-options="option.value as option.name for option in cashOutOptions"></select></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-home-services-optin", '<div button-group="ig-home-services-optin"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-home-services-category", '<label for="home-services-category" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'What Can We Assist You With?\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select id="home-services-category" name="homeServicesCategory" class="form-control" ng-model="inputs.homeServicesCategoryObj" ng-options="item.name group by item.group for item in lists.homeServicesCategories track by item.id" required><option selected="selected" value="">Select a service</option></select></div></div><div class="row"><div class="help-block" input-error-resp show-error-when="isInvalid(groupForm)" error-msg="Please choose a category."></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-home-services-schedule", '<div button-group="ig-home-services-schedule"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-bankruptcy-or-foreclosure", '<div button-group="ig-bankruptcy-or-foreclosure"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-bankruptcy-discharged", "<label for=\"bankruptcy-discharged\" class=\"control-label\" ng-bind-html=\"groupUtil.getProp('label', 'How Long Ago Was The Bankruptcy?')\"></label><div class=\"row\"><div class=\"col-xs-10 col-xs-offset-1\"><div ng-init=\"bankruptcyLabels = {'01-12_MONTHS': 'Last 12 Months', '13-24_MONTHS': '1 Year', '25-36_MONTHS': '2 Years', '37-48_MONTHS': '3 Years', '49-60_MONTHS': '4 Years', '61-72_MONTHS': '5 Years', 'OVER_72_MONTHS': '6+ Years'}\"></div><div class=\"ui-slider-value-text\">{{bankruptcyLabels[inputs.bankruptcyDischarged]}}</div><div slider ng-model=\"inputs.bankruptcyDischarged\" min=\"0\" max=\"6\" label-min=\"0\" label-max=\"6+ yrs\" step=\"1\" model-map=\"{0: '01-12_MONTHS', 1: '13-24_MONTHS', 2: '25-36_MONTHS', 3: '37-48_MONTHS', 4: '49-60_MONTHS', 5: '61-72_MONTHS', 6: 'OVER_72_MONTHS' }\" /></div></div>")
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-bankruptcy-discharged-dropdown", "<label for=\"bankruptcy-discharged\" class=\"control-label\" ng-bind-html=\"groupUtil.getProp('label', 'How Long Ago Was The Bankruptcy?')\"></label><div class=\"row\"><div class=\"col-xs-10 col-xs-offset-1\"><select ng-model=\"inputs.bankruptcyDischarged\" class=\"form-control\" ng-options=\"option.value as option.name for option in [{ value:'01-12_MONTHS', name: 'Last 12 Months'},{ value:'13-24_MONTHS', name: '1 Year'},{ value:'25-36_MONTHS', name: '2 Years'},{ value:'37-48_MONTHS', name: '3 Years'},{ value:'49-60_MONTHS', name: '4 Years'},{ value:'61-72_MONTHS', name: '5 Years'},{ value:'OVER_72_MONTHS', name: '6+ Years'}]\"></select></div></div>")
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-foreclosure-text", "<label for=\"foreclosure-text\" class=\"control-label\" ng-bind-html=\"groupUtil.getProp('label', 'How Long Ago Was The Foreclosure?')\"></label><div class=\"row\"><div class=\"col-xs-10 col-xs-offset-1\"><div ng-init=\"foreclosureLabels = {'01-12_MONTHS': 'Last 12 Months', '13-24_MONTHS': '1 Year', '25-36_MONTHS': '2 Years', '37-48_MONTHS': '3 Years', '49-60_MONTHS': '4 Years', '61-72_MONTHS': '5 Years', 'OVER_72_MONTHS': '6 Years', 'OVER_84_MONTHS': '7+ Years'}\"></div><div class=\"ui-slider-value-text\">{{foreclosureLabels[inputs.foreclosureText]}}</div><div slider ng-model=\"inputs.foreclosureText\" min=\"0\" max=\"7\" label-min=\"0\" label-max=\"7+ yrs\" step=\"1\" model-map=\"{0: '01-12_MONTHS', 1: '13-24_MONTHS', 2: '25-36_MONTHS', 3: '37-48_MONTHS', 4: '49-60_MONTHS', 5: '61-72_MONTHS', 6: 'OVER_72_MONTHS', 7: 'OVER_84_MONTHS' }\" /></div></div>")
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-foreclosure-text-dropdown", "<label for=\"foreclosure-text\" class=\"control-label\" ng-bind-html=\"groupUtil.getProp('label', 'How Long Ago Was The Foreclosure?')\"></label><div class=\"row\"><div class=\"col-xs-10 col-xs-offset-1\"><select ng-model=\"inputs.foreclosureText\" class=\"form-control\" ng-options=\"option.value as option.name for option in [{ value:'01-12_MONTHS', name: 'Last 12 Months'},{ value:'13-24_MONTHS', name: '1 Year'},{ value:'25-36_MONTHS', name: '2 Years'},{ value:'37-48_MONTHS', name: '3 Years'},{ value:'49-60_MONTHS', name: '4 Years'},{ value:'61-72_MONTHS', name: '5 Years'},{ value:'OVER_72_MONTHS', name: '6+ Years'}]\"></select></div></div>")
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-stated-credit-history", '<div button-group="ig-stated-credit-history"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-dob", '<div feature-detect="dateWorking" on="dob-date-on" off="dob-date-off">'), n.put("dob-date-on", '<div date="single-input" min-years-back="18" ng-model="inputs.dob" local-model-format="date"><label for="dob" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'When Were You Born?\')"></label><div class="row"><div class="col-xs-8 col-xs-offset-2"><input type="date" id="dob" name="dob" class="form-control" ng-model="date" ng-click="date == undefined && (date = \'1978-01-15\')" placeholder="MM/DD/YYYY" required /><div class="col-xs-12 messages help-block"><div ng-show="isInvalid(groupForm)" ng-messages="groupForm.$error"><div ng-message="required">Please enter a date of birth.</div><div ng-message="date">Please enter a valid date of birth.</div><div ng-message="min">You must be at least 18.</div></div></div></div></div></div>'), n.put("dob-date-off", '<div date="three-inputs" min-years-back="18" ng-model="inputs.dob"><label for="birth-month" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'When Were You Born?\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1 col-sm-4 col-sm-offset-0" ng-class="{\'invalid-date\': isInvalid(groupForm.birthMonth)}"><select id="birth-month" name="birthMonth" class="form-control" ng-model="datePartials.month" required><option value="">Month</option><option value="1">January</option><option value="2">February</option><option value="3">March</option><option value="4">April</option><option value="5">May</option><option value="6">June</option><option value="7">July</option><option value="8">August</option><option value="9">September</option><option value="10">October</option><option value="11">November</option><option value="12">December</option></select></div><div class="col-xs-10 col-xs-offset-1 col-sm-4 col-sm-offset-0 ng-class="{\'invalid-date\': isInvalid(groupForm.birthDay)}"><select id="birth-day" name="birthDay" class="form-control" ng-model="datePartials.day" required><option value="">Day</option><option value="1">01</option><option value="2">02</option><option value="3">03</option><option value="4">04</option><option value="5">05</option><option value="6">06</option><option value="7">07</option><option value="8">08</option><option value="9">09</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option></select></div><div class="col-xs-10 col-xs-offset-1 col-sm-4 col-sm-offset-0" ng-class="{\'invalid-date\': isInvalid(groupForm.birthYear)}"><select id="birth-year" class="form-control" name="birthYear" ng-model="datePartials.year" ng-options="year for year in dateYears" ng-change="startValidationFor(groupForm)" required><option value="">Year</option></select></div><div class="col-xs-12 messages help-block"><div ng-show="isInvalid(groupForm)" ng-messages="groupForm.$error"><div ng-message="required"><span ng-show="groupForm.birthMonth.$error.required || groupForm.birthDay.$error.required || groupForm.birthYear.$error.required">Please enter</span><span ng-show="groupForm.birthMonth.$error.required && groupForm.birthDay.$error.required && groupForm.birthYear.$error.required"> a date.</span><span ng-show="!(groupForm.birthMonth.$error.required && groupForm.birthDay.$error.required && groupForm.birthYear.$error.required)"><span ng-show="groupForm.birthMonth.$error.required"> a month</span><span ng-show="groupForm.birthDay.$error.required"><span ng-show="groupForm.birthMonth.$error.required"> and</span> a day</span><span ng-show="groupForm.birthYear.$error.required"><span ng-show="groupForm.birthMonth.$error.required || groupForm.birthDay.$error.required"> and</span> a year</span>.</span></div><div ng-message="date">Please enter a valid date of birth.</div><div ng-message="min">You must be at least 18.</div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-veteran", '<div button-group="ig-veteran"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-current-loan-va", '<div button-group="ig-current-loan-va"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-name", '<label for="first-name" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Your Name\')"></label><div class="row"><div class="col-ms-6 col-sm-12"><input type="text" name="first-name" id="first-name" class="form-control" ng-model="inputs.firstName" placeholder="{{groupUtil.getProp(\'placeholder-first-name\', \'First Name\')}}" ng-pattern="/^[a-zA-Z]{1}[a-zA-Z \'\\-\\.]{1,49}$/" maxlength="50" required /></div><div class="col-ms-6 col-sm-12"><input type="text" name="last-name" id="last-name" class="form-control" ng-model="inputs.lastName" ng-blur="startValidationFor(groupForm)" placeholder="{{groupUtil.getProp(\'placeholder-last-name\', \'Last Name\')}}" ng-pattern="/^[a-zA-Z]{1}[a-zA-Z \'\\-\\.]{1,49}$/" maxlength="50" required /></div><div class="col-xs-10 col-xs-offset-1"><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter your full first and last name."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-street1", '<label for="street1" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Your Address\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input street-address type="text" id="street1" name="street1" class="form-control" ng-model="inputs.streetAddress" ng-blur="startValidationFor(groupForm)" maxlength="50" required placeholder="{{groupUtil.getProp(\'placeholder\', \'Street Address\')}}"  /><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm.street1)" error-msg="Please enter a street address containing one space between the street number and the street name."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("street1-autocomplete", '<label for="street1" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Your Address\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input g-places-autocomplete street-address street-auto-complete="{ zipCode: \'zipCode\' }"  options="{ componentRestrictions: { country: \'US\' } }" type="text" id="street1" name="street1" class="form-control" ng-model="inputs.streetAddress" ng-blur="startValidationFor(groupForm)" maxlength="50" required placeholder="Street Address"  /><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm.street1)" error-msg="Please enter a street address containing one space between the street number and the street name."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-zip-code", '<label for="zip-code-input" class="sr-only">Your Zip Code</label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input zip-code type="tel" id="zip-code-input" name="zipCodeInput" class="form-control" ng-model="inputs.zipCode" maxlength="5" ng-blur="startValidationFor(groupForm);" number number-precision="0" placeholder="{{groupUtil.getProp(\'placeholder\', \'Enter Zip\')}}" required  /><div class="help-block pending" input-note-resp="Validating..." assoc-input="groupForm" show-note-when="isValidationPending(groupForm)"></div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid Zip Code."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-city", '<label for="city-input" class="sr-only">Your City</label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="text" id="property-geo-search" class="form-control" ng-model="inputs.cityTypeAhead" placeholder="City" typeahead-min-length="3" ng-model="inputs.stateCode" required /><i ng-show="loadingLocations" class="glyphicon glyphicon-refresh loading-icon rotateClockwise"></i><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid City."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-email", '<label for="email" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Email\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input email type="email" id="email" name="email" class="form-control" ng-blur="startValidationFor(groupForm)" ng-model="inputs.email" required placeholder="{{groupUtil.getProp(\'placeholder\', \'you@example.com\')}}" maxlength="150" auto-correct /><div class="help-block pending" input-note-resp="Validating..." assoc-input="groupForm" show-note-when="isValidationPending(groupForm)"></div><div class="help-block note-resp" ng-show="looseError">Are you sure you meant to enter {{inputs.email}}?</div><div class="help-block" ng-show="autoCorrect.suggestion">We validated the email address as {{autoCorrect.suggestion.value}}.<br />Did you mean to use @{{autoCorrect.corrected.domain}}.{{autoCorrect.corrected.extension}}?  <a href="javascript:void(0);" ng-click="autoCorrect.markCorrectedValid();">Yes</a></div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid email address."></div><div class="subtext" input-note-resp="We take your privacy seriously" show-note-when="!isInvalid(groupForm)"></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-email-password", '<label for="email" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Please create a login\')"></label><div class="row"><div class="col-sm-5 col-sm-offset-1"><input email type="email" id="email" name="email" class="form-control" ng-blur="startValidationFor(groupForm.email)" ng-model="inputs.email" required placeholder="{{groupUtil.getProp(\'placeholder\', \'Email\')}}" maxlength="150" auto-correct /><div class="help-block pending" input-note-resp="Validating..." assoc-input="groupForm" show-note-when="isValidationPending(groupForm)"></div><div class="help-block note-resp" ng-show="looseError">Are you sure you meant to enter {{inputs.email}}?</div><div class="help-block" ng-show="autoCorrect.suggestion">We validated the email address as {{autoCorrect.suggestion.value}}.<br />Did you mean to use @{{autoCorrect.corrected.domain}}.{{autoCorrect.corrected.extension}}?  <a href="javascript:void(0);" ng-click="autoCorrect.markCorrectedValid();">Yes</a></div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm.email)" error-msg="Please enter a valid email address."></div><div class="subtext" input-note-resp="We take your privacy seriously" show-note-when="!isInvalid(groupForm.email)"></div></div><div class="col-sm-5"><input type="password" id="password" name="password" class="form-control" ng-blur="startValidationFor(groupForm.password)" ng-model="inputs.password" ng-pattern="/^(?!.*[^A-Za-z0-9])(?!.*\\s).{6,20}$/" maxlength="20" required placeholder="Create Password" /><div class="subtext">(Please enter at least 6 characters.<br/> Special characters are not allowed.)</div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-home-phone", '<div phone="single-input" ng-model="inputs.homePhone"><label for="home-phone" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Phone Number\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="tel" id="home-phone" placeholder="{{groupUtil.getProp(\'placeholder\', \'\')}}" disclosure-text-small-device-scroll class="form-control" name="homePhone" ng-model="phone" input-mask="999-999-9999" ng-pattern="/^[2-9][0-8][0-9]-[2-9]\\d{2}-\\d{4}$/" required ng-blur="startValidationFor(groupForm)" /><div class="help-block pending" input-note-resp="Validating..." assoc-input="groupForm" show-note-when="isValidationPending(groupForm)"></div><div class="help-block note-resp" ng-show="looseError">Are you sure you meant to enter {{inputs.homePhone | tel}}?</div><div class="subtext"><a class="subtext" input-note-resp="{{groupUtil.getProp(\'subtext\', \'Why we need your phone number.\')}}" show-note-when="step.getProp(\'sidebars\')" ng-click="formData.showSidebar=true; $event.stopPropagation();"></a></div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid phone number."></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ssn-variation-0", '<div ssn="single-input" ng-model="inputs.ssn"><label for="social-security" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Social Security Number\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="password" ng-hide="groupUtil.getProp(\'unmaskSsn\')" placeholder="{{groupUtil.getProp(\'placeholder\', \'\')}}" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control lock-text" ng-model="ssn" maxlength="9" number number-precision="0" ng-required="groupUtil.getProp(\'required\', false)" /><input type="tel" ng-show="groupUtil.getProp(\'unmaskSsn\')" placeholder="{{groupUtil.getProp(\'placeholder\', \'\')}}" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control lock-text" ng-model="ssn" maxlength="9" number number-precision="0" /><span class="lock-wrap"><img src="/assets/cfimg/assets/images/pixel.png" class="sprites small-lock" width="1" height="1"></span><div class="subtext" show-note-when="!isInvalid(groupForm)" ng-if="groupUtil.getProp(\'subText\', \'1\') === \'1\'">(This will not affect your credit)</div><div class="subtext" show-note-when="!isInvalid(groupForm)" ng-if="groupUtil.getProp(\'subText\') === \'2\'">(Your SSN is secure with us and is used to verify your identity. Not all lenders will receive your SSN.)</div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid social security number."></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ssn-variation-1", '<div ssn="single-input" ng-model="inputs.ssn"><label for="social-security" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Social Security Number\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="password" placeholder="{{groupUtil.getProp(\'placeholder\', \'\')}}" ng-hide="groupUtil.getProp(\'unmaskSsn\')" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control" ng-model="ssn" maxlength="9" number number-precision="0" ng-required="groupUtil.getProp(\'required\', false)" /><input type="tel" placeholder="{{groupUtil.getProp(\'placeholder\', \'\')}}" ng-show="groupUtil.getProp(\'unmaskSsn\')" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control" ng-model="ssn" maxlength="9" number number-precision="0" /><div class="subtext">(Your SSN is secure with us and is used to verify your identity.  Not all lenders will receive your SSN.)</div><span class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid social security number."></span></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ssn-variation-2", '<div ssn="single-input" ng-model="inputs.ssn"><label for="social-security" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Social Security Number\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="label-message warn">This will not affect your credit</div><input type="password" ng-hide="groupUtil.getProp(\'unmaskSsn\')" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control" ng-model="ssn" maxlength="9" number number-precision="0" /><input type="tel" ng-show="groupUtil.getProp(\'unmaskSsn\')" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control" ng-model="ssn" maxlength="9" number number-precision="0" /><div class="subtext">(Your SSN is secure with us and is used to verify your identity.  Not all lenders will receive your SSN.)</div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid social security number."></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ssn-variation-3", '<div ssn="single-input" ng-model="inputs.ssn"><div class="step-message info">This will not affect your credit</div><label for="social-security" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Social Security Number\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="password" ng-hide="groupUtil.getProp(\'unmaskSsn\')" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control" ng-model="ssn" maxlength="9" number number-precision="0" /><input type="tel" ng-show="groupUtil.getProp(\'unmaskSsn\')" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control" ng-model="ssn" maxlength="9" number number-precision="0" /><div class="subtext">(Your SSN is secure with us and is used to verify your identity.  Not all lenders will receive your SSN.)</div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid social security number."></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ssn-variation-4", '<div ssn="single-input" ng-model="inputs.ssn"><label for="social-security" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Social Security Number\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="password" ng-hide="groupUtil.getProp(\'unmaskSsn\')" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control" ng-model="ssn" maxlength="9" number number-precision="0" /><input type="tel" ng-show="groupUtil.getProp(\'unmaskSsn\')" id="social-security" name="socialSecurity" pattern="[0-9]*" class="form-control" ng-model="ssn" maxlength="9" number number-precision="0" /><div class="subtext">Your SSN is secure with us and is used to verify your identity.  Not all lenders will receive your SSN.</div><div class="subtext2">Although lenders will still provide you with the free offers, entering your <br/> SSN (proving you\'re real), could increase the quality of your offers.</div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid social security number."></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-bank", '<label class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Do You Currently Have Accounts With Any Of The Following Banks?\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="help-block tip" ng-if="groupUtil.getProp(\'showSubText\', \'false\') === true">Accounts can include mortgage, checking, savings, loan, and/or credit card</div><div class="help-block tip" ng-if="groupUtil.getProp(\'showSubText\', \'false\') !== true">Check all that apply</div></div><div class="col-xs-12 checkbox-wrapper"><h4 class="note-resp text-left" ng-if="groupUtil.getProp(\'showSubText\', \'false\') === true"><b>Check all that apply</b></h4><div ng-repeat="bank in formData.Banks"><div class="checkbox"><input type="checkbox" name="bank" id="{{bank.Name}}" checklist-model="inputs.bank" checklist-value="bank.ReferenceKey" ng-required="!inputs.bank.length" /><label for="{{bank.Name}}">{{bank.Name}}</label></div></div><div class="checkbox"><input type="checkbox" name="bank" id="bank-other" checklist-model="inputs.bank" checklist-value="0" ng-required="!inputs.bank.length" /><label for="bank-other">None of the above</label></div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please select at least one option."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-self-employed", '<div button-group="ig-self-employed"></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-ssn-four", '<label for="social-security-four" id="ssn-label" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Please enter the last 4 digits<br>of your SSN\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input ssn-last-four type="{{groupUtil.getProp(\'unmaskSsn\') ? \'tel\' : \'password\'}}" id="social-security-four" name="socialSecurityFour" disclosure-text-small-device-scroll class="form-control lock-text" ng-model="inputs.ssn4" size="4" number number-precision="0" ng-required="groupUtil.getProp(\'required\')" /><span class="lock-wrap"><img src="/assets/cfimg/assets/images/pixel.png" class="sprites small-lock" width="1" height="1"></span><span ng-if="groupUtil.getProp(\'showExplainNextToInput\', \'no\') === \'yes\'"><span class="explain"><a ng-click="formData.showSidebar=true; $event.stopPropagation();"><span class="explain-icon glyphicon glyphicon-info-sign"></span></a></span><span ng-class="sidebar.class" ng-include="\'ssn-four-sidebar\' || \'ssn-sidebar-wrapper\'"></span></span><div class="subtext" ng-if="groupUtil.getProp(\'subText\', \'1\') === \'1\'">(This will not affect your credit)</div><div class="subtext" ng-if="groupUtil.getProp(\'subText\') === \'2\'">(Your SSN is secure with us and is used to verify your identity.  Not all lenders will receive your SSN.)</div><div class="subtext" ng-if="groupUtil.getProp(\'subText\') === \'3\'">(Your SSN is secure with us. SuccessMember uses it to verify your identity.)</div><div class="subtext" ng-if="groupUtil.getProp(\'subText\') === \'4\'">(Your SSN is secure with us and is shared with your matched lenders to provide you with accurate rates.)</div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter the last 4 digits of your SSN."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-property-street", '<label for="property-street" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Your Property Address\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input street-address type="text" id="propertyStreet" name="propertyStreet" class="form-control" ng-model="inputs.propertyStreetAddress" ng-blur="startValidationFor(groupForm)" maxlength="50" required placeholder="{{groupUtil.getProp(\'placeholder\', \'Street Address\')}}"  /><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm.propertyStreet)" error-msg="Please enter a street address containing one space between the street number and the street name."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-income", '<label for="income" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Your Annual Pre-Tax Income\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><div class="ui-slider-value-text dollar-range" ng-bind="sliderLabel" /><div slider ng-model="inputs.income" label-min="$0" label-max="$80K+" slider-options="option.value as option.name for option in lists.annualIncome" /><span>{{groupUtil.getProp("footnote")}}</span></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-income-dropdown", '<label for="income" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Your Annual Pre-Tax Income\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><select ng-model="inputs.income" class="form-control" ng-options="option.value as option.name for option in lists.annualIncome"><option value="">Select Income</option></select><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm.income)" error-msg="Please provide your annual pre-tax income."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("title-oops-targus-info", '<div class="step-title-1"><h1>Oops!</h1><h3>Your personal information doesn\'t seem to match up.</h3></div>')
}]), angular.module("fossa").run(["$templateCache", "variation", function(n, t) {
    t.getVariationByName("style") === "comment" && n.put("ig-name", '<label for="first-name" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Basic <b>contact</b> information\')"></label><div class="row"><div class="col-sm-5 col-sm-offset-1"><input type="text" name="first-name" id="first-name" class="form-control" ng-model="inputs.firstName" placeholder="{{groupUtil.getProp(\'placeholder-first-name\', \'First Name\')}}" ng-pattern="/^[a-zA-Z]{1}[a-zA-Z \'\\-\\.]{1,49}$/" maxlength="50" required /></div><div class="col-sm-5"><input type="text" name="last-name" id="last-name" class="form-control" ng-model="inputs.lastName" ng-blur="startValidationFor(groupForm)" placeholder="{{groupUtil.getProp(\'placeholder-last-name\', \'Last Name\')}}" ng-pattern="/^[a-zA-Z]{1}[a-zA-Z \'\\-\\.]{1,49}$/" maxlength="50" required /></div><div class="col-xs-10 col-xs-offset-1"><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter your full first and last name."></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", "variation", "stepListManager", "stepList", "step", "stepTitleMappings", function(n, t, i, r, u, f) {
    if (t.getVariationByName("style") === "comment") {
        var e;
        _.each(r, function(n) {
            n.headerTitle = function(n) {
                var i = _.last(u.getGroupNames(u.getCurrentStep() - 1)),
                    t = f[i],
                    r = angular.isFunction(t) && t(n);
                return r || "Ok, great!"
            }
        }), n.put("form-header", '<div class="form-header" ng-class="{true: \'first-form-header\'}[step.isFirstStep()]"><div class="container"><div class="row"><div class="col-sm-3 text-left"><a href class="back-link" ng-click="step.handlePrevious()" ng-hide="step.isFirstStep() || step.getProp(\'disallowBack\') || step.isLastStep()"></a><div class="logo"></div></div><div class="col-sm-6 text-center" ng-show="step.isFirstStep()"><h2>Submitting a loan request is easy and free.</h2><h5><span class="leaf-icon"></span><b>Compare multiple offers in minutes!</b></h5></div><div class="col-sm-6 text-center" ng-hide="step.isFirstStep()"><h2>{{ step.getProp(\'headerTitle\') }}</h2></div><div class="col-sm-3 phone text-right" ng-hide="inputs.telNum == \'hide\'"><div lt-promo-disclosure-link lt-promo-num="inputs.promoNum"></div><span class="num-large">{{inputs.telNum | tel:"without-bracket":"short"}}</span></div></div></div></div>'), n.put("wizardStepWrapper", "<div class=\"promo\">{{text.get('promoText')}}</div><div ng-include=\"'wizard'\"></div><div ng-include=\"'disclosures'\"></div>"), n.put("wizard", '<div class="wizard"><span class="explain"><a ng-show="step.getProp(\'sidebars\')" ng-click="formData.showSidebar=true; $event.stopPropagation();"><span class="explain-icon glyphicon glyphicon-info-sign"></span></a></span><div ng-class="sidebar.class" ng-repeat="sidebar in step.getProp(\'sidebars\')" ng-include="sidebar.template || sidebar.name"></div><div ng-include="\'step-header\'"></div><div wizard-step="lt-step" step-scroll-top></div><div progress-bar></div><div phone-call-out-link></div></div>')
    }
}]), angular.module("fossa").run(["$templateCache", "variation", function(n, t) {
    t.getVariationByName("style") === "icon" && n.put("form-header", '<link href="/assets/css/lt.css" rel="stylesheet" type="text/css" /><div class="form-header" ng-class="{true: \'first-form-header\'}[step.isFirstStep()]"><div class="container"><div class="row"><div class="col-back-link text-left"><a href class="sprites sprites-back-link" ng-click="step.handlePrevious()" ng-hide="step.isFirstStep() || step.getProp(\'disallowBack\') || step.isLastStep()"></a></div><div class="col-xs-12 col-sm-8 col-sm-offset-2 text-center"><div class="row"><div class="col-xs-12 text-center"><div class="logo"></div></div></div><div class="row" mortgage-step-progress current-step-category="{{ step.getCurrentStepObj().stepCategory }}" /></div><div class="col-sm-2 header-phone text-right hidden-xs" ng-hide="inputs.telNum == \'hide\'"><div class="header-phone-pre-text">Call now!</div><div class="header-phone-text">{{inputs.telNum | tel:"without-bracket":"short"}}</div><div lt-promo-disclosure-link lt-promo-num="inputs.promoNum" class="header-phone-post-text"></div></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", "variation", function(n, t) {
    t.getVariationByName("style") === "icon" && n.put("title-oops-targus-info", '<div class="step-title-1"><h1>Oops!</h1><h3>Your personal information doesn\'t seem to add up.</h3></div>')
}]), angular.module("fossa").run(["$templateCache", "variation", function(n, t) {
    t.getVariationByName("style") === "vertical" && (n.put("form-header", '<div class="form-header"><div class="container"><div class="row"><div class="col-sm-6 text-left"><div class="logo"></div></div><div class="col-sm-6 text-right"><div lt-promo-disclosure-link lt-promo-num="inputs.promoNum"></div></div><div class="col-sm-6 phone text-right" ng-hide="inputs.telNum == \'hide\'">Call us <span class="num-large">{{inputs.telNum | tel:"without-bracket":"short"}}</span></div></div></div></div>'), n.put("wizardStepWrapper", "<div class=\"promo\">{{text.get('promoText')}}</div><div ng-include=\"'wizard'\"></div><div ng-include=\"'disclosures'\"></div>"), n.put("wizard", '<div class="wizard"><span class="explain"><a ng-show="step.getProp(\'sidebars\')" ng-click="formData.showSidebar=true; $event.stopPropagation();"><span class="explain-icon glyphicon glyphicon-info-sign"></span></a></span><div ng-include="\'step-header\'"></div><div wizard-step="lt-step"></div><a href class="back-link" ng-click="handlePrevious()" ng-hide="step.isFirstStep() || step.getProp(\'disallowBack\') || step.isLastStep()"><i class="back-icon"></i> Back</a><div progress-bar></div><div phone-call-out-link></div></div>'))
}]), angular.module("fossa.directives").directive("phoneCallOutLink", ["data", "formData", "variation", "step", function(n, t, i, r) {
    return i.getVariationByName("phoneCallOut") === "yes" ? {
        restrict: "EA",
        scope: {},
        template: '<a ng-if="show()" class="call-out-action" fossa-modal-link="phone-call-out-modal">Talk with a real person <i class="arrows arrow-right"></i></div>',
        link: function(i) {
            var e = n.getData();
            i.show = function() {
                return e.loanType === "REFINANCE" && r.isOnOrAfterGroup("ig-dob") && r.isBeforeGroup("ig-ssn") && !t.phoneCallOutSubmitted
            }
        }
    } : {}
}]).directive("phoneCallOutModal", ["data", "formData", function(n, t) {
    return {
        restrict: "EA",
        scope: !0,
        link: function(i) {
            var f = n.getData();
            i.phoneCalloutInputs = {
                fullName: f.firstName && f.lastName && f.firstName + " " + f.lastName,
                phone: f.homePhone
            }, i.formData = t, i.groups = [{
                name: "ig-phone-callout-full-name"
            }, {
                name: "ig-phone-callout-phone"
            }]
        }
    }
}]).directive("submitPhoneCallOut", ["qsUtil", "localProxy", "data", "formData", function(n, t, i, r) {
    return {
        restrict: "EA",
        require: ["^form"],
        link: function(u, f, e, o) {
            var s = o[0];
            f.on("click", function() {
                if (u.nextClicked = !0, s.$valid) {
                    r.phoneCallOutSubmitted = !0;
                    var f = i.getData(),
                        e = u.phoneCalloutInputs.fullName.split(" "),
                        o = _.pick({
                            F9domain: "SuccessMember Inc.",
                            F9list: "DirectConnectAll",
                            F9CallASAP: "1",
                            first_name: e[0],
                            last_name: e[e.length - 1],
                            number1: u.phoneCalloutInputs.phone,
                            street: f.streetAddress,
                            city: f.city,
                            state: f.stateName
                        }, _.identity);
                    t.postForm("https://api.five9.com/web2campaign/AddToList?" + n.toKeyValue(o))
                }
                u.$apply()
            })
        }
    }
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("ig-phone-callout-full-name", '<label for="phone-callout-full-name" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Full name\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="text" name="phone-callout-full-name" id="phone-callout-full-name" class="form-control" ng-model="phoneCalloutInputs.fullName" placeholder="First and last name" ng-pattern="/^[a-zA-Z]{1}[a-zA-Z \'\\-\\.]{1,49}$/" maxlength="50" required /><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter your full first and last name."></div></div></div>'), n.put("ig-phone-callout-phone", '<div phone="single-input" ng-model="phoneCalloutInputs.phone"><label for="home-phone" class="control-label" ng-bind-html="groupUtil.getProp(\'label\', \'Phone number\')"></label><div class="row"><div class="col-xs-10 col-xs-offset-1"><input type="tel" id="home-phone" class="form-control" name="homePhone" ng-model="phone" ng-blur="startValidationFor(groupForm)" input-mask="999-999-9999" ng-pattern="/^[2-9]\\d{2}-\\d{3}-\\d{4}$/" required placeholder="Number" /><div class="help-block pending" input-note-resp="Validating..." assoc-input="groupForm" show-note-when="isValidationPending(groupForm)"></div><div class="help-block note-resp" ng-show="looseError">Are you sure you meant to enter {{inputs.homePhone | tel}}?</div><div class="help-block" input-error-resp assoc-input="groupForm" show-error-when="isInvalid(groupForm)" error-msg="Please enter a valid phone number."></div></div></div></div>'), n.put("phone-call-out-modal", '<div phone-call-out-modal class="modal form phone-callout" ng-form="callOutForm"><div class="modal-dialog modal-1"><div ng-if="!formData.phoneCallOutSubmitted" class="modal-content"><div class="modal-header"><div class="modal-title clearfix"><span class="close" ng-click="$hide()">&times;</span></div></div><div class="modal-body"><div class="form"><h2>Speak to a Lender Now</h2><div ng-repeat="group in groups"><div input-group="group"></div></div><div class="subtext">By providing a phone number, you are agreeing that SuccessMember, its <a href="https://www.successmember.com/legal/partner-list" target="_blank">Network Lenders</a>, and/or partners may contact you at this number, or another number that you later provide. You also agree to receive calls and messages from automated dialing systems and/or by pre-recorded message, and text messages (where applicable) at these numbers. Normal cell phone charges may apply if you provide a cellular number.You may continue with our services without providing a phone number by calling <a href="tel:+888-272-1355">1-888-272-1355</a>.</div></div></div><div class="modal-footer"><button class="btn btn-primary btn-lg" submit-phone-call-out>Call Me</button></div></div><div ng-if="formData.phoneCallOutSubmitted" class="modal-content"><div class="modal-body"><div class="message"><h1>Thank you<br>for your request</h1><h4>We will call you as soon as possible.</h4><div class="contact-info"><b>SuccessMember\'s Contact Center is open:</b><br>Monday-Thursday 8am-9pm ET<br>Friday 8am-8pm ET<br>Saturday 10am-7pm ET</div></div></div><div class="modal-footer"><button class="btn btn-primary btn-lg" ng-click="$hide()">Close</button></div></div></div></div>')
}]), angular.module("fossa").run(["$templateCache", "variation", "stepListManager", "stepList", "step", "stepTitleMappings", function(n, t) {
    t.getVariationByName("style") === "gray" && n.put("form-header", '<div class="form-header"><div class="form-container"><div class="row"><div class="col-xs-12"><div class="logo"></div></div><div class="col-xs-12 tagline text-center">WHEN BANKS COMPETE, YOU WIN!</div></div><div class="row"><div class="col-xs-12 promo text-center">{{text.get(\'promoText\')}}</div></div><div lt-promo-disclosure-link lt-promo-num="inputs.promoNum"></div></div></div>')
}]), angular.module("fossa").run(["$animate", "$templateCache", "variation", "stepListManager", "stepList", "step", "stepTitleMappings", "$timeout", function(n, t, i, r, u, f, e, o) {
    if (i.getVariationByName("style") === "gray-anim") {
        t.put("form-header", '<div class="form-header"><div class="form-container"><div class="row"><div class="col-xs-12"><div class="logo"></div></div><div class="col-xs-12 tagline text-center">WHEN BANKS COMPETE, YOU WIN!</div></div><div class="row"><div class="col-xs-12 promo text-center" ng-bind-html="text.get(\'promoText\')"></div></div><div lt-promo-disclosure-link lt-promo-num="inputs.promoNum"></div></div></div>');

        function s() {
            $("body").addClass("highlight-compare"), o(function() {
                n.addClass($(".form-header .promo"), "move-up-promo", function() {
                    $("body").removeClass("highlight-compare"), n.addClass($(".form-body"), "form-body-initial-animate-next", function() {})
                })
            }, 1200)
        }
        s(), f.hookBeforeAdvancing(function(n) {
            if (n.userInitiated && n.$event) return h(n.$event.target)
        });

        function h(n) {
            var t = $(n).parents(".radio label")[0] || $(n).parents(".next")[0],
                i;
            if (angular.isDefined(t)) return TweenLite.to($(t).find(".label-success"), .2, {
                scaleX: 1,
                ease: Power1.easeOut
            }), i = $(".radio label").not(t), angular.forEach(i, function(n, t) {
                TweenLite.to(n, .3, {
                    opacity: 0,
                    x: -10,
                    delay: t * 30 / 1e3,
                    ease: Power1.easeOut
                })
            }), o(function() {}, 450)
        }
    }
}]), angular.module("fossa").animation(".move-up-promo", ["variation", function(n) {
    return n.getVariationByName("style") === "gray-anim" ? {
        addClass: function(n, t, i) {
            TweenLite.to(n, .4, {
                y: 0,
                ease: Power1.easeOut,
                onComplete: i
            })
        }
    } : {}
}]).animation(".form-body-initial-animate-next", ["variation", function(n) {
    return n.getVariationByName("style") === "gray-anim" ? {
        addClass: function(n, t, i) {
            TweenLite.fromTo(n, .8, {
                x: "50%",
                opacity: 0,
                zIndex: 1
            }, {
                x: "0%",
                scale: 1,
                opacity: 1,
                ease: Elastic.easeOut.config(1, 1),
                zIndex: 10,
                onComplete: i
            })
        }
    } : {}
}]).animation(".form-body", ["variation", "step", function(n, t) {
    return n.getVariationByName("style") === "gray-anim" ? {
        enter: function(n, i) {
            var r = t.getStepTransition() === "step-animate-next" ? "50%" : "-50%";
            TweenLite.fromTo(n, .8, {
                x: r,
                opacity: 0
            }, {
                x: "0%",
                scale: 1,
                opacity: 1,
                ease: Elastic.easeOut.config(1, 1),
                delay: .1,
                onComplete: i
            })
        }
    } : {}
}]), angular.module("fossa").config(["config", function(n) {
    angular.extend(n, {
        template: "m2",
        "template-id": "m2",
        "marketplace-uid": "10000",
        "esource-id": "566580",
        icode: "30",
        "exchange-lead-type": "SHORTFORM",
        "form-name": "MortgageQuickMatchForm",
        "qform-type": "QFORMCONSUMERGETSMART",
        "qform-sub-type": "QUICKMATCH",
        "email-optin": "Y",
        "source-application": "mortgage",
        version: "1.0",
        "hear-about-us": "",
        telNum: "855-401-5351",
        promoNum: "00001",
        "homeloan-product-type": "REFINANCE",
        "product-type": "MORTGAGE",
        product: "REFINANCE",
        loanType: "REFINANCE",
        propertyType: "SINGLEFAMDET",
        propertyUse: "OWNEROCCUPIED",
        homeServicesOptin: "NO",
        homeServicesSchedule: "",
        haveMultipleMortgages: "NO",
        foreclosureText: "NEVER",
        declaredBankruptcy: "NO",
        bankruptcyDischarged: "NEVER",
        statedCreditHistory: "SOMECREDITPROBLEMS",
        isVeteran: "NO",
        estPropertyValue: 2e5,
        downPaymentAmt: .2,
        purchasePrice: 2e5,
        secondMortgageMonthlyPayment: "0",
        currentMonthlyPayment: "0"
    })
}]), angular.module("fossa").config(["dataProvider", function(n) {
    n.addValidator({
        name: "loanType",
        validator: function(n) {
            if (angular.isDefined(n)) {
                var t = ["REFINANCE", "PURCHASE"];
                if (_.contains(t, n.toUpperCase())) return n.toUpperCase()
            }
        }
    }), n.addValidator({
        name: "propertyType",
        validator: function(n) {
            if (angular.isDefined(n)) {
                var t = ["SINGLEFAMDET", "SINGLEFAMATT", "LOWRISECONDO", "2TO4UNITFAM", "MOBILEPERMANENT"];
                if (_.contains(t, n.toUpperCase())) return n.toUpperCase()
            }
        }
    }), n.addValidator({
        name: "propertyUse",
        validator: function(n) {
            if (angular.isDefined(n)) {
                var t = ["OWNEROCCUPIED", "SECONDHOME", "INVESTMENTPROPERTY"];
                if (_.contains(t, n.toUpperCase())) return n.toUpperCase()
            }
        }
    }), n.addValidator({
        name: "newHome",
        validator: function(n) {
            if (angular.isDefined(n)) {
                var t = ["YES", "NO"];
                if (_.contains(t, n.toUpperCase())) return n.toUpperCase()
            }
        }
    }), n.addQsParamMappings({
        "time-to-purchase": "timeToPurchase",
        "bankruptcy-or-foreclosure": "bankruptcyOrForeclosure",
        "harp-prescreened": "harpPrescreened"
    })
}]), angular.module("fossa").config(["modelMapperProvider", function(n) {
    var t = {
        loanType: "homeloan-product-type",
        propertyType: "property-type",
        propertyUse: "property-use",
        currentRealestateAgent: "current-realestate-agent",
        estPropertyValue: "estproperty-value",
        purchasePrice: "purchase-price",
        estMortgageBalance: "est-mortgage-balance",
        downPaymentAmt: "down-payment-amt",
        propertyZip: "property-zip",
        homeBuyingStatus: "home-buying-status",
        newHome: "new-home",
        haveMultipleMortgages: "have-multiple-mortgages",
        propertyState: "property-state",
        propertyStateName: "property-state-name",
        propertyCity: "property-city",
        secondMortgageBalance: "second-mortgage-balance",
        harpPrescreened: "harp-prescreened",
        realtorOptin: "inline_realtor_optin",
        timeToPurchase: "time-to-purchase",
        cashOut: "cash-out",
        homeServicesOptin: "homeservice-optin",
        homeServicesCategory: "home-service-category",
        homeServicesSchedule: "home-service-schedule",
        bankruptcyOrForeclosure: "bankruptcy-or-foreclosure",
        declaredBankruptcy: "declared-bankruptcy",
        bankruptcyDischarged: "bankruptcy-discharged",
        foreclosureText: "foreclosure-text",
        statedCreditHistory: "stated-credit-history",
        isVeteran: "is-veteran",
        currentLoanVA: "current-loan-va",
        firstName: "first-name",
        lastName: "last-name",
        zipCode: "zip-code",
        streetAddress: "street1",
        stateCode: "state",
        stateName: "state-name",
        homePhone: "home-phone",
        selfEmployed: "self-employed",
        currentMonthlyPayment: "current-monthly-payment",
        secondMortgageMonthlyPayment: "2nd-mortgage-monthly-payment",
        hearAboutUs: "hear-about-us",
        propertyStreetAddress: "property-street",
        consumerUID: "consumer-uid"
    };
    n.modelMap(t)
}]), angular.module("fossa").config(["stepSkipConfig", function(n) {
    angular.extend(n, {
        groupModelMappings: {
            "ig-loan-type": "loanType",
            "ig-property-type": "propertyType",
            "ig-property-use": "propertyUse",
            "ig-property-zip": "propertyZip",
            "ig-new-home": "newHome",
            "ig-estproperty-value": "estPropertyValue",
            "ig-bank": "banks",
            "ig-self-employed": "selfEmployed"
        }
    })
}]), angular.module("fossa").run(["text", "data", "variation", function(n, t, i) {
    var r = t.getData();
    n.set({
        promoText: function() {
            return r.allLoanTypes === "HOME" ? "Compare live mortgage rates" : i.getVariationByName("style") === "gray-anim" ? '<span class="compare">Compare</span> <span class="live">live</span> <span class="rates">rates</span>' : "Compare live rates"
        },
        phoneHelpText: function() {
            return "Talk with a real person"
        }
    }), i.getVariationByName("style") === "gray" && n.set({
        promoText: function() {
            return r.allLoanTypes === "HOME" ? "Compare your mortgage rates" : "Compare your rates"
        },
        phoneHelpText: function() {
            return "WE CAN HELP"
        }
    }), i.getVariationByName("style") === "gray-anim" && n.set({
        promoText: function() {
            return r.allLoanTypes === "HOME" ? "Compare your mortgage rates" : '<span class="compare">Compare</span> <span class="live">live</span> <span class="rates">rates</span>'
        },
        phoneHelpText: function() {
            return "WE CAN HELP"
        }
    })
}]), angular.module("fossa").config(["variationProvider", function(n) {
    n.setDefinitions([{
        name: "style",
        variations: ["style1", "style2", "vertical", "bg-rooftops", "bg-couch", "bg-skyline", "bg-video1", "bg-video2", "bg-va", "refi-comparison", "comment", "icon", "gray", "gray-anim"],
        override: function(n) {
            if (Modernizr.smalldevice) {
                if (_.contains(["vertical", "bg-rooftops", "bg-couch", "bg-skyline", "bg-video1", "bg-video2", "bg-va", "comment"], n)) return "style1";
                if (n === "gray-anim") return "gray"
            }
        }
    }, {
        name: "refiPurchButtons",
        variations: ["purchFirst", "refiFirst", "myHome"]
    }, {
        name: "fieldSet",
        variations: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"],
        override: function(n) {
            return Modernizr.largedevice && _.contains(["0", "1", "2", "3"], n) ? "4" : Modernizr.largedevice && n === "8" ? "9" : Modernizr.smalldevice && n === "9" ? "8" : void 0
        }
    }, {
        name: "ssn",
        variations: ["0", "1", "2", "3", "4", "ssnFour", "5"]
    }, {
        name: "showHomeServices",
        variations: ["no", "yes"]
    }, {
        name: "currencyInputType",
        variations: ["slider", "input", "sliderWithInput", "dropdown"]
    }, {
        name: "briteVerify",
        variations: ["enabled", "disabled", "email-only", "phone-only"]
    }, {
        name: "showPromoHeader",
        variations: ["0", "1"]
    }, {
        name: "propertyCityState",
        variations: ["dropdown", "autocomplete"]
    }, {
        name: "optimizely",
        variations: ["off", "on"]
    }, {
        name: "showHomeBuying",
        variations: ["no", "no-redir"]
    }, {
        name: "xsells",
        variations: ["0", "1", "2"]
    }, {
        name: "submittedModal",
        variations: ["none", "continue", "hearaboutus"]
    }, {
        name: "phoneText",
        variations: ["default", "mobile"]
    }, {
        name: "warnOnAttemptedLeave",
        variations: ["0", "1", "2"]
    }, {
        name: "downPaymentDollars",
        variations: ["0", "1"]
    }, {
        name: "showBankWith",
        variations: ["no", "yes", "aftersubmit", "aftersubmit2"],
        override: function(n) {
            if (Modernizr.smalldevice && _.contains(["aftersubmit", "aftersubmit2"], n)) return "no"
        }
    }, {
        name: "progressBar",
        variations: ["none", "step3", "full"]
    }, {
        name: "styleChange",
        variations: ["off", "removeOnAdvance"]
    }, {
        name: "phoneCallOut",
        variations: ["no", "yes"]
    }, {
        name: "customerFirstRedirect",
        variations: ["no", "yes"]
    }, {
        name: "lexLawMessage",
        variations: ["no", "yes"]
    }, {
        name: "showTimeToPurchase",
        variations: ["no", "yes"]
    }, {
        name: "showHomeTypeSubtext",
        variations: ["no", "yes"]
    }, {
        name: "showSelfEmployed",
        variations: ["no", "aftersubmit", "beforeVeteran"],
        override: function(n) {
            if (Modernizr.smalldevice && n === "aftersubmit") return "no"
        }
    }, {
        name: "reduceDisclosureWhitespace",
        variations: ["no", "yes"]
    }, {
        name: "showDownArrow",
        variations: ["no", "yes"]
    }, {
        name: "streetAutoComplete",
        variations: ["no", "yes"]
    }, {
        name: "leadid",
        variations: ["off", "on"]
    }, {
        name: "showMortgageCalculatorTabs",
        variations: ["no", "yes"],
        override: function(n) {
            if (Modernizr.smalldevice && n === "yes") return "no"
        }
    }, {
        name: "showDisclosureAboveButton",
        variations: ["off", "on"]
    }, {
        name: "fieldsetType",
        variations: ["all", "loanExplorerOnly", "loanExplorerOnly2", "secondExchange"]
    }, {
        name: "showPropertyStreetAndIncome",
        variations: ["no", "yes"]
    }]), n.setDefaults({
        style: "style1",
        refiPurchButtons: "purchFirst",
        fieldSet: Modernizr.largedevice ? "4" : "0",
        ssn: "1",
        showHomeServices: "yes",
        currencyInputType: "slider",
        briteVerify: "enabled",
        showPromoHeader: "0",
        propertyCityState: "autocomplete",
        optimizely: "off",
        showHomeBuying: "no",
        xsells: "0",
        submittedModal: "continue",
        phoneText: "default",
        warnOnAttemptedLeave: "0",
        downPaymentDollars: "0",
        showBankWith: "aftersubmit",
        progressBar: "none",
        styleChange: "off",
        phoneCallOut: "no",
        customerFirstRedirect: "no",
        lexLawMessage: "no",
        showTimeToPurchase: "no",
        showHomeTypeSubtext: "no",
        showSelfEmployed: "no",
        reduceDisclosureWhitespace: "no",
        showDownArrow: "no",
        streetAutoComplete: "yes",
        leadid: "on",
        showMortgageCalculatorTabs: "no",
        showDisclosureAboveButton: "off",
        fieldsetType: "all",
        showPropertyStreetAndIncome: "no"
    })
}]), angular.module("fossa").run(["inputGroup", "data", "formData", "variation", "bankinfo", function(n, t, i, r, u) {
    var h = r.getVariationByName("fieldSet"),
        y = r.getVariationByName("refiPurchButtons"),
        l = r.getVariationByName("showHomeBuying"),
        f = r.getVariationByName("currencyInputType"),
        s = r.getVariationByName("downPaymentDollars"),
        c = r.getVariationByName("propertyCityState"),
        o = r.getVariationByName("showHomeServices"),
        a = r.getVariationByName("showSelfEmployed"),
        v = r.getVariationByName("phoneText"),
        e = r.getVariationByName("ssn"),
        d = r.getVariationByName("showBankWith"),
        p = r.getVariationByName("showTimeToPurchase"),
        g = r.getVariationByName("showHomeTypeSubtext"),
        w = r.getVariationByName("streetAutoComplete"),
        nt = r.getVariationByName("showDisclosureAboveButton"),
        b, k;
    u.getBanksByProduct("MORTGAGE").then(function(n) {
        b = n, i.Banks = n
    }), _.contains(["0", "1", "2", "3", "8"], h) ? (y === "refiFirst" ? n.addData("ig-loan-type", {
        values: [{
            id: "loan-type-refinance",
            label: "Refinance",
            value: "REFINANCE"
        }, {
            id: "loan-type-purchase",
            label: "Purchase",
            value: "PURCHASE"
        }]
    }) : y === "myHome" && n.addData("ig-loan-type", {
        values: [{
            id: "loan-type-purchase",
            label: "Loan For My New Home",
            value: "PURCHASE"
        }, {
            id: "loan-type-refinance",
            label: "Refinance My Home",
            value: "REFINANCE"
        }]
    }), n.addData("ig-home-buying-status", {
        show: function() {
            return l !== "no"
        }
    }), n.addData("ig-new-home", {
        show: function() {
            return !i.foundHomeOrUsedAgent
        }
    }), n.addData("ig-estproperty-value", {
        template: function() {
            if (f === "dropdown") return "ig-estproperty-value-dropdown"
        }
    }), n.addData("ig-purchase-price", {
        template: function() {
            if (f === "dropdown") return "ig-purchase-price-dropdown"
        }
    }), n.addData("ig-first-mortgage-balance", {
        template: function() {
            if (f === "dropdown") return "ig-first-mortgage-balance-dropdown"
        }
    }), n.addData("ig-down-payment-amt", {
        template: function() {
            return f === "dropdown" && s === "0" ? "ig-down-payment-amt-dropdown" : f !== "dropdown" && s === "1" ? "ig-down-payment-amt-dollars" : f === "dropdown" && s === "1" ? "ig-down-payment-amt-dollars-dropdown" : void 0
        }
    }), n.addData("ig-property-city-state", {
        show: function() {
            return c === "autocomplete"
        }
    }), n.addData("ig-property-state", {
        show: function() {
            return c !== "autocomplete"
        }
    }), n.addData("ig-property-city", {
        show: function() {
            return c !== "autocomplete"
        }
    }), n.addData("ig-second-mortgage-balance", {
        show: function(n) {
            return n.haveMultipleMortgages === "YES"
        }
    }), n.addData("ig-realtor-optin", {
        show: function(n) {
            return n.newHome === "NO" && n.currentRealestateAgent === "N"
        }
    }), n.addData("ig-time-to-purchase", {
        show: function() {
            return p === "yes"
        }
    }), n.addData("ig-harp-prescreened", {
        show: function(n) {
            return n.refiLtvWithoutCashOut > .97
        }
    }), n.addData("ig-cash-out", {
        template: function() {
            if (f === "dropdown") return "ig-cash-out-dropdown"
        },
        show: function(n) {
            return n.harpPrescreened !== "1"
        }
    }), n.addData("ig-home-services-optin", {
        label: function(n) {
            return n.loanType === "PURCHASE" ? "Do You Need A Trusted Pro To Help With Your Upcoming Move?" : "Do You Need A Trusted Pro For A Major Home Improvement?"
        },
        show: function() {
            return o === "yes"
        }
    }), n.addData("ig-home-services-category", {
        show: function(n) {
            return o === "yes" && n.homeServicesOptin === "YES"
        }
    }), n.addData("ig-home-services-schedule", {
        show: function(n) {
            return o === "yes" && n.homeServicesOptin === "YES"
        }
    }), n.addData("ig-bankruptcy-discharged", {
        template: function() {
            if (f === "dropdown") return "ig-bankruptcy-discharged-dropdown"
        },
        show: function(n) {
            return n.bankruptcyOrForeclosure === "BANKRUPTCY" || n.bankruptcyOrForeclosure === "BOTH"
        }
    }), n.addData("ig-foreclosure-text", {
        template: function() {
            if (f === "dropdown") return "ig-foreclosure-text-dropdown"
        },
        show: function(n) {
            return n.bankruptcyOrForeclosure === "FORECLOSURE" || n.bankruptcyOrForeclosure === "BOTH"
        }
    }), n.addData("ig-self-employed", {
        show: function() {
            return a === "beforeVeteran"
        }
    }), n.addData("ig-current-loan-va", {
        show: function(n) {
            return n.isVeteran === "YES"
        }
    }), n.addData("ig-street1", {
        template: function() {
            if (w === "yes") return "street1-autocomplete"
        }
    }), n.addData("ig-bank", {
        show: function() {
            return d === "yes" && b
        }
    }), n.addData("ig-home-phone", {
        label: function() {
            if (v === "mobile") return "Mobile Phone #"
        }
    }), n.addData("ig-ssn", {
        show: function(n) {
            return n.harpPrescreened !== "1"
        }
    }), e === "0" ? n.addData("ig-ssn", {
        template: "ssn-variation-0"
    }) : _.contains(["1", "2", "3", "4", "5"], e) && n.addData("ig-ssn", {
        template: "ssn-variation-1",
        label: "Social Security #"
    }), n.addData("ig-ssn-four", {
        show: function(n) {
            return _.contains(["ssnFour"], e) && n.harpPrescreened !== "1"
        },
        required: !1,
        subText: "2"
    })) : _.contains(["4", "7", "9"], h) && (k = !t.getUserGeneratedData().loanType, n.addData("ig-all-loan-types", {
        label: "",
        show: function() {
            return k
        }
    }), n.addData("ig-loan-type", {
        label: "What type of home loan are you looking for?",
        values: [{
            id: "loan-type-purchase",
            label: "Purchase",
            value: "PURCHASE"
        }, {
            id: "loan-type-refinance",
            label: "Refinance",
            value: "REFINANCE"
        }, {
            id: "loan-type-home-equity",
            label: "Home Equity",
            value: "HOMEEQUITY"
        }, {
            id: "loan-type-reverse",
            label: "Reverse Mortgage",
            value: "REVERSE"
        }, ],
        model: "loanType"
    }), n.addData("ig-property-type", {
        label: function(n) {
            return "Great!  What type of property are you " + (n.loanType === "REFINANCE" ? "refinancing" : "purchasing") + "?"
        },
        template: function() {
            if (h === "7") return "ig-property-type-dropdown"
        }
    }), n.addData("ig-property-use", {
        label: "How will this property be used?"
    }), g === "yes" ? n.addData("ig-property-use", {
        values: [{
            id: "property-use-primary",
            label: "Primary Home",
            value: "OWNEROCCUPIED"
        }, {
            id: "property-use-secondary",
            label: "Secondary Home <small>(Part-time owner occupied)</small>",
            value: "SECONDHOME"
        }, {
            id: "property-use-rental",
            label: "Rental Property <small>(Non-owner occupied)</small>",
            value: "INVESTMENTPROPERTY"
        }]
    }) : h === "7" && n.addData("ig-property-use", {
        template: "ig-property-use-dropdown"
    }), n.addData("ig-home-buying-status", {
        label: "Where are you in the home-buying process?",
        show: function() {
            return l !== "no"
        }
    }), n.addData("ig-property-city-state", {
        label: "In what city will the property be located?"
    }), n.addData("ig-property-state", {
        label: "In what state will the property be located?"
    }), n.addData("ig-property-city", {
        label: "In what city will the property be located?"
    }), n.addData("ig-property-zip", {
        label: "ZIP code of the property"
    }), n.addData("ig-new-home", {
        label: "Have you already found your new home?",
        show: function() {
            return !i.foundHomeOrUsedAgent
        }
    }), n.addData("ig-estproperty-value", {
        label: "Please estimate the value of the property",
        template: function() {
            if (f === "dropdown") return "ig-estproperty-value-dropdown"
        }
    }), n.addData("ig-current-realestate-agent", {
        label: "Are you currently working with a real estate agent?",
        show: function() {
            return !i.foundHomeOrUsedAgent
        }
    }), n.addData("ig-realtor-optin", {
        label: "Would you like a no obligation consultation from a local real estate agent?",
        show: function(n) {
            return !i.foundHomeOrUsedAgent && n.newHome === "NO" && n.currentRealestateAgent === "N"
        }
    }), n.addData("ig-time-to-purchase", {
        label: "When do you plan to purchase a home?",
        show: function() {
            return p === "yes"
        }
    }), n.addData("ig-purchase-price", {
        label: "What is the estimated purchase price?",
        template: function() {
            if (f === "dropdown") return "ig-purchase-price-dropdown"
        }
    }), n.addData("ig-down-payment-amt", {
        label: "How much are you putting down as a down payment?",
        template: function() {
            return f === "dropdown" && s === "0" ? "ig-down-payment-amt-dropdown" : f !== "dropdown" && s === "1" ? "ig-down-payment-amt-dollars" : f === "dropdown" && s === "1" ? "ig-down-payment-amt-dollars-dropdown" : void 0
        }
    }), n.addData("ig-first-mortgage-balance", {
        label: "What is the remaining 1<sup>st</sup> mortgage balance?",
        template: function() {
            if (f === "dropdown") return "ig-first-mortgage-balance-dropdown"
        }
    }), n.addData("ig-have-multiple-mortgages", {
        label: "Do you have a second mortgage?"
    }), n.addData("ig-second-mortgage-balance", {
        label: "What is the remaining balance on the 2<sup>nd</sup> mortgage?",
        template: function() {
            if (f === "dropdown") return "ig-second-mortgage-balance-dropdown"
        },
        show: function(n) {
            return n.haveMultipleMortgages === "YES"
        }
    }), n.addData("ig-harp-prescreened", {
        label: "Did you close on your mortgage<br /> on or before May 31, 2009?",
        show: function(n) {
            return n.refiLtvWithoutCashOut > .97
        }
    }), n.addData("ig-cash-out", {
        label: "Would you like to borrow additional cash?",
        template: function() {
            if (f === "dropdown") return "ig-cash-out-dropdown"
        },
        show: function(n) {
            return n.harpPrescreened !== "1"
        }
    }), n.addData("ig-home-services-optin", {
        label: function(n) {
            return n.loanType === "PURCHASE" ? "Do you need a trusted pro to help with your upcoming move?" : "Do you need a trusted pro for a major home improvement?"
        },
        show: function() {
            return o === "yes"
        }
    }), n.addData("ig-home-services-category", {
        label: "What can we assist you with?",
        show: function(n) {
            return o === "yes" && n.homeServicesOptin === "YES"
        }
    }), n.addData("ig-home-services-schedule", {
        label: "When would you like this request to be completed?",
        show: function(n) {
            return o === "yes" && n.homeServicesOptin === "YES"
        }
    }), n.addData("ig-stated-credit-history", {
        label: "Estimate your credit score"
    }), n.addData("ig-dob", {
        label: "When were you born?"
    }), n.addData("ig-self-employed", {
        show: function() {
            return a === "beforeVeteran"
        }
    }), n.addData("ig-veteran", {
        label: "Have you or your spouse served in the military?"
    }), n.addData("ig-current-loan-va", {
        label: "Do you currently have a VA loan?",
        show: function(n) {
            return n.isVeteran === "YES"
        }
    }), n.addData("ig-bankruptcy-or-foreclosure", {
        label: "Have you had a bankruptcy or foreclosure in the last 7 years?"
    }), n.addData("ig-bankruptcy-discharged", {
        label: "How long ago was the bankruptcy?",
        template: function() {
            if (f === "dropdown") return "ig-bankruptcy-discharged-dropdown"
        },
        show: function(n) {
            return n.bankruptcyOrForeclosure === "BANKRUPTCY" || n.bankruptcyOrForeclosure === "BOTH"
        }
    }), n.addData("ig-foreclosure-text", {
        label: "How long ago was the foreclosure?",
        template: function() {
            if (f === "dropdown") return "ig-foreclosure-text-dropdown"
        },
        show: function(n) {
            return n.bankruptcyOrForeclosure === "FORECLOSURE" || n.bankruptcyOrForeclosure === "BOTH"
        }
    }), n.addData("ig-street1", {
        label: "What is your current street address?",
        template: function() {
            if (w === "yes") return "street1-autocomplete"
        }
    }), n.addData("ig-zip-code", {
        label: ""
    }), n.addData("ig-city", {
        label: ""
    }), n.addData("ig-name", {
        label: "What is your name?"
    }), n.addData("ig-email", {
        label: ""
    }), n.addData("ig-password", {
        label: ""
    }), n.addData("ig-home-phone", {
        label: function() {
            return v === "mobile" ? "Mobile Phone #" : "Mobile or home phone number"
        }
    }), n.addData("ig-ssn", {
        label: function() {
            if (_.contains(["1", "2", "3", "4", "5"], e)) return "Social Security #"
        },
        template: function() {
            return e === "5" ? "ssn-variation-1" : "ssn-variation-" + e
        },
        required: function() {
            return _.contains(["5"], e)
        },
        show: function(n) {
            return _.contains(["0", "1", "2", "3", "4", "5"], e) && n.harpPrescreened !== "1"
        }
    }), n.addData("ig-ssn-four", {
        show: function(n) {
            return _.contains(["ssnFour"], e) && n.harpPrescreened !== "1"
        },
        required: !1,
        subText: "2"
    }))
}]), angular.module("fossa").controller("FossaCtrl", [function() {}]), angular.module("fossa.directives").directive("mortgageCalculatorTabs", ["variation", "step", "data", function(n, t, i) {
    if (n.getVariationByName("style") === "style1" && n.getVariationByName("showMortgageCalculatorTabs") === "yes") {
        var r = i.getData(),
            u = {
                titles: [{
                    title: "Compare Mortgage Rates"
                }, {
                    title: "Mortgage Calculator"
                }],
                activeTab: 0
            };
        return r.loanAmount = 2e5, r.interestRate = 4.25, r.term = 30, {
            scope: {},
            template: '<div ng-if="show()" ng-include="\'mortgage-calculator-tabs\'"></div>',
            link: function(n) {
                n.show = function() {
                    return t.isGroupVisible("ig-loan-type")
                }, n.inputs = r, n.tabs = u, n.$watch("tabs.activeTab", function(n, t) {
                    n === -1 && (u.activeTab = t)
                })
            }
        }
    }
    return {}
}]), angular.module("fossa").run(["$templateCache", function(n) {
    n.put("mortgage-calculator-tabs", '<div bs-tabs class="step-tabs" bs-active-pane="tabs.activeTab"><div ng-repeat="tab in tabs.titles" title="{{ tab.title }}" name="{{ tab.title }}" bs-pane></div><div class="container" ng-show="tabs.activeTab == 1"><div class="row"><div class="col-xs-12 col-md-5 section-text"><h3>Loan Payment Calculator</h3><i>How much will your new loan cost each month?</i><p>Use this loan payment calculator to determine the monthly payments for a loan based on the loan amount, interest rate and loan term.</p></div><div class="col-xs-12 col-md-7 calculator"><div class="row"><div class="col-xs-12"><label>Loan Amount</label></div><div class="col-sm-8 col-xs-7"><div slider min="10000" max="2000000" stagger-step="{ 10000: 10000, 80000: 5000, 130000: 10000, 200000: 25000, 500000 : 50000, 1000000 : 500000 }" ng-model="inputs.loanAmount" /></div><div class="col-sm-4 col-xs-5 text-right"><span name="loanAmount">${{inputs.loanAmount | number}}</span></div></div><div class="row"><div class="col-xs-12"><label>Interest Rate</label></div><div class="col-sm-8 col-xs-7"><div slider min="2.0" max="7.5" step="0.125" ng-model="inputs.interestRate" /></div><div class="col-sm-4 col-xs-5 text-right"><span name="interestRate">{{inputs.interestRate}}%</span></div></div><div class="row"><div class="col-xs-12"><label>Term</label></div><div class="col-sm-8 col-xs-7"><div slider min="15" max="30" step="15" ng-model="inputs.term" /></div><div class="col-sm-4 col-xs-5 text-right"><span name="term">{{inputs.term}} Years</span></div></div><div class="row result"><div class="col-xs-7"><label>Monthly Payment</label></div><div class="col-xs-5 text-right"><b>${{inputs.monthlyPayment | number}}</b></div></div></div></div></div></div>')
}]), angular.module("fossa.directives").directive("mortgageStepProgress", ["data", "step", "variation", function() {
    var r = [{
        id: "propertyDetails",
        label: "About the property"
    }, {
        id: "financialDetails",
        label: "Financial information"
    }, {
        id: "personalDetails",
        label: "Tell us about yourself"
    }];
    return {
        scope: {
            currentStepCategory: "@"
        },
        link: function(n) {
            n.stepCategories = r
        },
        template: '<div step-progress step-progress-categories="stepCategories" step-progress-current-category="currentStepCategory" />'
    }
}]), angular.module("fossa.services").factory("stepList", ["data", "formData", "variation", "inputGroup", "bankinfo", function(n, t, i, r, u) {
    var o, s, f = i.getVariationByName("fieldSet"),
        ut = i.getVariationByName("refiPurchButtons"),
        rt = i.getVariationByName("showHomeBuying"),
        y = i.getVariationByName("currencyInputType"),
        it = i.getVariationByName("downPaymentDollars"),
        p = i.getVariationByName("propertyCityState"),
        ft = i.getVariationByName("showHomeServices"),
        b = i.getVariationByName("showSelfEmployed"),
        k = i.getVariationByName("phoneText"),
        d = i.getVariationByName("ssn"),
        w = i.getVariationByName("showBankWith"),
        g = i.getVariationByName("showTimeToPurchase"),
        nt = i.getVariationByName("showHomeTypeSubtext"),
        tt = i.getVariationByName("streetAutoComplete"),
        l = i.getVariationByName("showDisclosureAboveButton"),
        e, c, h, a, v;
    return showPropertyStreetAndIncome = i.getVariationByName("showPropertyStreetAndIncome"), u.getBanksByProduct("MORTGAGE").then(function(n) {
        t.Banks = n, s = n
    }), e = ["igLoanType", "igPropertyType", "igPropertyUse", "igHomeBuyingStatus", "igNewHome", "igPropertyStreet", "igIncome", "igEstPropertyValue", "igPurchasePrice", "igFirstMortgageBalance", "igDownPaymentAmt", "igPropertyZip", "igHaveMultipleMortgages", "igPropertyCityStateAutocomplete", "igPropertyCityStateDropdown", "igSecondMortgageBalance", "igCurrentRealestateAgent", "igRealtorOptin", "igTimeToPurchase", "igHarpPrescreened", "igCashOut", "igHomeServicesOptin", "igHomeServicesCategory", "igHomeServicesSchedule", "igBankruptcyOrForeclosure", "igBankruptcyDischarged", "igForeclosureText", "igStatedCreditHistory", "igDob", "igSelfEmployed", "igVeteran", "igCurrentLoanVA", "igName", "igStreetZipCity", "igEmail", "igPassword", "igBank", "igHomePhone", "igSsnVariation0", "igSsnVariation1", "igSsnFour"], c = {
        "0": e,
        "1": e,
        "2": e,
        "3": e,
        "4": ["igAllLoanTypes", "igLoanType", "igPropertyType", "igPropertyUse", "igHomeBuyingStatus", "igPropertyCityStateAutocomplete", "igPropertyCityStateDropdown", "igPropertyZip", "igNewHome", "igPropertyStreet", "igIncome", "igEstPropertyValue", "igCurrentRealestateAgent", "igRealtorOptin", "igTimeToPurchase", "igPurchasePrice", "igDownPaymentAmt", "igFirstMortgageBalance", "igHaveMultipleMortgages", "igSecondMortgageBalance", "igHarpPrescreened", "igCashOut", "igHomeServicesOptin", "igHomeServicesCategory", "igHomeServicesSchedule", "igStatedCreditHistory", "igDob", "igSelfEmployed", "igVeteran", "igCurrentLoanVA", "igBankruptcyOrForeclosure", "igBankruptcyDischarged", "igForeclosureText", "igStreetCityZip", "igName", "igEmailPasswordSeparate", "igBank", "igHomePhone", "igSsn", "igSsnFour"],
        "7": ["igAllLoanTypes", "igLoanType", "igPropertyType", "igPropertyUse", "igHomeBuyingStatus", "igPropertyCityStateAutocomplete", "igPropertyCityStateDropdown", "igPropertyZip", "igNewHome", "igPropertyStreet", "igIncome", "igEstPropertyValue", "igCurrentRealestateAgent", "igRealtorOptin", "igTimeToPurchase", "igPurchasePrice", "igDownPaymentAmt", "igFirstMortgageBalance", "igHaveMultipleMortgages", "igSecondMortgageBalance", "igHarpPrescreened", "igCashOut", "igHomeServicesOptin", "igHomeServicesCategory", "igHomeServicesSchedule", "igStatedCreditHistory", "igDob", "igSelfEmployed", "igVeteran", "igCurrentLoanVA", "igBankruptcyOrForeclosure", "igBankruptcyDischarged", "igForeclosureText", "igStreetCityZip", "igName", "igEmailPasswordSeparate", "igBank", "igHomePhone", "igSsn", "igSsnFour"],
        "8": ["igLoanType", "igPropertyZip", "igPropertyCityStateAutocomplete", "igPropertyCityStateDropdown", "igPropertyType", "igPropertyUse", "igHomeBuyingStatus", "igNewHome", "igPropertyStreet", "igIncome", "igEstPropertyValue", "igPurchasePrice", "igFirstMortgageBalance", "igDownPaymentAmt", "igHaveMultipleMortgages", "igSecondMortgageBalance", "igCurrentRealestateAgent", "igRealtorOptin", "igTimeToPurchase", "igHarpPrescreened", "igCashOut", "igHomeServicesOptin", "igHomeServicesCategory", "igHomeServicesSchedule", "igBankruptcyOrForeclosure", "igBankruptcyDischarged", "igForeclosureText", "igStatedCreditHistory", "igDob", "igSelfEmployed", "igVeteran", "igCurrentLoanVA", "igName", "igStreetZipCity", "igEmail", "igPassword", "igBank", "igHomePhone", "igSsnVariation0", "igSsnVariation1", "igSsnFour"],
        "9": ["igAllLoanTypes", "igLoanType", "igPropertyZip", "igPropertyCityStateAutocomplete", "igPropertyCityStateDropdown", "igPropertyType", "igPropertyUse", "igHomeBuyingStatus", "igNewHome", "igPropertyStreet", "igIncome", "igEstPropertyValue", "igCurrentRealestateAgent", "igRealtorOptin", "igTimeToPurchase", "igPurchasePrice", "igDownPaymentAmt", "igFirstMortgageBalance", "igHaveMultipleMortgages", "igSecondMortgageBalance", "igHarpPrescreened", "igCashOut", "igHomeServicesOptin", "igHomeServicesCategory", "igHomeServicesSchedule", "igStatedCreditHistory", "igDob", "igSelfEmployed", "igVeteran", "igCurrentLoanVA", "igBankruptcyOrForeclosure", "igBankruptcyDischarged", "igForeclosureText", "igStreetCityZip", "igName", "igEmailPasswordSeparate", "igBank", "igHomePhone", "igSsn", "igSsnFour"]
    }, _.contains(["0", "1", "2", "3", "8"], f) ? (a = {
        igLoanType: {
            groups: ["ig-loan-type"],
            showNextButton: !1
        },
        igPropertyType: {
            groups: ["ig-property-type"],
            showNextButton: !1
        },
        igPropertyUse: {
            groups: ["ig-property-use"],
            showNextButton: !1
        },
        igHomeBuyingStatus: {
            groups: ["ig-home-buying-status"]
        },
        igNewHome: {
            groups: ["ig-new-home"],
            showNextButton: !1
        },
        igEstPropertyValue: {
            groups: ["ig-estproperty-value"]
        },
        igPurchasePrice: {
            groups: ["ig-purchase-price"]
        },
        igFirstMortgageBalance: {
            groups: ["ig-first-mortgage-balance"]
        },
        igDownPaymentAmt: {
            groups: ["ig-down-payment-amt"]
        },
        igPropertyZip: {
            groups: ["ig-property-zip"]
        },
        igHaveMultipleMortgages: {
            groups: ["ig-have-multiple-mortgages"],
            showNextButton: !1
        },
        igPropertyCityStateAutocomplete: {
            groups: ["ig-property-city-state"]
        },
        igPropertyCityStateDropdown: {
            groups: ["ig-property-state", "ig-property-city"]
        },
        igSecondMortgageBalance: {
            groups: ["ig-second-mortgage-balance"]
        },
        igCurrentRealestateAgent: {
            groups: ["ig-current-realestate-agent"],
            showNextButton: !1
        },
        igRealtorOptin: {
            groups: ["ig-realtor-optin"],
            showNextButton: !1
        },
        igTimeToPurchase: {
            groups: ["ig-time-to-purchase"],
            showNextButton: !1
        },
        igHarpPrescreened: {
            groups: ["ig-harp-prescreened"],
            showNextButton: !1
        },
        igCashOut: {
            groups: ["ig-cash-out"]
        },
        igHomeServicesOptin: {
            groups: ["ig-home-services-optin"],
            showNextButton: !1
        },
        igHomeServicesCategory: {
            groups: ["ig-home-services-category"]
        },
        igHomeServicesSchedule: {
            groups: ["ig-home-services-schedule"],
            showNextButton: !1
        },
        igBankruptcyOrForeclosure: {
            groups: ["ig-bankruptcy-or-foreclosure"],
            sidebars: [{
                name: "dontsweat-sidebar-wrapper",
                template: "dont-sweat-sidebar"
            }],
            showNextButton: !1
        },
        igBankruptcyDischarged: {
            groups: ["ig-bankruptcy-discharged"]
        },
        igForeclosureText: {
            groups: ["ig-foreclosure-text"]
        },
        igStatedCreditHistory: {
            groups: ["ig-stated-credit-history"],
            showNextButton: !1
        },
        igDob: {
            groups: ["ig-dob"],
            sidebars: [{
                name: "dob-sidebar-wrapper",
                template: "dob-sidebar"
            }]
        },
        igSelfEmployed: {
            groups: ["ig-self-employed"],
            showNextButton: !1
        },
        igVeteran: {
            groups: ["ig-veteran"],
            showNextButton: !1
        },
        igCurrentLoanVA: {
            groups: ["ig-current-loan-va"],
            showNextButton: !1
        },
        igName: {
            groups: ["ig-name"]
        },
        igStreetZipCity: {
            groups: ["ig-street1", "ig-zip-code", "ig-city"],
            sidebars: [{
                name: "address-sidebar-wrapper",
                template: "address-sidebar"
            }]
        },
        igEmail: {
            groups: ["ig-email"],
            sidebars: [{
                name: "email-sidebar-wrapper",
                template: "email-sidebar"
            }],
            disclosures: [{
                name: "email-tip"
            }]
        },
        igPassword: {
            groups: ["ig-password"],
            sidebars: [{
                name: "password-sidebar-wrapper",
                template: "password-sidebar"
            }]
        },
        igBank: {
            groups: ["ig-bank"],
            sidebars: [{
                name: "bank-sidebar-wrapper",
                template: "bank-sidebar"
            }],
            show: function() {
                return s
            }
        },
        igHomePhone: {
            groups: ["ig-home-phone"],
            bottomTemplates: l === "on" ? [{
                name: "disclosure-text-above-button"
            }] : [],
            disclosures: [{
                name: "terms-conditions"
            }],
            sidebars: [{
                name: "homephone-sidebar-wrapper",
                template: "home-phone-sidebar"
            }]
        },
        igSsnVariation0: {
            groups: ["ig-ssn"],
            sidebars: [{
                name: "ssn-sidebar-wrapper",
                template: "ssn-sidebar"
            }],
            classes: ["user-timeout-prompt"],
            disallowBack: !0
        },
        igSsnVariation1: {
            groups: ["ig-ssn"],
            sidebars: [{
                name: "ssn-sidebar-wrapper",
                template: "ssn-sidebar"
            }],
            classes: ["user-timeout-prompt"],
            buttonLabel: "Get Your Results!",
            disallowBack: !0
        },
        igSsnFour: {
            groups: ["ig-ssn-four"],
            sidebars: [{
                name: "ssn-sidebar-wrapper",
                template: "ssn-four-sidebar"
            }],
            classes: ["user-timeout-prompt"],
            disallowBack: !0
        },
        igPropertyStreet: {
            groups: [{
                name: "ig-property-street",
                label: "What is the Street Address of the Property?"
            }],
            show: function(n) {
                return showPropertyStreetAndIncome == "yes" && n.newHome == "YES"
            }
        },
        igIncome: {
            groups: [{
                name: "ig-income",
                label: "What is your Annual Pre-Tax Income?",
                template: function() {
                    if (y === "dropdown") return "ig-income-dropdown"
                }
            }],
            show: function(n) {
                return showPropertyStreetAndIncome == "yes" && n.newHome == "NO"
            }
        }
    }, h = a) : _.contains(["4", "7", "9"], f) && (v = {
        igAllLoanTypes: {
            groups: ["ig-all-loan-types"],
            showNextButton: !1
        },
        igLoanType: {
            groups: ["ig-loan-type"],
            showNextButton: !1
        },
        igPropertyType: {
            groups: ["ig-property-type"],
            showNextButton: !1
        },
        igPropertyUse: {
            groups: ["ig-property-use"],
            showNextButton: !1
        },
        igHomeBuyingStatus: {
            groups: ["ig-home-buying-status"]
        },
        igPropertyCityStateAutocomplete: {
            groups: ["ig-property-city-state"],
            show: function() {
                return p === "autocomplete"
            }
        },
        igPropertyCityStateDropdown: {
            groups: ["ig-property-state", "ig-property-city"],
            show: function() {
                return p !== "autocomplete"
            }
        },
        igPropertyZip: {
            groups: ["ig-property-zip"]
        },
        igNewHome: {
            groups: ["ig-new-home"],
            showNextButton: !1
        },
        igEstPropertyValue: {
            groups: ["ig-estproperty-value"]
        },
        igCurrentRealestateAgent: {
            groups: ["ig-current-realestate-agent"],
            showNextButton: !1
        },
        igRealtorOptin: {
            groups: ["ig-realtor-optin"],
            showNextButton: !1
        },
        igTimeToPurchase: {
            groups: ["ig-time-to-purchase"],
            showNextButton: !1
        },
        igPurchasePrice: {
            groups: ["ig-purchase-price"]
        },
        igDownPaymentAmt: {
            groups: ["ig-down-payment-amt"]
        },
        igFirstMortgageBalance: {
            groups: ["ig-first-mortgage-balance"]
        },
        igHaveMultipleMortgages: {
            groups: ["ig-have-multiple-mortgages"],
            showNextButton: !1
        },
        igSecondMortgageBalance: {
            groups: ["ig-second-mortgage-balance"]
        },
        igHarpPrescreened: {
            groups: ["ig-harp-prescreened"],
            showNextButton: !1
        },
        igCashOut: {
            groups: ["ig-cash-out"]
        },
        igHomeServicesOptin: {
            groups: ["ig-home-services-optin"],
            showNextButton: !1
        },
        igHomeServicesCategory: {
            groups: ["ig-home-services-category"]
        },
        igHomeServicesSchedule: {
            groups: ["ig-home-services-schedule"],
            showNextButton: !1
        },
        igStatedCreditHistory: {
            groups: ["ig-stated-credit-history"],
            showNextButton: !1
        },
        igDob: {
            groups: ["ig-dob"],
            sidebars: [{
                name: "dob-sidebar-wrapper",
                template: "dob-sidebar"
            }]
        },
        igSelfEmployed: {
            groups: ["ig-self-employed"],
            showNextButton: !1
        },
        igVeteran: {
            groups: ["ig-veteran"],
            showNextButton: !1
        },
        igCurrentLoanVA: {
            groups: ["ig-current-loan-va"],
            showNextButton: !1
        },
        igBankruptcyOrForeclosure: {
            groups: ["ig-bankruptcy-or-foreclosure"],
            sidebars: [{
                name: "dontsweat-sidebar-wrapper",
                template: "dont-sweat-sidebar"
            }],
            showNextButton: !1
        },
        igBankruptcyDischarged: {
            groups: ["ig-bankruptcy-discharged"]
        },
        igForeclosureText: {
            groups: ["ig-foreclosure-text"]
        },
        igStreetCityZip: {
            groups: ["ig-street1", "ig-zip-code", "ig-city"],
            sidebars: [{
                name: "address-sidebar-wrapper",
                template: "address-sidebar"
            }]
        },
        igName: {
            groups: ["ig-name"]
        },
        igEmailPasswordSeparate: {
            groups: ["ig-email", "ig-password"],
            sidebars: [{
                name: "email-password-sidebar-wrapper",
                template: "email-password-sidebar"
            }],
            disclosures: [{
                name: "email-tip"
            }],
            title: "title-rates-ready-login",
            buttonLabel: "Continue"
        },
        igEmailPasswordCombined: {
            groups: ["ig-email-password"],
            sidebars: [{
                name: "email-password-sidebar-wrapper",
                template: "email-password-sidebar"
            }],
            disclosures: [{
                name: "email-tip"
            }],
            buttonLabel: "Continue"
        },
        igBank: {
            groups: ["ig-bank"],
            sidebars: [{
                name: "bank-sidebar-wrapper",
                template: "bank-sidebar"
            }],
            show: function() {
                return w === "yes" && s
            }
        },
        igHomePhone: {
            groups: ["ig-home-phone"],
            bottomTemplates: l === "on" ? [{
                name: "disclosure-text-above-button"
            }] : [],
            disclosures: [{
                name: "terms-conditions"
            }],
            sidebars: [{
                name: "homephone-sidebar-wrapper",
                template: "home-phone-sidebar"
            }],
            buttonLabel: "Continue"
        },
        igSsn: {
            groups: ["ig-ssn"],
            sidebars: [{
                name: "ssn-sidebar-wrapper",
                template: "ssn-sidebar"
            }],
            classes: ["user-timeout-prompt"],
            disallowBack: !0,
            buttonLabel: "Continue"
        },
        igSsnFour: {
            groups: ["ig-ssn-four"],
            sidebars: [{
                name: "ssn-sidebar-wrapper",
                template: "ssn-four-sidebar"
            }],
            classes: ["user-timeout-prompt"],
            disallowBack: !0,
            buttonLabel: "Continue"
        },
        igPropertyStreet: {
            groups: [{
                name: "ig-property-street",
                label: "What is the Street Address of the Property?"
            }],
            show: function(n) {
                return showPropertyStreetAndIncome == "yes" && n.newHome == "YES"
            }
        },
        igIncome: {
            groups: [{
                name: "ig-income",
                label: "What is your Annual Pre-Tax Income?",
                template: function() {
                    if (y === "dropdown") return "ig-income-dropdown"
                }
            }],
            show: function(n) {
                return showPropertyStreetAndIncome == "yes" && n.newHome == "NO"
            }
        }
    }, h = v), o = _.map(c[f], function(n) {
        return h[n]
    }), _.contains(["4", "7"], f) ? i.getVariationByName("lexLawMessage") === "yes" && angular.forEach(o, function(n) {
        n.bottomTemplates = [{
            name: "lex-law-message"
        }].concat(n.bottomTemplates)
    }) : _.contains(["5", "6"], f) && (o = [{
        groups: [{
            name: "ig-refi-purch-landing"
        }],
        showNextButton: !1
    }]), o
}]), angular.module("fossa.services").provider("loanExplorer2", function() {
    var n = {
        host: window.location.protocol + "//" + window.location.host,
        creditPullUrl: "/formstore/start-creditpull.ashx",
        timeout: 2e4
    };
    this.options = function(t) {
        return angular.isObject(t) ? (n = angular.extend(n, t), this) : n
    };
    var i = function(n) {
            var t = {};
            return n && (t.FirstName = n.firstName ? n.firstName : null, t.MiddleName = n.middleName ? n.middleName : null, t.LastName = n.lastName ? n.lastName : null, t.PhoneNumber = n.homePhone ? n.homePhone : null, t.dob = n.dob ? n.dob : null, t.ssn4 = n.ssn4 ? n.ssn4 : null, t.Veteran = n.isVeteran ? n.isVeteran : "NO", t.StreetAddress = n.streetAddress ? n.streetAddress : null, t.City = n.city ? n.city : null, t.State = n.stateCode ? n.stateCode : null, t.ZipCode = n.zipCode ? n.zipCode : null, t.EmploymentStatus = null, t.Income = null), t
        },
        t = function(n) {
            var t = {},
                i;
            return n && (t.FirstName = n.firstName ? n.firstName : null, t.LastName = n.lastName ? n.lastName : null, t.MiddleName = null, t.NameSuffix = null, t.StreetAddress = n.streetAddress ? n.streetAddress : null, t.City = n.city ? n.city : null, t.State = n.stateCode ? n.stateCode : null, t.ZipCode = n.zipCode ? n.zipCode : null, t.SSN = n.ssn4 ? n.ssn4 : null, t.QfUid = n.guid ? n.guid : null, n.dob ? (i = moment(new Date(n.dob)), t.DateOfBirthMonth = i.month() + 1, t.DateOfBirthYear = i.year(), t.DateOfBirthDay = i.date()) : (t.DateOfBirthMonth = null, t.DateOfBirthYear = null, t.DateOfBirthDay = null), t.randomnumber = ""), t
        },
        r = {
            "property-type": {
                SINGLEFAMDET: 1,
                SINGLEFAMATT: 2,
                LOWRISECONDO: 3,
                "2TO4UNITFAM": 5,
                MOBILEPERMANENT: 5
            },
            "property-use": {
                OWNEROCCUPIED: 1,
                SECONDHOME: 2,
                INVESTMENTPROPERTY: 3
            },
            "stated-credit-history": {
                EXCELLENT: 740,
                SOMECREDITPROBLEMS: 710,
                MAJORCREDITPROBLEMS: 670,
                LITTLEORNOCREDITHISTORY: 640
            },
            "is-veteran": {
                NO: 1,
                NONO: 1,
                NOYES: 1,
                NOundefined: 1,
                YESYES: 2,
                YESNO: 3,
                YESundefined: 3
            },
            "bankruptcy-discharged": {
                NEVER: 9,
                NOT_YET_DISCHARGED: 1,
                "01-12_MONTHS": 2,
                "13-24_MONTHS": 3,
                "25-36_MONTHS": 4,
                "37-48_MONTHS": 5,
                "49-60_MONTHS": 6,
                "61-72_MONTHS": 7,
                OVER_72_MONTHS: 8
            },
            "foreclosure-text": {
                NEVER: 10,
                CURRENTLY_IN_FORECLOSURE: 1,
                "01-12_MONTHS": 2,
                "13-24_MONTHS": 3,
                "25-36_MONTHS": 4,
                "37-48_MONTHS": 5,
                "49-60_MONTHS": 6,
                "61-72_MONTHS": 7,
                OVER_72_MONTHS: 8,
                OVER_84_MONTHS: 10
            }
        },
        u = function(n, t) {
            var i = {};
            return n && (i.BankruptcyDischargedId = n.bankruptcyDischarged ? _.result(t["bankruptcy-discharged"], n.bankruptcyDischarged) : "NEVER", i.CurrentMortgageBalance = n.estMortgageBalance ? n.estMortgageBalance : 0, i.CustomerIPAddress = n["client-ip-address"] ? n["client-ip-address"] : "127.0.0.1", i.Esource = n["esource-id"] ? n["esource-id"] : "0", i.EstimatedPropertyValue = n.estPropertyValue ? n.estPropertyValue : 0, i.ForeclosureDischargedId = n.foreclosureText ? _.result(t["foreclosure-text"], n.foreclosureText) : "OVER_84_MONTHS", i.PageNumber = "1", i.PageSize = "10", i.PropertyTypeId = n.propertyType ? _.result(t["property-type"], n.propertyType) : "SINGLEFAMDET", i.PropertyUseId = n.propertyUse ? _.result(t["property-use"], n.propertyUse) : "OWNEROCCUPIED", i.PropertyZipCode = n.propertyZip, i.RequestedCashoutAmount = n.cashOut ? n.cashOut : 0, i.RequestedLoanProgramIds = "1,3,6", i.RequestedLoanTypeId = "2", i.ReturnByTimeoutMilliseconds = "1000", i.SecondLienMortgageBalance = n.secondMortgageBalance ? n.secondMortgageBalance : 0, i.SlimResponse = "true", i.VeteranStatusTypeId = n.isVeteran ? _.result(t["is-veteran"], n.isVeteran + n.currentLoanVA) : 1, i.IgnoreCachedOffers = "false", i.HideSimilarOffers = "true", i.FirstOfferCountLimit = "10", i.ShouldSortDescending = "true", i.SortByOfferField = "SortRelevanceScore", i.IsCustomerFirstRequest = "true", i.EstimatedCreditScore = 0, i.StatedCreditHistory = n.statedCreditHistory ? _.result(t["stated-credit-history"], n.statedCreditHistory) : "710", i.BorrowerZipCode = n.zipCode, i.PropertyStateCode = n.propertyState ? n.propertyState : n.stateCode ? n.stateCode : null, i.CreditScoreCorrelationId = n.CreditScoreCorrelationId, i.CfQformUid = n.guid, i.CfDebug = "false", i.CfTargusScore = !_.isUndefined(n.targuscheck) && !_.isUndefined(n.targuscheck.Score) ? n.targuscheck.Score : 0, i.LongForm = !0, n.uiState.hasCreditScore || (i.LongForm = !1), i.CfTreeAuthUid = "00000000-0000-0000-0000-000000000000", _.isUndefined(n.TreeAuthUID) ? _.isUndefined(n.prePopData) || _.isUndefined(n.prePopData.TreeAuthUID) || (i.CfTreeAuthUid = n.prePopData.TreeAuthUID) : i.CfTreeAuthUid = n.TreeAuthUID, i.routeToCustomerFirst = n.uiState.routeToCustomerFirst), i
        },
        f = function(n) {
            var t = {
                    skipCfTranslation: n.uiState.routeToCustomerFirst ? "Y" : "N",
                    email: n.email,
                    "submit-for-lead-processing": "true",
                    QFormUID: n.guid,
                    "consumer-uid": n.consumerUid,
                    "declared-bankruptcy": n.declaredBankruptcy,
                    "bankruptcy-discharged": n.bankruptcyDischarged,
                    "dns-host-name": n["dns-host-name"],
                    "down-payment-amt": n.downPaymentAmtDollars ? n.downPaymentAmtDollars : 0,
                    "email-optin": n["email-optin"],
                    "esource-id": n["esource-id"],
                    "exchange-lead-type": n["exchange-lead-type"],
                    "foreclosure-text": n.foreclosureText,
                    "form-name": n["form-name"],
                    guid: n.guid,
                    "have-multiple-mortgages": n.haveMultipleMortgages,
                    "homeloan-product-type": n["homeloan-product-type"],
                    icode: n.icode,
                    "is-veteran": n.isVeteran ? n.isVeteran : "NO",
                    "loan-type": n.loanType,
                    "marketplace-uid": n["marketplace-uid"],
                    operation_executed: "create",
                    PresubmitPass: n.PresubmitPass,
                    product: n.product,
                    "product-type": n["product-type"],
                    promoNum: n.promoNum,
                    "property-type": n.propertyType,
                    "property-use": n.propertyUse,
                    "current-loan-va": n.currentLoanVA ? n.currentLoanVA : "NO",
                    "purchase-price": n.estPropertyValue,
                    "estproperty-value": n.estPropertyValue,
                    "est-mortgage-balance": n.estMortgageBalance,
                    "2nd-mortgage-monthly-payment": n.secondMortgageMonthlyPayment ? n.secondMortgageMonthlyPayment : "0",
                    "second-mortgage-balance": n.secondMortgageBalance ? n.secondMortgageBalance : "0",
                    "cash-out": n.cashOut,
                    ltv: n.ltv,
                    "qform-sub-type": n["qform-sub-type"],
                    "qform-type": n["qform-type"],
                    "repayment-preference": "NOPREFERENCE",
                    routeToCustomerFirst: n.uiState.routeToCustomerFirst,
                    "shortform-version": n.version,
                    "source-application": n["source-application"],
                    "stated-credit-history": n.statedCreditHistory,
                    "property-city": n.propertyCity,
                    "property-state": n.propertyState,
                    "property-state-name": n.propertyStateName,
                    "property-zip": n.propertyZip,
                    "web-server-ip-address": n["web-server-ip-address"],
                    "client-ip-address": n["client-ip-address"],
                    "http-user-agent": n["http-user-agent"],
                    submission_id: n.guid,
                    token: n.token,
                    template: n.template,
                    "template-id": n["template-id"],
                    tid: "cf",
                    update_token: null,
                    "webpage-name": n["webpage-name"],
                    "external-leadid-token": n["external-leadid-token"]
                },
                i;
            return _.isUndefined(n.prePopData) ? (t.dob = n.dob, t["first-name"] = n.firstName, t["last-name"] = n.lastName, t["home-phone"] = n.homePhone, t.street1 = n.streetAddress, t.city = n.city, t.state = n.stateCode, t["zip-code"] = n.zipCode) : (t["consumer-uid"] = n.prePopData.ConsumerUID ? n.prePopData.ConsumerUID : null, t.dob = n.dob ? n.dob : n.prePopData.DateOfBirth, t["first-name"] = n.firstName ? n.firstName : n.prePopData.FirstName, t["last-name"] = n.lastName ? n.lastName : n.prePopData.LastName, t["home-phone"] = n.homePhone ? n.homePhone : n.prePopData.PhoneNumber, t.street1 = n.streetAddress ? n.streetAddress : n.prePopData.StreetAddress, t.city = n.city ? n.city : n.prePopData.City, t.state = n.stateCode ? n.stateCode : n.prePopData.State, t["zip-code"] = n.zipCode ? n.zipCode : n.prePopData.ZipCode), t.dobPartials = {}, t.ssn = n.ssn4, t.telNum = n.telNum, t["state-name"] = n.stateName, i = {
                FieldValues: t,
                Product: t.product,
                QFormUID: t.QFormUID,
                id: t.QFormUID,
                Token: n.token ? n.token : "",
                status: "submit"
            }
        },
        r = {
            "property-type": {
                SINGLEFAMDET: 1,
                SINGLEFAMATT: 2,
                LOWRISECONDO: 3,
                "2TO4UNITFAM": 5,
                MOBILEPERMANENT: 5
            },
            "property-use": {
                OWNEROCCUPIED: 1,
                SECONDHOME: 2,
                INVESTMENTPROPERTY: 3
            },
            "stated-credit-history": {
                EXCELLENT: 740,
                SOMECREDITPROBLEMS: 710,
                MAJORCREDITPROBLEMS: 670,
                LITTLEORNOCREDITHISTORY: 640
            },
            "is-veteran": {
                NO: 1,
                NONO: 1,
                NOYES: 1,
                NOundefined: 1,
                YESYES: 2,
                YESNO: 3,
                YESundefined: 3
            },
            "bankruptcy-discharged": {
                NEVER: 9,
                NOT_YET_DISCHARGED: 1,
                "01-12_MONTHS": 2,
                "13-24_MONTHS": 3,
                "25-36_MONTHS": 4,
                "37-48_MONTHS": 5,
                "49-60_MONTHS": 6,
                "61-72_MONTHS": 7,
                OVER_72_MONTHS: 8
            },
            "foreclosure-text": {
                NEVER: 10,
                CURRENTLY_IN_FORECLOSURE: 1,
                "01-12_MONTHS": 2,
                "13-24_MONTHS": 3,
                "25-36_MONTHS": 4,
                "37-48_MONTHS": 5,
                "49-60_MONTHS": 6,
                "61-72_MONTHS": 7,
                OVER_72_MONTHS: 8,
                OVER_84_MONTHS: 10
            }
        },
        e = function(n) {
            var t = moment(new Date(n.dob));
            return {
                qfGuid: n.guid,
                productTypeText: n.loanType ? n.loanType : "PURCHASE",
                firstName: n.firstName ? n.firstName : null,
                lastName: n.lastName ? n.lastName : null,
                birthDate: n.dob ? t.month() + 1 + "-" + t.date() + "-" + t.year() : null,
                street: n.streetAddress ? n.streetAddress : null,
                city: n.city ? n.city : null,
                state: n.stateCode ? n.stateCode : null,
                zip: n.propertyZip ? n.propertyZip : null,
                taxId: n.ssn ? n.ssn : null,
                password: n.password ? n.password : null,
                emailAddress: n.email ? n.email : null,
                phone: n.homePhone ? n.homePhone : null
            }
        },
        o = function(n) {
            return {
                partnerTrackingId: n.guid,
                esourceId: ltanalytics.getParameterByName("ESOURCEID"),
                creditScore: n.CreditScore ? n.CreditScore : null,
                estimatedCreditScoreBand: n.statedCreditHistory ? n.statedCreditHistory : "710",
                propertyType: n.propertyType ? n.propertyType : "SINGLEFAMDET",
                propertyUse: n.propertyUse ? n.propertyUse : "OWNEROCCUPIED",
                veteranStatusType: n.isVeteran ? n.isVeteran : 1,
                bankruptcyDischarged: n.bankruptcyDischarged ? n.bankruptcyDischarged : "NEVER",
                foreclosureDischarged: n.foreclosureText ? n.foreclosureText : "OVER_84_MONTHS",
                requestedLoanType: n.loanType ? n.loanType : "PURCHASE",
                hasVaLoan: n.currentLoanVA ? n.currentLoanVA : null,
                zipcode: n.propertyZip ? n.propertyZip : null,
                estPurchPrice: n.purchasePrice ? n.purchasePrice : 0,
                estDownPayment: n.downPaymentAmtDollars ? n.downPaymentAmtDollars : 0,
                cashoutAmount: n.cashOut ? n.cashOut : 0,
                realEstateValue: n.estPropertyValue ? n.estPropertyValue : null,
                mortgageBalance: n.estMortgageBalance ? n.estMortgageBalance : 0,
                secondMortgageBalance: n.secondMortgageBalance ? n.secondMortgageBalance : 0,
                city: n.city ? n.city : null,
                state: n.stateCode ? n.stateCode : null
            }
        },
        s = function(n) {
            var t = moment(new Date(n.dob));
            return {
                consumer: {
                    firstName: n.firstName ? n.firstName : null,
                    lastName: n.lastName ? n.lastName : null,
                    streetAddress: n.streetAddress ? n.streetAddress : null,
                    city: n.city ? n.city : null,
                    state: n.stateCode ? n.stateCode : null,
                    zipcode: n.zipCode ? n.zipCode : null,
                    ssn: n.ssn4 ? n.ssn4 : null,
                    dateOfBirthMonth: t.month() + 1,
                    dateOfBirthYear: t.year(),
                    dateOfBirthDay: t.date()
                },
                randomNumber: n.OOWRandomNumber,
                emailAddress: n.email,
                password: n.password,
                source: "upsell"
            }
        };
    this.$get = ["$http", "$location", "$q", "modelMapper", "localProxy", "step", "navigation", "mortgage", "pixelManager", "analyticsService", "zipCodeInfo", "expressOffers", function(n, s, h, c, l, a, v, y, p, w, b, k) {
        var g = this,
            d;
        return g.baseUrl = window.MCDataBaseUri, g.httpResponseArray = [], g.defaultRequestType = "GET", d = function(t, i, r, u, f, e) {
            var s, h, c;
            u = u || g.defaultRequestType;
            var a = u.toLowerCase() === "post" ? "data" : "params",
                v = r || g.baseUrl,
                l = "" + v + t,
                o = {
                    url: l,
                    method: u
                };
            return (o.withCredentials = !!e, u.toLowerCase() === "jsonp" && (o.url += "?callback=JSON_CALLBACK"), s = null, !f && (s = g.getCacheKey(l, i), h = _.find(g.httpResponseArray, function(n) {
                return n.key === s
            }), h)) ? h.val : (o[a] = i, c = n(o), f || g.httpResponseArray.push({
                key: s,
                val: c
            }), c)
        }, {
            initWhatsNext: function() {
                p.fireFormBeforeSubmit()
            },
            routeToOffers: function(n, t) {
                var i = t ? "ce-offer-ux-" + ((n.loanType || "").toLowerCase() === "refinance" ? "refi" : "purchase") : (n.loanType || "").toLowerCase() + "-offer-ux-split";
                k.init({
                    splitter: i
                }), k.go()
            },
            tryPullConsumerCredit: function(n) {
                var i = t(n),
                    r = "api/signup/v3/TryPullConsumerCredit";
                return d(r, i, null, null, !0, !0)
            },
            evaluateTryPullConsumerCredit: function(n, t) {
                var u = !0,
                    r, i;
                return n && n.data && n.data.RequestStatus && n.data.Result ? (r = n.data.RequestStatus, i = n.data.Result, r.ApiErrorOccurred ? (t.OOWQuestions = "ERROR", t.OOWError = r.Message + " | " + r.ExceptionMessage) : i.StateText && i.StateText === "HasAuthQuestions" ? _.extend(t, {
                    OOWRandomNumber: i.RandomNumber,
                    OOWQuestions: i.Questions
                }) : i.StateText && i.StateText === "AuthQuestionsAnswered" ? _.extend(t, {
                    OOWQuestions: i.StateText
                }) : i.StateText && (t.OOWQuestions = "ERROR", t.OOWError = i.StateText + " | " + i.ErrorMessage)) : (t.OOWQuestions = "ERROR", t.OOWError = "API call error..."), (t.OOWQuestions === "ERROR" || t.OOWQuestions === "AuthQuestionsAnswered") && (u = !1), u
            },
            getPrePopData: function() {
                var n = "api/prepopulation/20140306/prepopulation/GetConsumerInfo";
                return d(n, null, null, "jsonp", !0, !0)
            },
            validatePrePopData: function(n) {
                var t = h.defer();
                return setTimeout(function() {
                    var i = {
                        isValid: !1,
                        message: "No PrePop data returned.",
                        setValidStatus: function() {
                            this.isValid = !0, this.message = ""
                        },
                        setInvalidStatus: function(n) {
                            this.isValid = !1, this.message += n
                        }
                    };
                    n.prePopData ? (i.setValidStatus(), n.prePopData.ZipCode ? n.prePopData.ZipCode !== n.zipCode && (n.prePopData.ZipCode = n.zipCode) : i.setInvalidStatus("Missing ZipCode;"), n.prePopData.StreetAddress ? n.prePopData.StreetAddress !== n.streetAddress && (n.prePopData.StreetAddress = n.streetAddress) : i.setInvalidStatus("Missing StreetAddress;"), n.prePopData.ConsumerUID && n.prePopData.ConsumerUID !== "00000000-0000-0000-0000-000000000000" || i.setInvalidStatus("Missing ConsumerUID;"), n.prePopData.City && n.prePopData.State ? (n.prePopData.City !== n.city && (n.prePopData.City = n.city), n.prePopData.State !== n.stateCode && (n.prePopData.State = n.stateCode), t.resolve(i)) : (i.setInvalidStatus("Missing City, State."), b.lookup(n.prePopData.ZipCode).then(function(r) {
                        _.isEmpty(r) || (i.setValidStatus(), _.isEmpty(r.City) || r.City === n.prePopData.City || (n.prePopData.City = $.trim(r.City), n.city = n.prePopData.City), _.isEmpty(r.StateProvinceCode) || r.StateProvinceCode === n.prePopData.State || (n.prePopData.State = $.trim(r.StateProvinceCode), n.stateCode = n.prePopData.State, n.stateName = r.StateProvinceName), n.prePopData.State || i.setInvalidStatus("Missing State;"), n.prePopData.City || i.setInvalidStatus("Missing City;"), t.resolve(i))
                    }))) : t.resolve(i)
                }, 1e3), t.promise
            },
            updateProfileData: function(n) {
                var t = i(n),
                    r = "api/creditservice/UpdateProfileData";
                return d(r, t, null, "post", !0, !0)
            },
            getCreditScore: function(n) {
                var i = t(n),
                    r;
                return i.ConsumerUid = n && n.prePopData ? n.prePopData.ConsumerUID ? n.prePopData.ConsumerUID : null : null, i.SsnLast4 = i.SSN, r = "CustomerFirstService/api/credit", d(r, i, window.EWSBaseUri, "post", !0, !0)
            },
            evaluateCreditScore: function(n, t) {
                return t.hasValidCreditScore = !1, n && (t.uiState.hasCreditScore = n.CreditScoreRetrieved, n.Error ? (t.CreditScore = null, t.CreditScoreCorrelationId = null, t["CreditScore-error"] = n, t.uiState.routeToCE = !1) : (t.CreditScore = n.CreditScore, t.CreditScoreCorrelationId = n.CreditScoreCorrelationId, t.hasValidCreditScore = !0)), t.hasValidCreditScore
            },
            preSubmit: function(n) {
                var t = u(n, r),
                    i = "CustomerFirstService/api/presubmit";
                return d(i, t, window.EWSBaseUri, null, !0, !1)
            },
            segmentAnalyticsTrack: function(n, t, i) {
                try {
                    window.ltanalytics.track("Fossa-CE " + n, w.createTrackData(t, i)), t.backendLogging && this.logsvc(t, i)
                } catch (r) {}
            },
            doesUserExist: function(n) {
                var t = encodeURIComponent(n),
                    i = "api/NativeApp/20140821/signupmobile/userexists?emailAddress=" + t;
                return d(i, null, window.MCDataBaseUri, null, !0, !0)
            },
            getCreditDocuments: function() {
                var n = "api/creditservice/GetCreditDocuments";
                return d(n, null, window.MCDataBaseUri, null, !0, !0)
            },
            submitLead: function(n) {
                n.totalMortgageAmount = y.getRefiLoanAmount();
                var t = {
                        Lead: f(n)
                    },
                    i = "CustomerFirstService/api/lead";
                return d(i, t, window.EWSBaseUri, "POST", !0, !1)
            },
            getCreditBandForUser: function(n) {
                var t = e(n),
                    i = "dhc.uni.webapi/loan_explorer/getcreditbandforuser";
                return d(i, t, window.MCDataBaseUri, null, !0, !1)
            },
            goToCE: function(n) {
                var t = o(n),
                    i = "dhc.uni.webapi/loan_explorer/offers/gotocexp";
                return d(i, t, window.MCDataBaseUri, null, !0, !1)
            }
        }
    }]
}), angular.module("fossa.services").provider("analyticsService", function() {
    var r = function(r) {
            return {
                qform: n(r),
                env: t(r),
                eventDateUtc: i()
            }
        },
        u = function(n) {
            return {
                id: n.TreeAuthUID,
                firstName: n.firstName,
                lastName: n.lastName,
                email: n.email,
                "consumer-uid": n.consumerUid
            }
        },
        f = function(r, u) {
            return {
                qform: n(r),
                consumer: e(r),
                request: o(r),
                state: s(r),
                env: t(r),
                message: u,
                eventDateUtc: i()
            }
        },
        n = function(n) {
            return {
                guid: n.guid,
                type: n["qform-type"],
                subtype: n["qform-sub-type"]
            }
        },
        t = function(n) {
            return {
                tid: n.tid,
                "webpage-name": n["webpage-name"],
                "web-server-ip-address": n["web-server-ip-address"],
                "client-ip-address": n["client-ip-address"],
                "http-user-agent": n["http-user-agent"]
            }
        },
        e = function(n) {
            var t = {
                "consumer-uid": n.consumerUid,
                "treeauth-uid": n.TreeAuthUID,
                email: n.email
            };
            return _.isUndefined(n.prePopData) ? (t.city = n.city, t.state = n.stateCode, t["zip-code"] = n.zipCode) : (t["consumer-uid"] = n.prePopData.ConsumerUID ? n.prePopData.ConsumerUID : null, t.city = n.city ? n.city : n.prePopData.City, t.state = n.stateCode ? n.stateCode : n.prePopData.State, t["zip-code"] = n.zipCode ? n.zipCode : n.prePopData.ZipCode), t["state-name"] = n.stateName, t
        },
        o = function(n) {
            return {
                "current-loan-va": n.currentLoanVA ? n.currentLoanVA : "NO",
                "homeloan-product-type": n["homeloan-product-type"],
                icode: n.icode,
                "esource-id": n["esource-id"],
                "exchange-lead-type": n["exchange-lead-type"],
                "form-name": n["form-name"],
                "is-veteran": n.isVeteran ? n.isVeteran : "NO",
                "loan-type": n.loanType,
                "marketplace-uid": n["marketplace-uid"],
                product: n.product,
                "product-type": n["product-type"],
                "property-type": n.propertyType,
                "property-use": n.propertyUse,
                "property-city": n.propertyCity,
                "property-state": n.propertyState,
                "property-state-name": n.propertyStateName,
                "property-zip": n.propertyZip,
                "purchase-price": n.estPropertyValue,
                "estproperty-value": n.estPropertyValue,
                "est-mortgage-balance": n.estMortgageBalance,
                "2nd-mortgage-monthly-payment": n.secondMortgageMonthlyPayment ? n.secondMortgageMonthlyPayment : "0",
                "second-mortgage-balance": n.secondMortgageBalance ? n.secondMortgageBalance : "0",
                "cash-out": n.cashOut,
                ltv: n.ltv
            }
        },
        s = function(n) {
            return {
                passedOOW: n.prePopData && n.prePopData.PassedOutOfWallet,
                presubmitPass: n.PresubmitPass,
                routeToCustomerFirst: n.uiState.routeToCustomerFirst
            }
        },
        i = function() {
            return (new Date).toISOString()
        };
    this.$get = ["$http", function() {
        return {
            createPageData: function(n) {
                return r(n)
            },
            createIdentifyData: function(n) {
                return u(n)
            },
            createTrackData: function(n, t) {
                return f(n, t)
            }
        }
    }]
}), angular.module("fossa").run(["variation", "stepListManager", function(n, t) {
    if (n.getVariationByName("style") === "comment") {
        var i = [{
            groups: [{
                name: "ig-all-loan-types",
                label: "What type of loan are you looking for?"
            }]
        }, {
            groups: [{
                name: "ig-loan-type",
                label: "What type of <b>home</b> loan are you looking for?"
            }]
        }, {
            groups: [{
                name: "ig-property-type"
            }],
            showNextButton: !0
        }, {
            groups: [{
                name: "ig-property-use",
                label: "How will you <b>use</b> this property?"
            }],
            showNextButton: !0
        }, {
            groups: [{
                name: "ig-property-zip",
                label: "Property <b>ZIP Code</b>?",
                placeholder: "Enter Property ZIP"
            }]
        }, {
            groups: [{
                name: "ig-estproperty-value",
                label: "What's the <b>estimated</b> property value?"
            }]
        }, {
            groups: [{
                name: "ig-first-mortgage-balance",
                label: "What's your <b>1st</b> mortgage balance?"
            }]
        }, {
            groups: [{
                name: "ig-have-multiple-mortgages",
                label: "Do you have a <b>2nd</b> mortgage?"
            }]
        }, {
            groups: [{
                name: "ig-second-mortgage-balance",
                label: "What's the remaining balance on <b>2nd</b> mortgage?"
            }]
        }, {
            groups: [{
                name: "ig-harp-prescreened",
                label: "Did you close on your mortgage<br /> <b>on</b> or <b>before</b> May 31, 2009?"
            }]
        }, {
            groups: [{
                name: "ig-cash-out",
                label: "How much <b>additional cash</b> do you want to borrow?"
            }]
        }, {
            groups: [{
                name: "ig-stated-credit-history",
                label: "What's your <b>estimated</b> credit rating?"
            }]
        }, {
            groups: [{
                name: "ig-dob",
                label: "If you don't mind us asking, when is your <b>birthday</b>?"
            }]
        }, {
            groups: [{
                name: "ig-veteran",
                label: "<b>Active</b> or <b>previous</b> U.S. military service?"
            }]
        }, {
            groups: [{
                name: "ig-current-loan-va",
                label: "Do you currently have a VA loan?"
            }]
        }, {
            groups: [{
                name: "ig-bankruptcy-or-foreclosure",
                label: "Any <b>bankruptcy</b> or <b>foreclosures</b> in the past <b>7</b> years?"
            }]
        }, {
            groups: [{
                name: "ig-bankruptcy-discharged",
                label: "How long ago was the <b>bankruptcy</b>?"
            }]
        }, {
            groups: [{
                name: "ig-foreclosure-text",
                label: "How long ago was the <b>foreclosure</b>?"
            }]
        }, {
            groups: [{
                name: "ig-street1",
                label: "Let's get more specific with your <b>address</b>"
            }]
        }, {
            groups: [{
                name: "ig-name",
                label: "Basic <b>contact</b> information",
                "placeholder-first-name": "First name",
                "placeholder-last-name": "Last name"
            }]
        }, {
            groups: [{
                name: "ig-email-password",
                label: "Great! Your offers are ready for you. <br>Let's create a login so you can see them anytime."
            }]
        }, {
            groups: [{
                name: "ig-home-phone",
                placeholder: function() {
                    return "______-______-________"
                },
                label: "Phone Number",
                subtext: "Your phone number combined with other personal information helps us validate your identity."
            }]
        }, {
            groups: [{
                name: "ig-home-services-optin",
                label: "Do you need a trusted pro for a <br>major home improvement?"
            }]
        }, {
            groups: [{
                name: "ig-ssn",
                placeholder: function() {
                    return "______-____-________"
                }
            }]
        }, {
            groups: [{
                name: "ig-home-services-category",
                label: "What can we assist you with?"
            }]
        }];
        t.addChanges(i)
    }
}]), angular.module("fossa").factory("stepTitleMappings", [function() {
    return {
        "ig-all-loan-types": function() {
            return "Ok, great!"
        },
        "ig-loan-type": function(n) {
            switch (n.loanType) {
                case "PURCHASE":
                    return "New house time!";
                case "REFINANCE":
                    return "Ok, great!"
            }
        },
        "ig-property-type": function(n) {
            switch (n.propertyType) {
                case "SINGLEFAMATT":
                case "SINGLEFAMDET":
                case "LOWRISECONDO":
                case "2TO4UNITFAM":
                    return "Oh, sounds lovely";
                case "MOBILEPERMANENT":
                    return "Great, moving right along..."
            }
        },
        "ig-property-use": function(n) {
            switch (n.propertyUse) {
                case "OWNEROCCUPIED":
                    return "Oh, sounds lovely";
                case "SECONDHOME":
                    return "Oh, vacation time";
                case "INVESTMENTPROPERTY":
                    return "That's a smart move"
            }
        },
        "ig-home-buying-status": function() {
            return "Moving right along"
        },
        "ig-new-home": function(n) {
            switch (n.newHome) {
                case "YES":
                    return "That’s exciting!";
                case "NO":
                    return "The search continues"
            }
        },
        "ig-property-zip": function(n) {
            var i = [{
                    state: ["IA", "IL", "IN", "KS", "MN", "MI", "MO", "NE", "OH", "SD", "WI"],
                    title: "Cool, one of those middle states"
                }, {
                    state: ["AK", "AZ", "CA", "CO", "HI", "ID", "MT", "NM", "NV", "OR", "UT", "WA", "WY"],
                    title: "The west is the best!"
                }, {
                    state: ["AL", "AR", "FL", "GA", "KY", "LA", "MS", "NC", "OK", "SC", "TN", "TX", "WV", "VA"],
                    title: "Nice and warm, y'all"
                }, {
                    state: ["CT", "DC", "DE", "MA", "MD", "ME", "NH", "NJ", "NY", "PA", "RI", "VT"],
                    title: "Ah, four distinct seasons"
                }],
                t = _.findWhere(i, {
                    state: [n.propertyState]
                });
            return t && t.title || ""
        },
        "ig-property-city-state": function(n) {
            var i = [{
                    state: ["IA", "IL", "IN", "KS", "MN", "MI", "MO", "NE", "OH", "SD", "WI"],
                    title: "Cool, one of those middle states"
                }, {
                    state: ["AK", "AZ", "CA", "CO", "HI", "ID", "MT", "NM", "NV", "OR", "UT", "WA", "WY"],
                    title: "The west is the best!"
                }, {
                    state: ["AL", "AR", "FL", "GA", "KY", "LA", "MS", "NC", "OK", "SC", "TN", "TX", "WV", "VA"],
                    title: "Nice and warm, y'all"
                }, {
                    state: ["CT", "DC", "DE", "MA", "MD", "ME", "NH", "NJ", "NY", "PA", "RI", "VT"],
                    title: "Ah, four distinct seasons"
                }],
                t = _.findWhere(i, {
                    state: [n.propertyState]
                });
            return t && t.title || ""
        },
        "ig-estproperty-value": function(n) {
            return n.estPropertyValue > 5e5 ? "Wow, that's impressive" : "Ok, great!"
        },
        "ig-purchase-price": function(n) {
            return n.purchasePrice > 5e5 ? "Wow, that's impressive" : "Ok, great!"
        },
        "ig-down-payment-amt": function() {
            return "Great, moving right along..."
        },
        "ig-first-mortgage-balance": function(n) {
            return n.estMortgageBalance > 5e5 ? "We'll help you with that" : "Ok, great!"
        },
        "ig-second-mortgage-balance": function() {
            return "We’ll help you with that"
        },
        "ig-have-multiple-mortgages": function(n) {
            switch (n.haveMultipleMortgages) {
                case "YES":
                    return "We all need some extra cash";
                case "REFINANCE":
                    return "Ok got it"
            }
        },
        "ig-property-state": function() {
            return "We've heard good things"
        },
        "ig-property-city": function() {
            return "We've heard good things"
        },
        "ig-cash-out": function() {
            return "You betcha"
        },
        "ig-current-realestate-agent": function(n) {
            switch (n.currentRealestateAgent) {
                case "Y":
                    return "Ok sounds good";
                case "N":
                    return "The search continues"
            }
        },
        "ig-realtor-optin": function(n) {
            switch (n.realtorOptin) {
                case "YES":
                    return "Perfect, there is no obligation";
                case "NO":
                    return "You got it"
            }
        },
        "ig-time-to-purchase": function() {
            return "Time will fly by"
        },
        "ig-harp-prescreened": function() {
            return "Ok, great!"
        },
        "ig-home-services-optin": function(n) {
            switch (n.homeServicesOptin) {
                case "YES":
                    return "Understood, power tools are not your thing";
                case "NO":
                    return "Yeah, you’ve got this"
            }
        },
        "ig-dob": function(n) {
            var t = moment().diff(moment(n.dob, "MM/DD/YYYY"), "years");
            switch (!0) {
                case t >= 50:
                    return "You look great for your age";
                case t >= 30 && t < 50:
                    return "You don't look a day over 25";
                case t < 30:
                    return "Oh the possibilities"
            }
        },
        "ig-veteran": function(n) {
            switch (n.isVeteran) {
                case "YES":
                    return "Thank you for your service";
                case "NO":
                    return "Ok, great!"
            }
        },
        "ig-current-loan-va": function(n) {
            switch (n.currentLoanVA) {
                case "YES":
                    return "Thank you for your service";
                case "NO":
                    return "Ok, great!"
            }
        },
        "ig-bankruptcy-or-foreclosure": function(n) {
            switch (n.bankruptcyOrForeclosure) {
                case "NO":
                    return "Cool, that's good to hear";
                case "BANKRUPTCY":
                    return "Great, so you're ready to move forward";
                case "FORECLOSURE":
                    return "You're not alone";
                case "BOTH":
                    return "You're not alone"
            }
        },
        "ig-bankruptcy-discharged": function() {
            return "Great, so you're ready to move forward"
        },
        "ig-foreclosure-text": function() {
            return "Great, so you're ready to move forward"
        },
        "ig-home-services-category": function() {
            return "We all need some help with that"
        },
        "ig-home-services-schedule": function() {
            return "Sounds good"
        },
        "ig-stated-credit-history": function(n) {
            switch (n.statedCreditHistory) {
                case "EXCELLENT":
                    return "What, are you a unicorn?";
                case "SOMECREDITPROBLEMS":
                    return "Look at you being all responsible";
                case "MAJORCREDITPROBLEMS":
                    return "Respectable";
                case "LITTLEORNOCREDITHISTORY":
                    return "No worries"
            }
        },
        "ig-bank": function() {
            return "Great, moving right along..."
        },
        "ig-name": function(n) {
            if (n.firstName && n.lastName) return n.firstName + " " + n.lastName + "... I like that name"
        },
        "ig-email-password": function() {
            return "You're almost there"
        },
        "ig-email": function() {
            return "You're almost there"
        },
        "ig-password": function() {
            return "Ok, great!"
        },
        "ig-home-phone": function() {
            return "You're all set. Let's get those free offers"
        },
        "ig-city": function() {
            return "Great place"
        },
        "ig-street-address": function() {
            return "You’re almost done, just a few more things"
        },
        "ig-ssn": function() {
            return "You're all set. Let's get those free offers"
        }
    }
}]), angular.module("fossa").run(["variation", "stepListManager", "$timeout", function(n, t, i) {
    function e() {
        return function(n, t, r) {
            return i(function() {
                r(n)
            }, 400), !0
        }
    }

    function o(n) {
        return _.forEach(n, function(n) {
            n.buttonLabel = "OK", _.forEach(n.groups, function(n) {
                n.template === "ig-radio" && (n.handleNext = e)
            })
        })
    }
    var r = "REFINANCE",
        f = "PURCHASE",
        u;
    n.getVariationByName("style") === "icon" && (u = [{
        groups: [{
            id: "allLoanTypes",
            name: "ig-all-loan-types",
            template: "ig-radio",
            label: "What type of loan do you need?",
            values: [{
                id: "all-loan-types-home",
                label: "Home",
                value: "HOME"
            }, {
                id: "all-loan-types-auto",
                label: "Auto",
                value: "AUTO"
            }, {
                id: "all-loan-types-personal",
                label: "Personal",
                value: "PERSONAL"
            }, {
                id: "all-loan-types-business",
                label: "Business",
                value: "BUSINESS"
            }, {
                id: "all-loan-types-credit",
                label: "Credit Cards",
                value: "CREDIT"
            }]
        }]
    }, {
        groups: [{
            directive: "mortgage-progress-bar",
            id: "loanType",
            name: "ig-loan-type",
            template: "ig-radio",
            label: "What type of home loan are you looking for?",
            values: [{
                id: "loan-type-purchase",
                label: "Purchase",
                value: f
            }, {
                id: "loan-type-refinance",
                label: "Refinance",
                value: r
            }, {
                id: "loan-type-home-equity",
                label: "Home Equity",
                value: "HOMEEQUITY"
            }, {
                id: "loan-type-reverse",
                label: "Reverse Mortgage",
                value: "REVERSE"
            }]
        }]
    }, {
        groups: [{
            id: "propertyType",
            name: "ig-property-type",
            template: "ig-radio",
            label: function(n) {
                return "What type of property are you " + (n.loanType === r ? "refinancing" : "purchasing") + "?"
            },
            values: [{
                id: "property-type-single-fam",
                label: "Single Family<br />Home",
                value: "SINGLEFAMDET"
            }, {
                id: "property-type-townhome",
                label: "Townhome",
                value: "SINGLEFAMATT"
            }, {
                id: "property-type-condo",
                label: "Condominium",
                value: "LOWRISECONDO"
            }, {
                id: "property-type-multi",
                label: "Multi Family<br />Home",
                value: "2TO4UNITFAM"
            }, {
                id: "property-type-mobile",
                label: "Manufactured / Mobile Home",
                value: "MOBILEPERMANENT"
            }]
        }],
        stepCategory: "propertyDetails"
    }, {
        groups: [{
            id: "propertyUse",
            name: "ig-property-use",
            template: "ig-radio",
            label: "How will this property be used?",
            values: [{
                id: "loan-type-primary",
                title: "1st",
                label: "Primary Home",
                value: "OWNEROCCUPIED"
            }, {
                id: "loan-type-secondary",
                title: "2nd",
                label: "Secondary Home",
                value: "SECONDHOME"
            }, {
                id: "loan-type-home-rental",
                title: "Rental",
                label: "Rental Property",
                value: "INVESTMENTPROPERTY"
            }]
        }],
        stepCategory: "propertyDetails"
    }, {
        groups: [{
            id: "propertyZip",
            name: "ig-property-zip",
            label: "ZIP Code of the property",
            placeholder: "Enter ZIP"
        }],
        stepCategory: "propertyDetails"
    }, {
        groups: [{
            name: "ig-property-city-state"
        }],
        stepCategory: "propertyDetails"
    }, {
        groups: [{
            id: "newHome",
            name: "ig-new-home",
            template: "ig-radio",
            label: "Have you already found your new home?",
            values: [{
                id: "new-home-yes",
                title: "Yes",
                label: "Found the house",
                value: "YES"
            }, {
                id: "new-home-no",
                title: "No",
                label: "Still searching",
                value: "NO"
            }]
        }],
        stepCategory: "propertyDetails"
    }, {
        groups: [{
            id: "currentRealestateAgent",
            name: "ig-current-realestate-agent",
            template: "ig-radio",
            label: "Are you currently working with a real estate agent?",
            values: [{
                id: "current-realestate-agent-yes",
                title: "Yes",
                label: "Have an agent",
                value: "Y"
            }, {
                id: "current-realestate-agent-no",
                title: "No",
                label: "No agent yet",
                value: "N"
            }]
        }],
        stepCategory: "propertyDetails"
    }, {
        groups: [{
            id: "realtorOptin",
            name: "ig-realtor-optin",
            template: "ig-radio",
            label: "Would you like a no obligation consultation from a local real estate agent?",
            values: [{
                id: "realtor-optin-yes",
                title: "Yes",
                label: "I would like a consultation",
                value: "YES"
            }, {
                id: "realtor-optin-no",
                title: "No",
                label: "No consultation needed",
                value: "NO"
            }]
        }],
        stepCategory: "propertyDetails"
    }, {
        groups: [{
            id: "estPropertyValue",
            name: "ig-estproperty-value",
            label: "Please estimate the value of the property"
        }],
        stepCategory: "financialDetails"
    }, {
        groups: [{
            id: "estPurchasePrice",
            name: "ig-purchase-price",
            label: "What is the estimated purchase price?"
        }],
        stepCategory: "financialDetails"
    }, {
        groups: [{
            id: "downPaymentAmount",
            name: "ig-down-payment-amt",
            label: "How much are you putting down as a down payment?"
        }],
        stepCategory: "financialDetails"
    }, {
        groups: [{
            id: "estMortgageBalance",
            name: "ig-first-mortgage-balance",
            label: "What is the remaining 1st mortgage balance?"
        }],
        stepCategory: "financialDetails"
    }, {
        groups: [{
            id: "haveMultipleMortgages",
            name: "ig-have-multiple-mortgages",
            template: "ig-radio",
            label: "Do you have a second mortgage?",
            values: [{
                id: "have-multiple-mortgages-yes",
                title: "Yes",
                label: "I have a 2nd mortgage",
                value: "YES"
            }, {
                id: "have-multiple-mortgages-no",
                title: "No",
                label: "Just one mortgage",
                value: "REFINANCE"
            }]
        }],
        stepCategory: "financialDetails"
    }, {
        groups: [{
            name: "ig-second-mortgage-balance",
            label: "What is the remaining balance on the 2nd mortgage?"
        }],
        stepCategory: "financialDetails"
    }, {
        groups: [{
            id: "harpPrescreened",
            name: "ig-harp-prescreened",
            template: "ig-radio",
            label: "Did you close on your mortgage<br /> on or before May 31, 2009?",
            values: [{
                id: "harp-prescreened-yes",
                title: "Yes",
                label: "I did close on or before May 31, 2009",
                value: 1
            }, {
                id: "harp-prescreened-no",
                title: "No",
                label: "I did not close on or before May 31, 2009",
                value: 0
            }]
        }],
        stepCategory: "financialDetails"
    }, {
        groups: [{
            name: "ig-cash-out",
            label: "How much additional cash do you want to borrow?"
        }],
        stepCategory: "financialDetails"
    }, {
        groups: [{
            id: "statedCreditHistory",
            name: "ig-stated-credit-history",
            template: "ig-radio",
            label: "Estimate your credit score",
            values: [{
                id: "stated-credit-history-excellent",
                title: "Excellent",
                label: "&#8805; 720",
                value: "EXCELLENT"
            }, {
                id: "stated-credit-history-good",
                title: "Good",
                label: "680 - 719",
                value: "SOMECREDITPROBLEMS"
            }, {
                id: "stated-credit-history-fair",
                title: "Fair",
                label: "640 - 679",
                value: "MAJORCREDITPROBLEMS"
            }, {
                id: "stated-credit-history-poor",
                title: "Poor",
                label: "&#8804; 639",
                value: "LITTLEORNOCREDITHISTORY"
            }]
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-dob",
            label: "When were you born?"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            id: "isVeteran",
            name: "ig-veteran",
            template: "ig-radio",
            label: "Have you or your spouse served in the military?",
            values: [{
                id: "is-veteran-yes",
                title: "Yes",
                label: "Have served in the military",
                value: "YES"
            }, {
                id: "is-veteran-no",
                title: "No",
                label: "Have NOT served in the military",
                value: "NO"
            }],
            subtext: "(By you or your spouse)"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            id: "currentLoanVA",
            name: "ig-current-loan-va",
            template: "ig-radio",
            label: "Do you currently have a VA loan?",
            values: [{
                id: "current-loan-va-yes",
                title: "Yes",
                label: "I/we have a<br />VA Loan",
                value: "YES"
            }, {
                id: "current-loan-va-no",
                title: "No",
                label: "I/we DO NOT have a<br />VA Loan",
                value: "NO"
            }]
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            id: "bankruptcyOrForeclosure",
            name: "ig-bankruptcy-or-foreclosure",
            template: "ig-radio",
            label: "Have you had a bankruptcy or foreclosure in the last 7 years?",
            values: [{
                id: "bankruptcy-or-foreclosure-no",
                title: "No",
                label: "Neither bankruptcy or foreclosure",
                value: "NO"
            }, {
                id: "bankruptcy-or-foreclosure-bankruptcy",
                title: "Bankruptcy",
                label: "Yes I have had a bankruptcy",
                value: "BANKRUPTCY"
            }, {
                id: "bankruptcy-or-foreclosure-foreclosure",
                title: "Foreclosure",
                label: "Yes I have had a foreclosure",
                value: "FORECLOSURE"
            }, {
                id: "bankruptcy-or-foreclosure-both",
                title: "Both",
                label: "Bankruptcy AND foreclosure",
                value: "BOTH"
            }]
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-bankruptcy-discharged",
            label: "How long ago was the bankruptcy?"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-foreclosure-text",
            label: "How long ago was the foreclosure?"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-street1",
            label: "What is your current street address?"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-street1"
        }, {
            name: "ig-zip-code"
        }, {
            name: "ig-city"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-name",
            label: "What is your name?",
            "placeholder-first-name": "First name",
            "placeholder-last-name": "Last name"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-email"
        }, {
            name: "ig-password"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-email"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-password"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-home-phone",
            placeholder: function() {
                return "888-888-8888"
            },
            label: "Mobile or home phone number"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            id: "homeServicesOptin",
            name: "ig-home-services-optin",
            template: "ig-radio",
            label: function(n) {
                return n.loanType === r ? "Do you need a trusted professional to help with a major project?" : "Do you need a trusted pro to help with your upcoming move?"
            },
            values: [{
                id: "home-services-optin-yes",
                title: "Yes",
                label: "I would like some help",
                value: "YES"
            }, {
                id: "home-services-optin-no",
                title: "No",
                label: "No help needed",
                value: "NO"
            }]
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-home-services-category",
            label: "What can we assist you with?"
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            id: "homeServicesSchedule",
            name: "ig-home-services-schedule",
            template: "ig-radio",
            label: "When would you like this request to be completed?",
            values: [{
                id: "home-services-schedule-flexible",
                title: "Flexible",
                label: "Whenever really",
                value: "Timing is flexible"
            }, {
                id: "home-services-schedule-few-weeks",
                title: "1-2 Weeks",
                label: "Pretty soon please",
                value: "Within 1 week"
            }, {
                id: "home-services-schedule-more-2-weeks",
                title: "2+ Weeks",
                label: "In a bit of a rush",
                value: "More than 2 weeks"
            }, {
                id: "home-services-schedule-closes",
                title: "After loan closes",
                label: "Let me finish this first",
                value: "More than 2 weeks"
            }]
        }],
        stepCategory: "personalDetails"
    }, {
        groups: [{
            name: "ig-ssn-four",
            label: "Please enter last 4 digits of your SSN"
        }],
        stepCategory: "personalDetails"
    }], t.addChanges(o(u)))
}]), angular.module("fossa").config(["variationProvider", "briteVerifyProvider", function(n, t) {
    switch (n.getVariationByName("briteVerify")) {
        case "disabled":
            t.enabledServices = [];
            break;
        case "email-only":
            t.enabledServices = ["email"];
            break;
        case "phone-only":
            t.enabledServices = ["phone"]
    }
}]), angular.module("fossa").config(["variationProvider", function(n) {
    n.getVariationByName("optimizely") === "on" && $.getScript(window.optimizely_url)
}]), angular.module("fossa").config(["variationProvider", "xsellProvider", function(n, t) {
    var i;
    switch (n.getVariationByName("xsells")) {
        case "1":
            i = ["mac"];
            break;
        default:
            i = ["dynamic", "mac"]
    }
    t.setXsells(i)
}]), angular.module("fossa").run(["$rootScope", "step", function(n, t) {
    n.$on("SUBMIT_FAILED", function(n, i) {
        if (i.reason === "TARGUSCHECK") {
            var r = {
                    phone: [{
                        name: "ig-home-phone"
                    }],
                    street: [{
                        name: "ig-street1"
                    }],
                    zip: [{
                        name: "ig-zip-code",
                        label: "Your Zip Code"
                    }, {
                        name: "ig-city"
                    }],
                    name: [{
                        name: "ig-name"
                    }]
                },
                u = _.reduce(i.fields, function(n, t) {
                    return n.concat(r[t])
                }, []);
            t.insertAndNext({
                title: "title-oops-targus-info",
                buttonLabel: "Confirm",
                disallowBack: !0,
                groups: u,
                classes: ["user-timeout-prompt", "form-group"],
                templates: [{
                    name: "submit-on-unload"
                }]
            })
        }
    })
}]).run(["$rootScope", "step", "variation", function(n, t, i) {
    n.$on("SUBMIT_FAILED", function(n, r) {
        if (_.contains(["CREDITCHECK", "SSNFOURCHECK"], r.reason)) {
            var u = {
                CREDITCHECK: {
                    title: "title-oops-credit-info"
                },
                SSNFOURCHECK: {
                    title: "title-oops-ssn-four"
                }
            }[r.reason];
            t.insertAndNext({
                title: u.title,
                classes: ["user-timeout-prompt", "form-group"],
                buttonLabel: "Confirm",
                disallowBack: !0,
                groups: [{
                    name: "ig-ssn",
                    label: "Social Security #",
                    note: "We use your SSN to protect your privacy by validating your identity.",
                    template: function() {
                        return i.getVariationByName("ssn") === "0" ? "ssn-variation-0" : "ssn-variation-1"
                    },
                    unmaskSsn: !0
                }],
                sidebars: [{
                    name: "ssn-sidebar-wrapper",
                    template: "ssn-sidebar"
                }],
                templates: [{
                    name: "submit-on-unload"
                }]
            })
        }
    })
}]).run(["$rootScope", "step", "variation", "expressOffers", function(n, t, i, r) {
    n.$on("SUBMIT_END", function() {
        i.getVariationByName("submittedModal") === "hearaboutus" ? t.insertAndNext({
            classes: ["form-group"],
            buttonLabel: "Done",
            showNextButton: !1,
            disallowBack: !0,
            groups: [{
                name: "submitted-modal-page-hearaboutus"
            }]
        }) : i.getVariationByName("submittedModal") === "continue" ? t.insertAndNext({
            classes: ["form-group"],
            buttonLabel: "Continue",
            showNextButton: !1,
            disallowBack: !0,
            groups: [{
                name: "submitted-modal-page"
            }]
        }) : r.go()
    }), n.$on("POST_SUBMIT_END", function() {
        r.go()
    })
}]).run(["data", "step", "pixelManager", function(n, t, i) {
    var r = n.getData();
    t.hookBeforeStep(function() {
        t.isGroupVisible("submitted-modal-page-hearaboutus") && i.fireFormEvent("Hear About Us Asked")
    }), t.hookBeforeAdvancing(function() {
        t.isGroupVisible("submitted-modal-page-hearaboutus") && ltanalytics.track("Hear About Us Answered", {
            hear_source: r.hearAboutUs
        })
    })
}]).run(["$q", "data", "step", "variation", function(n, t, i, r) {
    var f = t.getData(),
        u = !1;
    i.hookBeforeAdvancing(function() {
        if (i.isGroupVisible("ig-down-payment-amt")) {
            if (!u && f.downPaymentAmt <= .05 && r.getVariationByName("currencyInputType") === "dropdown") return u = !0, n.reject();
            u = !1
        }
    })
}]).run(["$q", "data", "formData", "variation", "step", "navigation", function(n, t, i, r, u, f) {
    var e = t.getData();
    r.getVariationByName("customerFirstRedirect") === "yes" && u.hookBeforeAdvancing(function() {
        if (u.isGroupVisible("ig-loan-type") && e.loanType === "REFINANCE") return f.toSplitter("cf-1"), n.reject()
    })
}]).run(["$q", "data", "step", "navigation", function(n, t, i, r) {
    var u = t.getData();
    i.hookBeforeAdvancing(function() {
        if (i.isGroupVisible("ig-all-loan-types")) {
            if (_.contains(["AUTO", "PERSONAL", "STUDENT"], u.allLoanTypes)) return r.toFossaForm(u.allLoanTypes), n.reject();
            if (u.allLoanTypes === "BUSINESS") return r.toSplitter("m2BL"), n.reject();
            if (u.allLoanTypes === "CREDIT") return r.toUrl("https://www.successmember.com/compare-credit-cards-index"), n.reject()
        }
    })
}]).run(["$q", "data", "step", "navigation", function(n, t, i, r) {
    var u = t.getData();
    i.hookBeforeAdvancing(function() {
        if (i.isGroupVisible("ig-loan-type")) {
            if (u.loanType === "REVERSE") {
                var t = "m2-reverse";
                return u.r === "1" && (t += "-low"), r.toSplitter(t), n.reject()
            }
            if (u.loanType === "HOMEEQUITY") return r.toSplitter("mm-2-hm", {
                "loan-type": u.loanType
            }), n.reject()
        }
    })
}]).run(["$q", "$rootScope", "data", "formData", "variation", "step", "navigation", function(n, t, i, r, u) {
    var o = i.getData();
    u.getVariationByName("showHomeBuying") !== "no" && t.$watch(function() {
        return o.homeBuyingStatus
    }, function(n) {
        var i = _.contains(["MAKEANOFFER", "ACCEPTEDCONTRACT"], n),
            u = i || n === "SHOPPINGWITHREALTOR";
        o.newHome = i ? "YES" : "NO", o.realtorOptin = "NO", r.foundHomeOrUsedAgent = u
    })
}]).run(["$rootScope", "data", function(n, t) {
    var i = t.getData();
    n.$watch(function() {
        return i.newHome === "NO" && i.currentRealestateAgent === "N"
    }, function(n) {
        i.realtorOptin && !n && (i.realtorOptin = "NO")
    })
}]).run(["$rootScope", "data", "variation", "mortgageConfig", function(n, t, i) {
    if (_.contains(["slider", "sliderWithInput"], i.getVariationByName("currencyInputType"))) {
        var u = t.getData();
        angular.isUndefined(u.estMortgageBalance) && n.$watch(function() {
            return u.estPropertyValue
        }, function(n) {
            u.estMortgageBalance = n * .8
        })
    }
}]).run(["$rootScope", "data", "lists", function(n, t, i) {
    var r = t.getData();
    n.$watch(function() {
        return r.downPaymentAmt
    }, function(t) {
        angular.isDefined(t) && (n.downPaymentAmtRange = _.where(i.downPaymentAmt, {
            value: t
        })[0].name)
    })
}]).run(["$rootScope", "data", function(n, t) {
    var i = t.getData(),
        r = [{
            radioInput: "homeServicesOptin",
            radioYesValue: "YES",
            syncedInput: "homeServicesSchedule",
            syncedUnsetValue: ""
        }];
    _.forEach(r, function(t) {
        angular.isDefined(i[t.syncedInput]) && i[t.syncedInput] !== t.syncedUnsetValue && (i[t.radioInput] = t.radioYesValue), n.$watch(function() {
            return i[t.radioInput]
        }, function(n, r) {
            n !== r && (i[t.syncedInput] = t.syncedUnsetValue)
        }, !0)
    })
}]).run(["$rootScope", "data", function(n, t) {
    var i = t.getData(),
        r = "0";
    n.$watch(function() {
        return i.bank
    }, function(n, t) {
        angular.equals(_.difference(n, t), [r]) ? i.bank = [r] : _.contains(n, r) && !angular.equals(n, [r]) && (i.bank = _.without(i.bank, r)), angular.isDefined(i.bank) && (i.banks = _.values(i.bank).join(","))
    }, !0)
}]).run(["$rootScope", "data", "formData", "variation", "step", "geo", "realtorsInZip", function(n, t, i, r, u, f, e) {
    if (r.getVariationByName("fieldSet") === "0" || r.getVariationByName("fieldSet") === "2" || r.getVariationByName("fieldSet") === "3") {
        var o = t.getData(),
            s;
        n.$watch(function() {
            return [o.propertyCity, o.propertyState]
        }, function(n) {
            var r = n[0],
                u = n[1];
            i.realtorInZip = !1, angular.isDefined(r) && angular.isDefined(u) && (s = f.getZipByAddress({
                city: r,
                state: u
            }).then(function(n) {
                return e.lookup(n)
            }).then(function(n) {
                i.realtorInZip = n
            }))
        }, !0), u.hookBeforeAdvancing(function() {
            if (u.isGroupVisible(["ig-property-city-state", "ig-property-city", "ig-property-state"])) return s["catch"](angular.noop)
        })
    }
}]).run(["$rootScope", "variation", "xsell", function(n, t, i) {
    n.$on("XSELL_LOADED", function() {
        i.getCurrentXsell() === "mac" && t.getVariationByName("style") === "vertical" && ($(".container, #footer-wrapper, #xSells").hide(), $("body").css("background-color", "#fff"))
    })
}]).run(["$q", "$rootScope", "$templateCache", "step", "variation", "fossaSubmit", "bankinfo", "formData", function(n, t, i, r, u, f, e, o) {
    var s = u.getVariationByName("showBankWith"),
        l = u.getVariationByName("showSelfEmployed"),
        h, c, a = e.getBanksByProduct("MORTGAGE");
    (_.contains(["aftersubmit", "aftersubmit2"], s) || l === "aftersubmit") && (f.hookBegin({
        hook: function() {
            return n.reject({
                reason: "EXTRASTEPS"
            })
        },
        priority: 20,
        once: !0
    }), t.$on("SUBMIT_FAILED", function(n, t) {
        t.reason === "EXTRASTEPS" && (l === "aftersubmit" && r.insertAndNext({
            title: "",
            disallowBack: !0,
            groups: [{
                name: "ig-self-employed"
            }],
            classes: ["user-timeout-prompt"],
            showNextButton: !1,
            templates: [{
                name: "submit-on-unload"
            }],
            bottomTemplates: [{
                name: "skip-step"
            }]
        }), _.contains(["aftersubmit", "aftersubmit2"], s) && (s === "aftersubmit" ? (h = [{
            name: "bank-sidebar-wrapper",
            template: "bank-sidebar"
        }], c = !1) : s === "aftersubmit2" && (h = "", c = !0), a.then(function(n) {
            o.Banks = n, r.insertAndNext({
                title: "",
                disallowBack: !0,
                groups: [{
                    name: "ig-bank",
                    showSubText: c
                }],
                sidebars: h,
                classes: ["user-timeout-prompt"],
                templates: [{
                    name: "submit-on-unload"
                }],
                bottomTemplates: [{
                    name: "skip-step"
                }]
            })
        })))
    }), i.put("skip-step", '<a class="skip-step" skip-step>Skip this step</a>'))
}]).run(["$rootScope", "data", "variation", function(n, t, i) {
    i.getVariationByName("fieldSet") === "5" && $.getScript("//js7.invoca.net/7/integration.js", function() {
        Invoca.advertiser_integration = {
            id: "40151",
            onLoadWithNumber: function(i, r) {
                var u = t.getData();
                n.$apply(function() {
                    u.telNum = r
                })
            },
            onLoadNoNumber: function() {}
        }
    })
}]).run(["$rootScope", "data", "variation", function(n, t, i) {
    i.getVariationByName("fieldSet") === "6" && $.getScript("//js4.invoca.net/4/integration.js", function() {
        Invoca.advertiser_integration = {
            id: "10628",
            onLoadWithNumber: function(i, r) {
                var u = t.getData();
                n.$apply(function() {
                    u.telNum = r
                })
            },
            onLoadNoNumber: function() {}
        }
    })
}]).run(["$rootScope", "data", function(n, t) {
    var i = t.getData();
    n.$watch(function() {
        return i.bankruptcyOrForeclosure
    }, function(n, t, r) {
        n !== t && (i.declaredBankruptcy = n === "BANKRUPTCY" || n === "BOTH" ? "YES" : "NO", i.bankruptcyDischarged = n === "BANKRUPTCY" || n === "BOTH" ? "25-36_MONTHS" : "NEVER", r.inputs.foreclosureText = n === "FORECLOSURE" || n === "BOTH" ? "25-36_MONTHS" : "NEVER")
    })
}]).run(["lists", function(n) {
    _.each([n.estPropertyValue, n.firstMortgageBalance, n.secondMortgageBalance, n.cashOut, n.downPaymentAmt, n.purchasePrice, n.annualIncome], function(n) {
        _.each(n, function(n) {
            n.name = n.name.replace(/\s?-\s?/, " to ")
        })
    })
}]).run(["$rootScope", "data", "formData", "variation", "formStore", "loanExplorer2", "treeAuth", "targus", "expressOffers", function(n, t, i, r, u, f, e, o, s) {
    var h = t.getData(),
        l = r.getVariationByName("fieldsetType"),
        c, a = function(t) {
            (l === "loanExplorerOnly" || l === "loanExplorerOnly2") && t[1] === "CA" ? (t[0] === "PURCHASE" ? ltanalytics.track("Anon Form CA Purchase Started", {
                vid: h.vid,
                "loan-type": t[0],
                product: h.product,
                qformuid: h.guid,
                category: "CE Anonymous Form"
            }) : ltanalytics.track("Anon Form CA Refinance Started", {
                vid: h.vid,
                "loan-type": t[0],
                product: h.product,
                qformuid: h.guid,
                category: "CE Anonymous Form"
            }), n.submit = function() {
                if (i.isSubmitting = !0, i.isSubmitted = !0, l === "loanExplorerOnly2") return f.getCreditBandForUser(h).then(function(t) {
                    t && t.data && t.data.content && t.data.content[0] && (h.consumerUID = t.data.content[0]), n.$broadcast("SUBMIT_START"), u.save(h)["finally"](function() {
                        n.$broadcast("SUBMIT_END")
                    })
                }, function() {
                    f.segmentAnalyticsTrack("ERROR: CE Credit Band Error", h, "CE Credit Band Error"), n.$broadcast("SUBMIT_START"), u.save(h)["finally"](function() {
                        n.$broadcast("SUBMIT_END")
                    })
                })["catch"](function() {
                    n.$broadcast("SUBMIT_START"), u.save(h)["finally"](function() {
                        n.$broadcast("SUBMIT_END")
                    })
                }).then(function() {
                    n.$broadcast("SUBMIT_START"), u.save(h)["finally"](function() {
                        n.$broadcast("SUBMIT_END")
                    })
                });
                n.$broadcast("SUBMIT_START"), u.save(h)["finally"](function() {
                    n.$broadcast("SUBMIT_END")
                })
            }, c = function(n) {
                return "ce-offer-ux-" + ((n || "").toLowerCase() === "refinance" ? "refi" : "purchase")
            }, s.init({
                splitter: c(t[0])
            })) : (delete n.submit, c = function(n) {
                return (n || "").toLowerCase() + "-offer-ux-split"
            }, s.init({
                splitter: c(t[0])
            }))
        };
    a([h.loanType, h.propertyState]), n.$watch(function() {
        return [h.loanType, h.propertyState]
    }, a, !0)
}]).run(["$rootScope", "data", "variation", "targusCheckFlow", "creditCheckFlow", "ssnFourCheckFlow", function(n, t, i, r, u, f) {
    var e = t.getData(),
        o = i.getVariationByName("fieldsetType"),
        s = function(n) {
            o === "loanExplorerOnly" && n[1] === "CA" ? (r.destroy(), i.getVariationByName("ssn") === "ssnFour" ? f.destroy() : u.destroy()) : (r.init(), i.getVariationByName("ssn") === "ssnFour" ? f.init() : u.init())
        };
    n.$watch(function() {
        return [e.loanType, e.propertyState]
    }, s, !0)
}]).run(["$rootScope", "variation", "data", "inputGroup", function(n, t, i, r) {
    var u = t.getVariationByName("fieldsetType"),
        f = i.getData();
    u === "secondExchange" && (r.addMetadata("second-exchange-field", ["ig-all-loan-types", "ig-loan-type", "ig-property-type", "ig-estproperty-value", "ig-purchase-price", "ig-first-mortgage-balance", "ig-down-payment-amt", "ig-property-zip", "ig-have-multiple-mortgages", "ig-property-city-state", "ig-property-state", "ig-property-city", "ig-second-mortgage-balance", "ig-harp-prescreened", "ig-cash-out", "ig-stated-credit-history", "ig-dob", "ig-veteran", "ig-current-loan-va", "ig-name", "ig-street1", "ig-zip-code", "ig-city", "ig-email", "ig-password", "ig-home-phone"]), r.applyFilters("second-exchange-field")), u === "loanExplorerOnly" && (r.addMetadata("loan-explorer-field", ["ig-all-loan-types", "ig-loan-type", "ig-property-type", "ig-property-use", "ig-estproperty-value", "ig-purchase-price", "ig-first-mortgage-balance", "ig-down-payment-amt", "ig-property-zip", "ig-have-multiple-mortgages", "ig-property-city-state", "ig-property-state", "ig-property-city", "ig-second-mortgage-balance", "ig-harp-prescreened", "ig-cash-out", "ig-bankruptcy-or-foreclosure", "ig-bankruptcy-discharged", "ig-foreclosure-text", "ig-stated-credit-history", "ig-veteran", "ig-current-loan-va"]), n.$watch(function() {
        return f.propertyState
    }, function(n) {
        n === "CA" ? r.applyFilters("loan-explorer-field") : r.removeFilters("loan-explorer-field")
    })), u === "loanExplorerOnly2" && (r.addMetadata("loan-explorer-field2", ["ig-all-loan-types", "ig-loan-type", "ig-property-type", "ig-property-use", "ig-estproperty-value", "ig-purchase-price", "ig-first-mortgage-balance", "ig-down-payment-amt", "ig-property-zip", "ig-have-multiple-mortgages", "ig-property-city-state", "ig-property-state", "ig-property-city", "ig-second-mortgage-balance", "ig-harp-prescreened", "ig-cash-out", "ig-bankruptcy-or-foreclosure", "ig-bankruptcy-discharged", "ig-foreclosure-text", "ig-stated-credit-history", "ig-dob", "ig-self-employed", "ig-veteran", "ig-name", "ig-street1", "ig-zip-code", "ig-city", "ig-email", "ig-bank", "ig-home-phone", "ig-ssn", "ig-ssn-four", "submitted-modal-page", "submitted-modal-page-hearaboutus"]), n.$watch(function() {
        return f.propertyState
    }, function(n) {
        n === "CA" ? r.applyFilters("loan-explorer-field2") : r.removeFilters("loan-explorer-field2")
    }))
}]), angular.module("fossa").run(["$route", function() {}]).run(["step", function(n) {
    n.goToStep(1)
}]).run(["$rootScope", "formStore", "data", "step", function(n, t, i, r) {
    var u = r.hookBeforeAdvancing({
        hook: function(n) {
            if (n.userInitiated) {
                var f = i.getData();
                t.handshake().then(function(n) {
                    f.guid = n.QFormUID, f.token = n.Token
                }), r.hookOnStep(function() {
                    t.save(f)
                }), u()
            }
        },
        priority: -100
    })
}]).run(["$rootScope", "$timeout", "data", "step", "variation", "pixelManager", "expressOffers", function(n, t, i, r, u, f, e) {
    var o = i.getData();
    f.fireFormStart(r.getInfo()), n.$on("STEP", function(n, i) {
        t(function() {
            f.fireFormStep(i)
        }, 0)
    }), e.initialized() || n.$on("XSELL_STEP", function(n, i) {
        t(function() {
            f.fireXsellStep(i)
        }, 0)
    }), (_.contains(["thanks", "continue"], u.getVariationByName("submittedPopup")) || _.contains(["thanks", "continue", "hearaboutus"], u.getVariationByName("submittedModal")) || !e.initialized()) && (n.$on("SUBMIT_START", function() {
        f.fireFormBeforeSubmit()
    }), n.$on("SUBMIT_END", function() {
        o["submit-pixels-fired"] = !0
    })), n.$watch(function() {
        return o.loanType
    }, function(n) {
        n && f.fireProductSelected()
    })
}]).run(["$rootScope", "formData", function(n, t) {
    t.isStepProcessing = !1, n.$on("STEP_DELAY", function() {
        t.isStepProcessing = !0
    }), n.$on("STEP", function() {
        t.isStepProcessing = !1
    })
}]).run(["marketplace", function(n) {
    n.add("8550"), n.init()
}]).run(["stepListManager", function() {}]), angular.element(document).ready(function() {
    angular.bootstrap(document, ["fossa"], {
        strictDi: !0
    })
})